Registrierung von UltraCompare
Next Topic

Der Benutzername und der Freischaltcode für UltraCompare unterscheiden zwischen Groß- und Kleinschreibung. Daher müssen sie exakt so eingegeben werden, wie Sie Ihnen von IDM Computer Solutions, Inc. per E-Mail mitgeteilt werden.

Am einfachsten und unproblematischsten lässt sich der Code eintragen, indem Sie ihn aus der von IDM erhaltenen Benachrichtigung in die Zwischenablage kopieren (markieren Sie den Code und drücken Sie Strg+C) und ihn von dort in dem Registrierungsdialog in das Eingabefeld einfügen (drücken Sie Strg+V).

Achtung: Wenn Ihr Benutzername einen Hinweis auf die Anzahl der Benutzerlizenzen enthält, dann muss dieser Teil des Registrierungsnamens zusammen mit Ihrem eigentlichen Benutzernamen eingetragen werden. Beispielsweise muss "XYZ GmbH~ 8 User License" genau in dieser Form eingetragen werden

Wenn Sie Probleme bei der Registrierung/Freischaltung von UltraCompare haben sollten, schicken sie bitte eine E-Mail an support@idmcomp.com (Englisch). Geben Sie in Ihrer E-Mail an, welche Version von UltraCompare Sie freizuschalten versuchen und welche Werte genau Sie für den Benutzernamen und den Freischaltcode eingeben. Wir werden so schnell wie möglich antworten, um Sie bei der Freischatung Ihrer Lizenz zu unterstützen.


Verwendung von UltraCompare

Mit UltraCompare können Sie die Inhalte von zwei Dateien oder von zwei oder - im Falle eines rekursiven Verzeichnisvergleichs - mehreren Verzeichnissen miteinander vergleichen. Das Programm kann auf verschiedene Weise angewendet werden, je nachdem, was genau Sie tun möchten und welche Version Sie verwenden (siehe Öffnen von Dateien bzw. Öffnen von Verzeichnissen ).

Achtung: Wenn Sie UltraCompare Lite verwenden, können Sie UltraCompare nur zusammen mit einem laufenden UltraEdit-32 ausführen. UltraCompare Pro kann unabhängig von einem laufenden UltraEdit-32 betrieben werden.

Die Standardanzeige von UltraCompare ist in zwei Bereiche aufgeteilt (für die zu vergleichenden Dateien), über denen das Menü und die Symbolleiste angeordnet sind. Einzelheiten zum Öffnen und Vergleichen von Dateien und Verzeichnissen finden Sie in folgenden Hilfethemen: Öffnen von Dateien , Öffnen von Verzeichnissen , und Befehlszeilenoptionen .


Navigation zwischen Unterschieden

Navigation zwischen den Unterschieden

Es gibt zwei Verfahren, die beim Vergleich zweier Dateien die Navigation zwischen den von UltraCompare ermittelten Unterschieden erleichtern:

  1. die Schaltflächen Nächster Unterschied und Vorheriger Unterschied in der Symbolleiste
  2. die grafische Navigationsansicht auf der linken Seite der Vergleichsbereiche

Schaltflächen

Durch Klicken auf die Schaltfläche Nächster Unterschied oder Drücken der Taste F3 wird der Zeiger bzw. Cursor auf den nächsten Unterschied in der aktuellen Vergleichsdatei gesetzt. Analog dazu wird der Zeiger zum vorherigen Unterschied zurück bewegt, wenn auf Vorheriger Unterschied geklickt oder die Taste F4 gedrückt wird. Der Benutzer erhält somit eine bequeme Methode, um alle Unterschiede der Reihe nach ohne manuelles Suchen aufzuspüren. Diese Funktionalität wird für alle Vergleichsmodalitäten einschließlich Textvergleich, Binärvergleich ("intelligent" sowie "schnell") und Verzeichnisvergleich bereitgestellt.

Im Textvergleichsmodus können mit den Tasten F7 und F8 zum nächsten bzw. vorherigen Unterschied gesprungen werden, wenn die aktive Zeile innerhalb eines als unterschiedlich markierten Textblocks steht.

Navigationsansicht

Die grafische Navigationsansicht wird bei Textvergleichen auf der linken Seite der Vergleichsfenster eingeblendet. Standardmäßig wird sie im scrollbaren Darstellungsmodus angezeigt. Bei Bedarf können Sie den Darstellungsmodus im Menü "Ansicht" mit dem Befehl Skalierte/Scrollbare Gesamtansicht zu einer skalierten Darstellung der Navigationsansicht wechseln. Im skalierten Darstellungsmodus werden die Unterschiede der beiden miteinander verglichenen Dateien vollständig auf dem Bildschirm dargestellt, ohne dass ein weiterer Bildlauf erforderlich ist. Das in diesem Bereich dargestellte rote Rechteck kennzeichnet den momentan sichtbaren Bereich der miteinander verglichenen Dateien.

Übereinstimmende Bereiche der miteinander verglichenen Dateien werden in der Navigationsansicht durch weiße Blöcke dargestellt. Bereiche mit Unterschieden werden standardmäßig durch blaue Blöcke dargestellt. Ein Doppelklick in der Navigationsansicht sorgt für eine entsprechende Positionierung der beiden miteinander verglichenen Dateien. Auf diese Weise können Sie leicht von einer Stelle in den Dateien zu einer bestimmten anderen Stelle navigieren, ohne sämtliche Unterschiede durchlaufen zu müssen. Zudem erhalten Sie auf diese Weise einen schnellen Überblick über die insgesamt vorliegenden Unterschiede zwischen den Dateien.


Navigation zwischen Unterschieden im 3-fach-Textmodus

Die Schaltflächen in der Symbolleiste »Zum nächsten Unterschied«, »Zum vorherigen Unterschied« [1], »Zum vorherigen Unterschied (Zeichen)« und »Zum nächsten Unterschied (Zeichen)« [2] sowie die grafische Navigationsübersicht [3] links und rechts der Vergleichsanzeigen sind die wichtigsten Mittel, um sich durch die von UltraCompare bei einem Dateivergleich aufgefundenen Unterschiede zu bewegen.

Schaltflächen

Das Betätigen der Schaltfläche Nächster Unterschied [1] positioniert den Cursor auf dem nächsten Unterschied des aktuellen Vergleichs (das Dateipaar mit dem hervorgehobenen Trennbalken zwischen den Vergleichsfenstern [4]); das Betätigen der Schaltfläche Vorheriger Unterschied [2] positioniert den Cursor auf dem vorhergehenden Unterschied des aktuellen Vergleichs. Auf diese Weise können Sie die Unterschiede einfach in der Reihenfolge ihres Auftretens durchlaufen, ohne sie umständlich von Hand heraussuchen zu müssen. Diese Methode steht Ihnen in allen Vergleichsmodi zur Verfügung: Textmodus, Binärmodus (intelligent), Binärmodus (schnell) und Verzeichnismodus.

Grafische Navigationsansicht

Die grafische Navigationsansicht [3] wird bei Textvergleichen im 3-fach-Modus zur Linken und zur Rechten der Vergleichsfenster eingeblendet. Standardmäßig wird sie im scrollbaren Darstellungsmodus angezeigt. Bei Bedarf können Sie den Darstellungsmodus im Menü "Ansicht" mit dem Befehl Skalierte/Scrollbare Gesamtansicht zu einer skalierten Darstellung der Navigationsansicht wechseln. Im skalierten Darstellungsmodus werden die Unterschiede der jeweils beiden miteinander verglichenen Dateien vollständig auf dem Bildschirm dargestellt, ohne dass ein weiterer Bildlauf erforderlich ist.

Übereinstimmende Bereiche der miteinander verglichenen Dateien werden in der Navigationsansicht durch weiße Blöcke dargestellt. Bereiche mit Unterschieden werden standardmäßig durch blaue Blöcke dargestellt. Ein Doppelklick in der Navigationsansicht [3] sorgt für eine entsprechende Positionierung in den miteinander verglichenen Dateien. Auf diese Weise können Sie leicht von einer Stelle in den Dateien zu einer bestimmten anderen Stelle navigieren, ohne sämtliche Unterschiede manuell durchlaufen zu müssen. Zudem erhalten Sie auf diese Weise einen schnellen Überblick über die insgesamt vorliegenden Unterschiede zwischen den Dateien. Das in diesem Bereich dargestellte rote Rechteck kennzeichnet den momentan sichtbaren Bereich der miteinander verglichenen Dateien.

Um eine der verglichenen Dateien näher zu untersuchen, kann man die Schaltflächen »1. Anzeige maximieren«, »2. Anzeige maximieren« oder »3. Anzeige maximieren« [6] verwenden, um das entsprechende Anzeigefenster automatisch zu vergrößern. Ein nochmaliges Klicken der Schaltfläche stellt die ursprüngliche Größe wieder her. Um einen genauen Überblick der unterschiedlichen Zeichen in der aktuellen Zeile zu erhalten, kann die Schaltfläche »Aktuelle Zeile anzeigen« [7] angeklickt werden, um das entsprechende Fenster ein- und auszublenden. Dort werden die Unterschiede zwischen den Zeilen hervorgehoben, die im aktuellen Vergleich den Fokus haben.

Hervorhebung der Unterschiede

Bei einem Dateivergleich im 3-fach-Textmodus liefert die Hintergrundeinfärbung der jeweils miteinander verglichenen Vergleichsfenster nützliche Informationen über den Vergleich aller drei Dateien auf einmal, während sich die Informationen in der Statuszeile [5] und den weiteren Anzeigen nur auf das aktiv miteinander verglichene Dateipaar beziehen, das am hervorgehobenen Trennbalken zwischen den Vergleichsfenstern [4] und am Text "Paar [1-2]" in der Statuszeile erkennbar ist.

Hintergrundfarbe | Bedeutung
Weiß | zeigt an, dass diese Bereiche in den miteinander verglichenen Fenstern identisch sind
Blau | zeigt an, dass diese Bereiche in den miteinander verglichenen Fenstern unterschiedlich sind (s. Symbole in nachstehender Tabelle)
Farbverlauf von Blau nach Weiß | zeigt an, dass diese Bereiche sich von denen des einen Vergleichsfensters unterscheiden und mit denen des anderen Vergleichsfensters identisch sind - diese Hintergrundeinfärbug taucht nur im Vergleichsfenster 2 auf
Senkrechte blaue Streifen | zeigt leere Zeilen an (keine Daten, keine festen Zeilenumbrüche) - üblicherweise hervorgerufen durch Zeilen, die in einem der Vergleichsfenster eingefügt wurden, damit die Zeilen aufeinander abgestimmt sind, wenn Daten in dem einen Vergleichsfenster vorhanden sind, die im anderen Vergleichsfenster nicht existieren

Vergleichssymbol | Bedeutung
!> | zeigt an, dass sich die Daten in der rechten Datei befinden, nicht aber in der linken
<! | zeigt an, dass sich die Daten in der linken Datei befinden, nicht aber in der rechten
!! | zeigt an, dass dieser Abschnitt in beiden Dateien Leerzeilen enthält
* | zeigt an, dass sich die Daten dieser Zeile zwischen den miteinander verglichenen Dateien unterscheiden


Navigieren bei 3-fach-Verzeichnissvergleichen

UltraCompare Professional ermöglicht den gleichzeitigen Vergleich von drei verschiedenen Verzeichnissen. In diesem Modus können auch die Inhalte eines .zip-Archivs mit Verzeichnissen im Dateisystem verglichen werden.

Die Schaltflächen Alles, Nur Unterschiede, Nur übereinstimmende [1] beeinflussen die Ausgaben eines Verzeichnisvergleichs und helfen dabei, die gewünschte Übersicht bei komplexen Vergleichsvorgängen zu bewahren. Klicken auf die Schaltflächen Grundlegend, Voll, Intelligent [5] verändert den Modus des aktuellen Verzeichnisvergleichs. Falls man gleichzeitig in verschiedenen Text- bzw. Verzeichnisvergleichsitzungen arbeitet, kann man sich darin durch Anklicken der dazugehörigen Reiter Sitzungen [8] zwischen den einzelnen Sitzungen hin und her bewegen.

Das Anklicken der Schaltfläche Gehe zum nächsten Unterschied [2] stellt den Cursor an die Position des nächsten Unterschieds in der aktuellen Vergleichsdatei, und Gehe zum vorherigen Unterschied fokussiert die Stelle des letzten Unterschieds vor der aktuellen Cursorposition. Beide zusammen ermöglichen ein schnelles Auffinden der sich unterscheidenden Textblöcke, ohne daß man diese etwa manuell aufspüren müßte. Sie sind in allen Vergleichsmodi verfügbar.

Die Schaltfläche Rekursiver Vergleich [7] schaltet zwischen einem normalen und einem »tiefen« Vergleich. Falls aktiv, sucht UltraCompare alle Verzeichnisse unterhalb der angegebenen obersten Verzeichnisebene ab und gibt an, ob diese übereinstimmen oder nicht. Falls Rekursiver Vergleich nicht aktiviert ist, werden Unterverzeichnisse im angegebenen Ordner zwar verglichen, jedoch werden sie nicht geöffnet bzw. werden deren Inhalte nicht verglichen.

Verzeichnisse können durch Drücken der Tasten »+« oder »-« im Ziffernblock sinngemäß auf- und zugeklappt werden. Falls nicht bereits durch den akuellen Vergleichsmodus angegeben, werden bei den geöffneten Verzeichnisse auch deren Inhalte verglichen. Die Schaltfläche Elternverzeichnis [6] fängt beim Ordner oberhalb des angegebenen Hauptverzeichnisses an und aktualisiert die darunter liegenden Bäume.

Durch Klicken auf die Spaltenüberschriften (Name, Status, Datum, Größe, Typ) werden die Ausgabezeilen nach dem Inhalt der entsprechenden Spalte sortiert angezeigt. Das Kontextmenü, das beim Klicken mit der rechten Maustaste auf einen der Reiter geöffnet wird, enthält Optionen für die Auswahl der anzuzeigenden Spalten für die Ausgaben eines Verzeichnisvergleichs.

Die Schaltfläche Verzeichnisvergleichsymbole [4] öffnet einen Dialog mit einer Erklärung der Bedeutung der Symbole, die neben den Dateien und Verzeichnissen im Vergleichsbaum angezeigt werden.

Die Statusleiste [9] enthält eine verbale Beschreibung dessen, was in den Vergleichsbäumen für die verglichenen Ordnern angezeigt wird. Ganz rechts wird zusätzlich eine zusammenfassende Beschreibung angezeigt: »Verschieden«, »übereinstimmend« oder »Nichts zu vergleichen«.


Befehlszeilenparameter

Mit Befehlszeilenparametern kann UltraCompare Professional aus einem Konsolenfenster heraus gestartet und damit die Optionen, die sich auf den Vergleichsvorgang beziehen, festgelegt werden. Bitte beachten Sie, dass es nicht möglich ist, UltraCompare Lite aus einem Konsolenfenster heraus zu starten.

Es gilt, einige Regeln zu beachten, wenn der Befehlstext zusammengesetzt wird:

1. Alle Parameter müssen durch Leerstellen getrennt werden.

2. Befehlsschalter wie -t, -3, -p, -x, -d und -w, die sich auf den Vergleichstyp beziehen, müssen immer unmittelbar vor dem zu vergleichenden Objekt (d.h. vor den Angaben zu Pfad- und Datei- bzw. Ordnernamen) stehen.

3. Logische Einheiten dürfen in beliebiger Reihenfolge in der Befehlszeile erscheinen, wenn sie zusammen mit ihren jeweiligen Parametern angeführt werden:

Korrekt: uc -i -lt -B -b -t <Pfad1> <Pfad2> -o <Pfad der Ausgabedatei>

Falsch: uc -t -i -o -lt -B -b <Pfad1> <Pfad2> <Pfad der Ausgabedatei>

Folgende Befehlszeilenparameter können eingesetzt werden, wenn UltraCompare Professional in einem Konsolenfenster gestartet wird:

-3 | 3-facher Textmodus
-a | alles anzeigen
-B | leere Zeilen beim Textvergleich überspringen
-b | Leerstellen beim Textvergleich ignorieren
-d | Verzeichnisvergleichsmodus
-dmb | Verzeichnisvergleichsmodus auf »grundlegend« setzen
-dmf | Verzeichnisvergleichsmodus auf »vollständig« setzen
-dms | Verzeichnisvergleichsmodus auf »intelligent« setzen
-fb | alle Dateien als binär im Verzeichnismodus vergleichen
-ft | alle Dateien als Text im Verzeichnismodus vergleichen
-horz | Anzeige-Layout horizontal setzen
-i | Gross- und Kleinschreibung im Textvergleichsmodus ignorieren
-lt | Zeilenendezeichen ignorieren
-m | Modus »Übereinstimmende anzeigen« aktivieren
-ne | Modus »Unterschiedliche anzeigen« aktivieren
-o | erstellt Ausgabedatei
-op | Ausgaben an die angegebene Datei anhängen
-p | schneller Binärvergleichsmodus aktivieren
-prf | das angegebene Profil wird ausgeführt
-qc | Schneller Vergleich auf Unterschied (byteweiser Vergleich, bis der erste Unterschied entdeckt wird).
-r | rekursiver Vergleich von Ordnern im Verzeichnisvergleichsmodus
-rio | Optionen zum Ignorieren zurücksetzen
-rom | schreibgeschützter Übernahmemodus
-t | Textvergleichsmodus
-title1 | Ersatzbezeichnung bzw. Titel für Datei oder Ordner in der 1. Anzeige setzen
-title2 | Ersatzbezeichnung bzw. Titel für Datei oder Ordner in der 2. Anzeige setzen
-title3 | Ersatzbezeichnung bzw. Titel für Datei oder Ordner in der 3. Anzeige setzen
-vert | Ansichts-Layout vertikal
-w | 3-facher Verzeichnisvergleichsmodus
-x | intelligenter Binärvergleichsmodus

Optionen für Vergleichsausgaben

Man kann UltraCompare in einer Befehlszeile starten und eine Ausgabedatei generieren. Zum Beispiel nach Eingabe der Befehle:

uc -t "c:\temp\test1\test1.txt" "c:\temp\test2\test2.txt" -o "c:\temp\output.txt"

würden die Dateien »test1.txt« und »test2.txt« verglichen und Ausgaben in die Datei »output.txt« automatisch geschrieben.

Nach der Eingabe von folgender Befehlszeile:

uc -3 "c:\temp\test1\test1.txt" "c:\temp\test2\test2.txt" "c:\temp\test3\test3.txt" -o "c:\temp\output.txt"

würden die Dateien »test1.txt«, »test2.txt« und »test3.txt« verglichen und die Ausgaben in die Datei »output.txt« automatisch geschrieben.

Der gleiche oder ähnlicher Syntax könnte für Verzeichnisvergleiche verwendet werden, z.B.:

uc -dmb -d "c:\temp\test1" "c:\temp\test2" -o "c:\temp\output.txt"

oder

uc -dms -w "c:\temp\test1" "c:\temp\test2" "c:\temp\test3" -o "c:\temp\output.txt"

Nach Bedarf können die Ausgabezeilen an eine bestehende Datei angefügt werden anstatt eine neue Ausgabedatei zu erstellen. Dazu verwendet man den Parameter »-op«. Zum Beispiel würde Folgendes:

uc -t "c:\temp\test1\test1.txt" "c:\temp\test2\test2.txt" -op "c:\temp\output.txt"

die Ausgabe des angegebenen Vergleichs ans Ende der Datei »output.txt« anfügen.

Textspezifische Vergleichsoptionen

Die Befehlsschalter Schnelle Unterschiedsprüfung "-qc" und Schreibgeschützter Übernahmemodus "-rom" sind ausschliesslich textbezogene Vergleichsvorgänge; somit braucht man nicht zusätzlich die Option "-t". Zum Beispiel:

uc -qc <Pfad1> <Pfad2>

Nach Eingabe dieser Befehlszeile würde UltraCompare Professional die angegebenen Dateien vergleichen. Die Inhalte würden byteweise verglichen, bis der erste Unterschied entdeckt würde. Nach Feststellung eines Unterschieds gibt das Programm als Ergebnis »unterschiedlich«, andernfalls »gleich« zurück.

Weil Windows-Programme weder stdin, stdout noch stderr kennen, wurde die ausführbare Datei »uc.com« geschaffen, um Informationen zurück zur Konsolenumgebung zu senden. Um dieses Feature in der Windows-Umgebung einzusetzen muss man in der Konsole »uc« (oder »uc.com«) zusammen mit den jeweiligen Befehlszeilenoptionen eintippen, uc.exe starten und nachher in der Konsole die Befehlszeile eingeben, um eine Kommunikationsverbindung mit der Anwendung herzustellen. Somit ist es möglich, die Nachricht »unterschiedlich« oder »gleich« in der Konsole bei Ausführung der »Schnellen Überprüfung auf Unterschied« von der Befehlszeile aus zurück zu erhalten. Das ist auch die gleiche, von MSDEV verwendete Methode, um mit der Befehlszeile Daten auszutauschen.

Für den schreibgeschützten Übernahmemodus verfährt man gemäss folgendem Muster:

uc -rom <Pfad1> <Pfad2> <Pfad3>

<Pfad1> und <Pfad2> geben die zu vergleichenden Dateien an; allerdings sollen die ursprünglichen Dateien während des Vorgangs nicht verändert werden. Die mit <Pfad1> spezifizierte Datei wird nach <Pfad3> für den Vergleichs- und Übernahmevorgang kopiert. Die Datei <Pfad3> wird in der Anzeige links, die Datei <Pfad2> in der rechten Anzeige erscheinen.

Bitte beachten: es ist nur möglich, Daten in die Datei <Pfad3> zu übernehmen. Die damit zu vergleichende Datei ist währenddessen als schreibgeschützt gesperrt.

Ordnerspezifische Vergleichsoptionen

Die Parameter -dmb, -dmf, und -dms können eingesetzt werden, um den genauen Typ von Verzeichnisvergleich anzugeben. Zum Beispiel würde die Eingabe von:

uc -dmb -d "c:\temp\test1" "c:\temp\test2"

einen »grundlegenden« Verzeichnisvergleich der angegebenen Ordner starten; und Folgendes:

uc -dms -r -w "c:\temp\test1" "c:\temp\test2" "c:\temp\test3"

würde einen »intelligenten« rekursiven Verzeichnisvergleich der angegebenen Verzeichnisse ausführen. Beim »intelligenten« Verzeichnisvergleich kann man UltraCompare zwingen, alle angegebenen Dateien entweder als Textdateien (-ft) oder Binärdateien (-fb) mit dem folgenden Syntax zu behandeln:

uc -ft -dms -d "c:\temp\test1" "c:\temp\test2"

oder

uc -fb -dms -w "c:\temp\test1" "c:\temp\test2" "c:\temp\test2"

Bitte beachten: Die Optionen (-ft und -fb) sollten nur zum Starten eines »intelligenten Verzeichnisvergleichs« (-dms) eingesetzt werden.

Optionen zum Ignorieren

Um die Daten weiter zu verfeinern, die aus Verzeichnis- bzw. Ordnervergleichsvorgängen zurückgegeben werden, kann man auf der Befehlszeile Optionen zum Ignorieren angeben. Die Eingabe z.B. der folgenden Parameter:

uc -i -B -t "c:\temp\test1.txt" "c:\temp\test2.txt"

würde bewirken, dass Unterschiede in Gross- und Kleinschreibung sowie leere Zeilen in beiden Dateien beim gestarteten Textvergleich ignoriert würden. Wichtig in diesem Zusammenhang ist zu merken, dass Optionen zum Ignorieren beim Absetzen von neuen Befehlen nicht automatisch zurückgesetzt werden. Falls aktiviert, wird eine Option von der nächsten Befehlszeile geerbt. Ein Beispiel:

uc -b -t "c:\temp\test1.txt" "c:\temp\test2.txt"

Ein Textvergleich mit Ignorierung von Leerschlägen wird gestartet. Falls nun der folgende Befehl unmittelbar danach abgesetzt wird:

uc -lt -t "c:\temp\test1.txt" "c:\temp\test2.txt"

würden sowohl Zeilenendezeichen als auch Weissraum vom Vergleich ignoriert. Optionen zum Ignorieren können durch den Schalter -rio zurückgesetzt werden, z.B.:

uc -rio -B -b -t "c:\temp\test1.txt" "c:\temp\test2.txt" -o "c:\temp\output.txt"

Anzeigeoptionen

Die Parameter -a, -m, oder -ne bestimmen welche Art von Unterschieden durch UltraCompare angezeigt werden. Zum Beispiel:

uc -dmb -d "c:\temp\test1" "c:\temp\test2" -ne

Ein Verzeichnisvergleich der angegebenen Ordnern wird gestartet, aber nur die unterschiedlichen Dateien und Verzeichnisse werden in den Ausgaben angezeigt. Die Orientierung der Anzeige der Ausgaben kann mit den Schaltern -vert und -horz in der Befehlszeile auch mit angegeben werden. Die folgenden Eingaben:

uc -t "c:\temp\test1.txt" "c:\temp\test2.txt" -horz

würden einen Textvergleich der angegebenen Dateien starten und die Ausgaben nebeneinander (horizontal) anzeigen.

Optionen für Ersatzbezeichnungen/Titel

Einige Versionsverwaltungssysteme verlangen anstatt der eigentlichen vollständigen Pfade Ersatzbezeichnungen für die zu vergleichenden Dateien bzw. Ordnern, wenn diese der Versionskontrolle unterliegen. Um diese Bedingung zu erfüllen, dient der folgende Befehlssyntax:

uc -t "c:\dev\workingFiles\appData.cpp,1" "c:\dev\workingFiles\appData.cpp,2" -title1 "appData1" -title2 "appData2"

Im gegebenen Fall würden die angeführten Dateien zwar verglichen, jedoch würden in den Ausgaben nur die Bezeichnungen »appData1« und »appData2« in UltraCompare Professional angezeigt.


Befehle im Kontextmenü

Die Befehle im Kontextmenü

Das Kontextmenü von UltraCompare enthält sowohl in den beiden Dateivergleichsmodi als auch im Verzeichnismodus einige nützliche Funktionen für die Dateiverwaltung, die Übernahme von Unterschieden und die Verzeichnisnavigation.

Textmodus

Folgende Befehle stehen im Textmodus zur Verfügung:

In UltraEdit öffnen | öffnet die aktive Datei zur Bearbeitung in UltraEdit
Manuelle Ausrichtung | Die Ausrichtung wird nach den zwei selektierten Zeilen im aktuellen Dateivergleich neu vorgenommen. Dieser Vorgang muß für beide Anzeigen separat ausgeführt werden, um die Zeilen für die manuelle Ausrichtung festzulegen. Nachdem die zweite Zeile für manuelle Ausrichtung markiert wurde, werden alle davor liegenden Zeilen in der Zeilennummerspalte als nicht zum Vergleich gehörend markiert.
Ausrichtung zurücksetzen | Die Ausrichtung der zu vergleichenden Dateien wird in den Standard-Scanmodus zurückgesetzt.
Von links nach rechts übernehmen | übernimmt die Auswahl aus der linken in die rechte Datei
Von rechts nach links übernehmen | übernimmt die Auswahl aus der rechten in die linke Datei
Spezielle Übernahme | übernimmt die Auswahl entweder ober- oder unterhalb der als verschieden ermittelten Zeile aus der linken in die rechte (bzw. aus der rechten in die linke) Datei, ohne den vorhandenen Text zu überschreiben
Alles übernehmen | übernimmt sämtliche Änderungen durch Übernahmen in den angegebenen Dateien
Ausschneiden | löscht den ausgewählten Abschnitt aus der aktuellen Datei und speichert ihn in der Zwischenablage
Kopieren | kopiert den ausgewählten Abschnitt in der aktuellen Datei und speichert ihn in der Zwischenablage
Anzeige zur Zwischenablage kopieren | kopiert den Inhalt der aktuellen Anzeige in die Zwischenablage ggf. unter Berücksichtigung von Filtern
Einfügen | fügt Daten aus der Zwischenablage in die aktuelle Datei ein
Datei vom Datenträger löschen | löscht die aktive Datei vom Datenträger
Anzeige löschen | löscht den Inhalt der aktuellen Vergleichsanzeige
Markierte Zeile löschen | löscht die markierte Zeile nur in der Datei, in der sie markiert ist
Zeile zu Lesezeichen hinzufügen | fügt die markierte Zeile zur aktuellen Liste für die Lesezeichennavigation hinzu
Erstes Verzeichnis durchsuchen | öffnet das Quellverzeichnis im Explorer
Zweites Verzeichnis durchsuchen | öffnet das Zielverzeichnis im Explorer
Datei in Browser anzeigen | öffnet die aktuelle Datei im Standard-Browser des Betriebssystems
Aktuelles Verzeichnis ansehen | öffnet den Windows-Explorer mit dem Verzeichnis der aktiven Datei
Aktualisieren | wiederholt den Vergleich und aktualisiert die Vergleichsfenster

Binärmodus

Im Binärmodus (intelligent oder schnell) stehen im Kontextmenü nur die Befehle Datei vom Datenträger löschen, Aktuelles Verzeichnis ansehen, and Aktualisieren zur Verfügung.

Verzeichnismodus

Folgende Befehle stehen im Verzeichnismodus zur Verfügung:

In UltraEdit öffnen | öffnet die aktive Datei zur Bearbeitung in UltraEdit
Von links nach rechts übernehmen | übernimmt die Auswahl aus der linken in die rechte Datei
Von rechts nach links übernehmen | übernimmt die Auswahl aus der rechten in die linke Datei
Quellenverzeichnis ansehen | öffnet den Windows-Explorer mit dem Quellenverzeichnis
Zielverzeichnis ansehen | öffnet den Windows-Explorer mit dem Zielverzeichnis
Auszuschließende Dateien | öffnet einen Dialog, um Dateien oder Verzeichnisse vom aktuellen Vergleichsvorgang auszuschließen
Vorschau anzeigen | eine Vorschau des Texts der aktuell zu vergleichende Datei wird angezeigt oder versteckt
Aktualisieren | wiederholt den Vergleich und aktualisiert die Vergleichsfenster


Unterstützung für Versionskontrolle

UltraCompare Professional kann als externes Diff-Werkzeug bei mehreren Versionskontrollsystemen eingesetzt werden. Bei den nachfolgenden Anweisungen ist nur die Windows-Version des jeweiligen Produkts betroffen.

AnkhSVN mit Visual Studio 2008 (http://ankhsvn.open.collab.net/)

1. Visual Studio 2008 starten.

2. Den Befehl Optionen aus dem Menü Extras wählen.

3. Versionskontrolle auswählen und auf Plug-In auswählen klicken.

4. Unter Plug-In auswählen nachher AnkhSVN selektieren.

5. Unter Subversion Benutzerwerkzeuge folgenden Text in das Feld Externes Diff eingeben:

"C:\Program Files\IDM Computer Solutions\UltraCompare\uc.exe" "%base" "%mine"

Perforce für Windows (http://www.perforce.com/)

1. Aus dem Menü Bearbeiten den Befehl Einstellungen auswählen.

2. Den Reiter Diff öffnen.

3. Unter Standard-Diff-Anwendung die Auswahl Andere Anwendung wählen.

4. Auf die Schaltfläche »Durchsuchen« neben dem Feld Standort klicken, nachher zum Installationsverzeichnis von UltraCompare navigieren und uc.exe auswählen.

5. Im Eingabefeld Parameter Folgendes eingeben:

%1 %2

QVCS (http://www.qumasoft.com/index1.html)

1. Aus dem Menü Admin den Befehl Einstellungen wählen.

2. Den Reiter Werkzeuge öffnen.

3. Im Feld Befehlszeile für das Visual Compare-Werkzeug Folgendes eingeben:

"uc.exe %s %s"

4. Auf Anwenden klicken.

Subversion (http://subversion.tigris.org/)

1. Legen Sie eine neue, leere Stapeldatei mit Namen »ucsvndiff.bat« im UltraCompare-Installationsverzeichnis an (z.B. in "C:\Program Files\IDM Computer Solutions\UltraCompare").

2. Öffnen Sie ucsvndiff.bat im Bearbeitungsfenster.

3. Tippen Sie die folgenden Zeilen ein:

%ECHO OFF

"C:\Program Files\IDM Computer Solutions\UltraCompare\uc.exe" "%6" "%7" -title1 "%3" -title2 "%5"

3. Navigieren Sie in das Verzeichnis, wo die Konfigurationsdaten von Subversion liegen
(normalerweise hier):

C:\Users\<username>\AppData\Roaming\Subversion

(oder hier):

C:\Users\<username>\Application Data\Subversion

(Den Standort dieses Ordners kann man auf einfache Weise ermitteln, indem man in der Adressleiste »%APPDATA%« eingibt und nach dem Verzeichnis »Subversion« sucht).

4. In der Datei »config«, die sich im »Subversion«-Verzeichnis befindet, die folgenden Zeilen abändern:

#[helpers]

#diff-cmd=diff_program(diff, gdiff, etc.)

nachher:

[helpers]

diff-cmd=diff_program(diff, gdiff, etc.)

5. Bearbeiten Sie die Zeile mit dem Befehl »diff-cmd«, damit der Befehl auf die Datei »ucsvndiff.bat« zeigt, z.B.:

diff-cmd=C:\Program Files\IDM Computer Solutions\UltraCompare\ucsvndiff.bat

TortoiseCVS (http://tortoisecvs.org/)

1. Wählen Sie aus dem Windows-Explorer Kontextmenü die Befehle CVS und nachher Einstellungen.

2. Öffnen Sie den Reiter Werkzeuge.

3. Für Diff-Anwendung, wählen Sie uc.exe aus dem UltraCompare-Installationsverzeichnis aus.

4. Für Zweifache Diff-Parameter geben Sie Folgendes ein:

"%1" "%2"

Bitte beachten: Zwischen den zwei Werten muss eine Leerstelle stehen.

TortoiseSVN (http://tortoisesvn.tigris.org/)

1. Aus dem Kontextmenü in Windows-Explorer zunächst TortoiseSVN, dann Einstellungen auswählen.

2. Nach Diff-Viewer unter Externe Programme wechseln.

3. Bei »Programm zum Vergleichen von verschiedenen Versionen von Dateien konfigurieren« nun Externe auswählen.

4. Auf die Schaltfläche »Durchsuchen« klicken und in das Installationsverzeichnis von UltraCompare wechseln. uc.exe markieren und auf OK klicken.

5. Am Ende des Pfads zur Datei uc.exe den folgenden Code hinzufügen:

"%base" "%mine" -title1 "%bname" -title2 "%yname"

6. Die fertige Zeichenkette sollte nun so aussehen:

C:\Program Files\IDM Computer Solutions\UltraCompare\uc.exe "%base" "%mine" -title1 "%bname" -title2 "%yname"

7. Auf Anwenden klicken.

Visual SourceSafe 2005 (von der Visual Studio-DVD installiert)

1. Aus dem Menü Extras den Befehl Optionen auswählen.

2. Den Reiter Benutzerdefinierte Editoren öffnen.

3. Unter Vorgang: das Thema Dateienvergleich auswählen.

4. Im Feld Dateinamenerweiterung folgenden Text eingeben: ».*«

5. Im Feld Befehlszeile gibt man ein:
"C:\Program Files\IDM Computer Solutions\UltraCompare\uc.exe "%1" "%2""

6. Auf Hinzufügen klicken.


Versionen von UltraCompare

UltraCompare ist sowohl als Lite-Version als auch als Professional-Version erhältlich. Die Lite-Version wird zusammen mit UltraEdit-32 ausgeliefert und muss von UltraEdit-32 aus aufgerufen werden.

Nachfolgend finden Sie eine Zusammenfassung der Funktionsmerkmale, um die Unterschiede zwischen den Versionen zu verdeutlichen.

Die Lite-Version

* UltraEdit (externer Link) muss in Betrieb sein

* muss von UltraEdit aus aufgerufen werden

* unterstützt nur den Textvergleich (Dateien)

* unterstützt den schnellen Binärvergleich - Byte für Byte

Die Professional-Version

* ist eine eigenständige Anwendung und benötigt kein laufendes UltraEdit

* unterstützt den Verzeichnisvergleich (Ordner) und den Textvergleich (Dateien)

* unterstützt den intelligenten Binärvergleich, bei dem Bytes eingefügt und neu ausgerichtet werden

* unterstützt die Übernahme von Änderungen

* besitzt zusätzliche Symbole, die es in der Symbolleiste der Lite-Version nicht gibt

Des Weiteren verfügt die Professional-Version über einige Befehlszeilenoptionen , während UltraCompare Lite nicht von der Befehlszeile aus aufgerufen werden kann.


Befehle im Menü "Datei"'

Die Befehle im Menü "Datei"

Das Menü "Datei" enthält folgende Befehle:

In Anzeige 1 öffnen... | ruft das Dialogfenster "Datei öffnen" für die Datei bzw. das Verzeichnis auf, die/das in der Quellanzeige geöffnet werden soll
In Anzeige 2 öffnen... | ruft das Dialogfenster "Datei öffnen" für die Datei bzw. das Verzeichnis auf, die/das in der Zielanzeige geöffnet werden soll
Speichern unter | Sichert den Inhalt der aktuellen Anzeige als Datei mit dem angegebenen Dateinamen
Alle Dateien schließen | Schließt alle geöffnete Dokumente
FTP - Öffnen per FTP | Öffnet eine existierende Datei von einem FTP-Verzeichnis
FTP - Speichern unter per FTP | Speichert eine offene Datei unter dem angegebenen Namen in einem FTP-Verzeichnis
Favoriten... | ruft ein Dialogfenster zur Angabe der für Vergleiche bevorzugt verwendeten Verzeichnisse/Dateien auf
Änderungen durch Übernahmen speichern | speichert die Änderungen, die durch zuvor durchgeführte Übernahmen entstanden sind
Vergleichsergebnisse speichern | speichert das Vergleichsergebnis des aktuellen Vergleichs als Textdatei
Vorschau | gibt das Vergleichsergebnis als Seitenansicht auf dem Bildschirm aus wie es gedruckt würde
Konfiguration der Druckeinstellungen | zeigt den Dialog »Seite einrichten« für die Konfigurierung des Druckens
Drucken | druckt das Vergleichsergebnis aus
Vorschau für Anzeige 1 | zeigt die linke bzw. obere Datei als Seitenansicht auf dem Bildschirm an wie sie gedruckt würde
Vorschau für Anzeige 2 | zeigt die rechte bzw. untere Datei als Seitenansicht auf dem Bildschirm an wie sie gedruckt würde
Anzeige 1 drucken | druckt die linke bzw. obere Datei aus
Anzeige 2 drucken | druckt die rechte bzw. untere Datei aus
Beenden | beendet UltraCompare

Im 3-fach-Textmodus enthält das Menü "Datei" folgende Befehle:

In Anzeige 1 öffnen... | ruft den "Öffnen"-Dialog für die Datei auf, die im Anzeige 1 geöffnet werden soll
In Anzeige 2 öffnen... | ruft den "Öffnen"-Dialog für die Datei auf, die im Anzeige 2 geöffnet werden soll
In Anzeige 3 öffnen... | ruft den "Öffnen"-Dialog für die Datei auf, die im Anzeige 3 geöffnet werden soll
Speichern unter | Sichert den Inhalt der aktuellen Anzeige als Datei mit dem angegebenen Dateinamen
Alle Dateien schließen | Schließt alle geöffnete Dokumente
FTP - Öffnen per FTP | Öffnet eine existierende Datei von einem FTP-Verzeichnis
FTP - Speichern unter per FTP | Speichert eine offene Datei unter dem angegebenen Namen in einem FTP-Verzeichnis
Favoriten... | ruft ein Dialogfenster zur Angabe der für Vergleiche bevorzugt verwendeten Verzeichnisse/Dateien auf
Änderungen durch Übernahmen speichern | speichert die Änderungen, die durch zuvor durchgeführte Übernahmen entstanden sind
Vergleichsergebnisse speichern | speichert das Vergleichsergebnis des aktuellen Vergleichs als Textdatei
Vorschau | gibt das Vergleichsergebnis als Seitenansicht auf dem Bildschirm aus wie es gedruckt würde
Konfiguration der Druckeinstellungen | zeigt den Dialog »Seite einrichten« für die Konfigurierung des Druckens
Drucken | druckt das Vergleichsergebnis aus
Vorschau für Anzeige 1 | zeigt die Datei aus dem Anzeige 1 als Seitenansicht auf dem Bildschirm an wie sie gedruckt würde
Vorschau für Anzeige 2 | zeigt die Datei aus dem Anzeige 2 als Seitenansicht auf dem Bildschirm an wie sie gedruckt würde
Vorschau für Anzeige 3 | zeigt die Datei aus dem Anzeige 3 als Seitenansicht auf dem Bildschirm an wie sie gedruckt würde
Anzeige 1 drucken | druckt nur die Datei aus dem Anzeige 1 aus
Anzeige 2 drucken | druckt nur die Datei aus dem Anzeige 2 aus
Anzeige 3 drucken | druckt nur die Datei aus dem Anzeige 3 aus
Beenden | beendet UltraCompare


Links/Oben | Rechts/Unten öffnen

Der Befehl "Links/Oben | Rechts/Unten öffnen" (Menü "Datei")

Diese Befehle rufen den Dialog "Datei öffnen" auf, mit dem Sie bei einem Dateivergleich im Modus 'Textvergleich' die Datei für die Quellanzeige (links/oben) bzw. Zielanzeige (rechts/unten) festlegen können.

Dieselben Befehle werden im Modus 'Verzeichnisvergleich' verwendet, um die für den Vergleich zu öffnenden Verzeichnisse festzulegen.

Schnellzugriff

Tastatur: Strg+O (Links/Oben öffnen)

Tastatur: Strg+R (Rechts/Unten öffnen)


Öffnen per FTP

Der Befehl 'Öffnen per FTP…' (Menü 'Datei | FTP')

Mit diesem Befehl können Sie eine Datei per FTP (File Transfer Protocol) öffnen. Es erscheint ein Dialog, in dem Sie zunächst die/den zu durchsuchende(n) Site/Zugang und anschließend die zu öffnende(n) Datei(en) auswählen können.

Während der Übertragung von Daten/Dateien oder der Herstellung einer Verbindung zu einer Site wird eine Fortschrittsanzeige eingeblendet, die den jeweils aktuellen Stand anzeigt.

Die Bedienelemente

Zugang

Dieses Listenfeld enthält alle konfigurierten Zugänge, von denen Sie einen beliebigen Zugang auswählen können. Wenn ein anderer Zugang aus der Liste ausgewählt wird, versucht UltraCompare automatisch, eine Verbindung zu der entsprechenden Site herzustellen und sie zu durchsuchen.

Für jede auszuwählende Site muss ein neuer Zugang konfiguriert werden, da jede Site in der Regel über andere Namen, Passwörter, Verzeichnisse usw. verfügt. Dies geschieht mit Hilfe der Schaltfläche Zugänge.

Site durchsuchen

Klicken Sie auf diese Schaltfläche, um die auf der ausgewählten Site befindlichen Dateien in der darunter stehenden Liste anzuzeigen.

Rekursiv herunterladen

Diese Option, falls aktiviert, bewirkt im FTP-Verzeichnismodus das Herunterladen von Dateien aus Unterverzeichnissen zusätzlich zu den Dateien im ausgewählten Verzeichnis.

Protokoll anzeigen

Wenn diese Option aktiviert ist, wird anstelle der Dateiliste ein Fenster angezeigt, in dem alle an den FTP-Server geschickten Befehle und die von ihm erhaltenen Daten erscheinen. Sie können den Inhalt des Fensters durchblättern und in die Zwischenablage kopieren.

Dateiliste

Ein Doppelklick auf eine Datei aus der Liste öffnet diese Datei in UltraCompare. Ein Doppelklick auf ein Verzeichnis in der Liste führt zu dem Versuch, in das entsprechende Verzeichnis zu wechseln und die darin enthaltenen Dateien anzuzeigen. Die Einträge in der Dateiliste lassen sich durch die Angabe eines Filters filtern.

Zugänge

Klicken Sie auf diese Schaltfläche, um den Dialog 'FTP-Zugänge' aufzurufen, in dem Sie einen neuen Zugang konfigurieren können.

Verzeichnis wechseln

Klicken Sie auf diese Schaltfläche, um das Verzeichnis, in das Sie wechseln wollen, in einem Dialogdirekt anzugeben. In diesem Dialog können Sie auch die zuletzt verwendeten Verzeichnisse aus einem Listenfeld auswählen. Alternativ können Sie sich in der Dateiliste per Doppelklick auf die jeweils angezeigten Verzeichnisse zum gewünschten Verzeichnis 'durchhangeln'.

Filter

Geben Sie in diesem Feld ein Filterkriterium (z.B.: '*.html') an, nach dem die Dateiliste gefiltert werden soll, um nur eine Teilmenge der Dateien anzuzeigen.

Keine Verzeichnisse

Wenn diese Option aktiviert ist, werden in der Dateiliste keine Verzeichnisse angezeigt.

Aktualisieren

Klicken Sie auf diese Schaltfläche, um die Verzeichnis- und Dateiinformationen erneut vom Host-Server abzurufen.

Verzeichnis anlegen

Klicken Sie auf diese Schaltfläche, um ein neues Verzeichnis auf dem Host-Server anzulegen. Dabei findet keine Namens- oder Syntaxüberprüfung durch UltraCompare statt. Allerdings werden etwaige Fehlermeldungen vom Host-Server zurückgeliefert.

Berechtigungen

Klicken Sie auf diese Schaltfläche, um die Dateizugriffsrechte für eine Datei auf dem Remote-Host einzustellen. Dies funktioniert allerdings nur mit Servern, die den FTP-Befehl chmod kennen (typischerweise also nur Unix/Linux-Server).

Umbenennen

Klicken Sie auf diese Schaltfläche, um eine ausgewählte Datei oder ein Verzeichnis auf dem Remote-Host umzubenennen.

Löschen

Klicken Sie auf diese Schaltfläche, um eine ausgewählte Datei oder ein Verzeichnis auf dem Host-Server zu löschen.

Übertragungsverfahren

Hier können Sie das Übertragungsverfahren für den Zugang auf ASCII oder Binär einstellen. Bei der binären Übertragen werden Dateien byteweise unverändert übermittelt. Bei der Übertragung im ASCII-Format werden Dateien in Bezug auf das Zeilenende-Zeichen für verschiedene Systeme entsprechend konvertiert.

Dialog nach dem Öffnen schließen

Standardmäßig ist diese Option aktiv und der Dialog wird nach Erhalt und Öffnen der ausgewählten Datei(en) geschlossen. Diese Option kann deaktiviert werden, um den Dialog geöffnet zu lassen.

Dateiname

In diesem Feld können Sie den gewünschten Dateinamen inklusive Pfad direkt eingeben.

Öffnen

Klicken Sie auf diese Schaltfläche, um die ausgewählte(n) Dateien vom Remote-Host herunterzuladen und in UltraCompare zu öffnen. Alternativ können Sie einen Doppelklick auf einer zu öffnenden Datei durchführen. Der Stand der Dateiübertragung wird in einer Fortschrittsanzeige dargestellt.

Schließen

Klicken Sie auf diese Schaltfläche, um den Dialog zu schließen.

Hinweis: Solange ein Vorgang in Betrieb ist wird ein Warnhinweis ausgegeben, falls versucht wird, einen anderen Vorgang zu starten oder den Dialog abzubrechen.


Speichern unter per FTP

Der Befehl 'Speichern unter per FTP…' (Menü 'Datei | FTP')

Mit diesem Befehl können Sie eine offene Datei per FTP (File Transfer Protocol) unter einem neuen Namen speichern. Es erscheint ein Dialog, in dem Sie zunächst die/den zu durchsuchende(n) Site/Zugang und anschließend den Dateinamen angeben können.

Während der Übertragung von Daten/Dateien oder der Herstellung einer Verbindung zu einer Site wird eine Fortschrittsanzeige eingeblendet, die den jeweils aktuellen Stand anzeigt.

Die Bedienelemente

Zugang

Dieses Listenfeld enthält alle konfigurierten Zugänge, von denen Sie einen beliebigen Zugang auswählen können. Wenn ein anderer Zugang aus der Liste ausgewählt wird, versucht UltraCompare automatisch, eine Verbindung zu der entsprechenden Site herzustellen und sie zu durchsuchen.

Für jede auszuwählende Site muss ein neuer Zugang konfiguriert werden, da jede Site in der Regel über andere Namen, Passwörter, Verzeichnisse usw. verfügt. Dies geschieht mit Hilfe der Schaltfläche Zugänge.

Site durchsuchen

Klicken Sie auf diese Schaltfläche, um die auf der ausgewählten Site befindlichen Dateien in der darunter stehenden Liste anzuzeigen.

Protokoll anzeigen

Wenn diese Option aktiviert ist, wird anstelle der Dateiliste ein Fenster angezeigt, in dem alle an den FTP-Server geschickten Befehle und die von ihm erhaltenen Daten erscheinen. Sie können den Inhalt des Fensters durchblättern und in die Zwischenablage kopieren.

Dateiliste

Die Auswahl einer Datei aus dieser Liste übernimmt den Namen der Datei in das Feld Dateiname. Dieser ausgewählte Name würde dann zum Speichern der Datei verwendet werden. Ein Doppelklick auf ein Verzeichnis in der Liste führt zu dem Versuch, in das entsprechende Verzeichnis zu wechseln und die darin enthaltenen Dateien anzuzeigen. Die Einträge in der Dateiliste lassen sich durch die Angabe eines Filters filtern.

Zugänge

Klicken Sie auf diese Schaltfläche, um den Dialog 'FTP-Zugänge' aufzurufen, in dem Sie einen neuen Zugang konfigurieren können.

Verzeichnis wechseln

Klicken Sie auf diese Schaltfläche, um das Verzeichnis, in das Sie wechseln wollen, in einem Dialogdirekt anzugeben. In diesem Dialog können Sie auch die zuletzt verwendeten Verzeichnisse aus einem Listenfeld auswählen. Alternativ können Sie sich in der Dateiliste per Doppelklick auf die jeweils angezeigten Verzeichnisse zum gewünschten Verzeichnis 'durchhangeln'.

Filter

Geben Sie in diesem Feld ein Filterkriterium (z.B.: '*.html') an, nach dem die Dateiliste gefiltert werden soll, um nur eine Teilmenge der Dateien anzuzeigen.

Keine Verzeichnisse

Wenn diese Option aktiviert ist, werden in der Dateiliste keine Verzeichnisse angezeigt.

Aktualisieren

Klicken Sie auf diese Schaltfläche, um die Verzeichnis- und Dateiinformationen erneut vom Host-Server abzurufen.

Verzeichnis anlegen

Klicken Sie auf diese Schaltfläche, um ein neues Verzeichnis auf dem Host-Server anzulegen. Dabei findet keine Namens- oder Syntaxüberprüfung durch UltraCompare statt. Allerdings werden etwaige Fehlermeldungen vom Host-Server zurückgeliefert.

Berechtigungen

Klicken Sie auf diese Schaltfläche, um die Dateizugriffsrechte für eine Datei auf dem Remote-Host einzustellen. Dies funktioniert allerdings nur mit Servern, die den FTP-Befehl chmod kennen (typischerweise also nur Unix/Linux-Server).

Umbenennen

Klicken Sie auf diese Schaltfläche, um eine ausgewählte Datei oder ein Verzeichnis auf dem Remote-Host umzubenennen.

Löschen

Klicken Sie auf diese Schaltfläche, um eine ausgewählte Datei oder ein Verzeichnis auf dem Host-Server zu löschen.

Übertragungsverfahren

Hier können Sie das Übertragungsverfahren für den Zugang auf ASCII oder Binär einstellen. Bei der binären Übertragen werden Dateien byteweise unverändert übermittelt. Bei der Übertragung im ASCII-Format werden Dateien in Bezug auf das Zeilenende-Zeichen für verschiedene Systeme entsprechend konvertiert.

Dialog nach Übertragung schließen

Standardmäßig ist diese Option aktiv und der Dialog wird nach dem Speichern der Datei geschlossen. Diese Option kann deaktiviert werden, um den Dialog geöffnet zu lassen.

Dateiname

In diesem Feld können Sie den gewünschten Dateinamen (auch mit Pfad) für die Datei eingeben.

Speichern unter

Klicken Sie auf diese Schaltfläche, um die Datei unter dem angegebenen Namen und Pfad oder unter dem Namen einer aus der Dateiliste ausgewählten Datei auf dem Remote-Host zu speichern. Der Stand der Dateiübertragung wird in einer Fortschrittsanzeige dargestellt.

Schließen

Klicken Sie auf diese Schaltfläche, um den Dialog zu schließen.

Hinweis: Solange ein Vorgang in Betrieb ist wird ein Warnhinweis ausgegeben, falls versucht wird, einen anderen Vorgang zu starten oder den Dialog abzubrechen.

Im Verzeichnismodus bewirkt das Auswählen von „Speichern unter per FTP“ das Öffnen des Dialogs „Hochladen von Dateien/Verzeichnissen per FTP“, wo Dateien und Verzeichnisse zum Hochladen auf den FTP-Server angegeben werden können. Dateien bzw. Verzeichnisse, die auf einem FTP-Server geöffnet und in den aktuellen Vergleichsvorgang aufgenommen wurden, werden im entsprechenden Anzeigefenster in einer Baumstruktur dargestellt:

Übernomme bzw. modifizierte Objekte werden rot hervorgehoben und zum Transfer automatisch markiert. Ein schwarzes Kästchen mit einem grünen Häkchen bei einem Verzeichnis bedeutet, dass alle Objekte in diesem Ordner modifiziert und zum Transfer ausgewählt wurden; ein grünes Kästchen mit grünem Häkchen bedeutet, dass mindestens ein Objekt in diesem Ordner modifiziert und zum Transfer ausgewählt wurde. Betätigen der Schaltfläche „Hochladen“ startet den Transfer, wobei der für den jeweiligen Zugang eingestellte Transfermodus verwendet wird.


Bevorzugte Dateien

Der Befehl "Bevorzugte Dateien" (Menü "Datei")

Dieser Befehl ruft ein Dialogfenster auf, mit dem sich Dateien und Verzeichnisse festlegen lassen, die häufig bei Vergleichen verwendet werden. Eine Datei oder ein Verzeichnis kann angegeben werden, indem entweder der vollständige Pfad in das Textfeld unterhalb der Liste eingetragen wird oder die Datei bzw. das Verzeichnis mit Hilfe der Schaltfläche Durchsuchen und des entsprechenden Dialogs angesteuert wird. Sobald ein Pfad angegeben bzw. ausgesucht wurde, wird er durch Drücken der Schaltfläche Hinzufügen für die zukünftige Nutzung in die Liste der bevorzugten Dateien/Verzeichnisse aufgenommen. Dann können Sie die Schaltflächen Als Quelle öffnen oder Als Ziel öffnen verwenden, um die jeweilige Datei bzw. das Verzeichnis im entsprechenden Vergleichsfenster zu öffnen.

Wenn Sie gerade dabei sind, einen Vergleich von Dateien oder Verzeichnissen durchzuführen, die sie zu der Liste hinzufügen möchten, dann können Sie die aktiven Dateien bzw. Verzeichnisse mit Hilfe der Schaltflächen Quelle hinzufügen bzw. Ziel hinzufügen in die Liste der bevorzugten Dateien/Verzeichnisse aufnehmen.


Änderungen durch Übernahmen speichern

Der Befehl "Änderungen durch Übernahmen speichern" (Menü "Datei")

Dieser Befehl speichert alle durch Übernahmen entstandenen Änderungen aus der aktuellen Vergleichssitzung - unabhängig davon, in welcher Datei die Änderungen stattgefunden haben.

Er lässt sich aus dem Menü "Datei" heraus oder von der Symbolleiste aus aufrufen. Der Befehl steht nur nach einer Übernahmeoperation zur Verfügung.

Schnellzugriff

Tastatur: Strg+S


Vergleichsergebnis speichern

Der Befehl "Vergleichsergebnis speichern" (Menü "Datei")

Dieser Befehl speichert das Vergleichsergebnis des aktiven Dateivergleichs im Textformat.

Er lässt sich aus dem Menü "Datei" heraus oder von der Symbolleiste aus aufrufen und öffnet den Dialog "Speichern unter", in dem Sie angeben können, wo und unter welchem Namen das Vergleichsergebnis gespeichert werden soll. Der Befehl steht nur während eines Textvergleichs zur Verfügung und kann nicht in Zusammenhang mit einem Verzeichnisvergleich genutzt werden.

Schnellzugriff

Tastatur: Strg+R


Vorschau

Der Befehl "Vorschau" (Datei "Menü")

Dieser Befehl zeigt das Vergleichsergebnis so auf dem Bildschirm an wie es beim Ausdruck aussehen würde.

Wenn Sie diesen Befehl ausführen, wird das Hauptfenster durch ein Vorschaufenster ersetzt, in dem das Vergleichsergebnis als Seitenansicht angezeigt wird.

Die Symbolleiste für die Vorschau bietet Ihnen die Möglichkeit zum Ausdrucken, zum Vorwärts- bzw. Rückwärtsblättern im Vergleichsergebnis, zum Anzeigen von einer oder zwei Seiten gleichzeitig, zum Vergrößern und Verkleinern sowie zum Schließen des Vorschaufensters.


Print Settings

Seite einrichten (Menü »Datei«)

Der Dialog »Seite einrichten« wird nach Auswahl des Befehls »Druckeinstellungen« im Menü »Datei« geöffnet. Darin können u.a. die Optionen für Kopf- und Fußzeilen eingestellt werden, die mitgedruckt werden. Die Kopfzeile wird, sofern eingestellt, oben auf jeder Seite gedruckt, die Fußzeile unten. Falls eine Kopf- oder Fußzeile eingestellt worden ist, wird eine Trennlinie über die ganze Seitenbreite zwischen der Kopf- bzw. Fußzeile und dem zu druckenden Text ausgegeben.

Die Kopf- oder Fußzeile lässt sich mit dem entsprechenden Kontrollkästchen ein- bzw. ausschalten. Falls eine Kopf- oder Fußzeile aktiviert ist, kann die standardmäßig zwischen Kopf-/Fußzeile und dem Seitentext ausgegebene Trennlinie optional ausgeschaltet werden.

Die Kopf- bzw. Fußzeile kann neben benutzerdefiniertem Text zusätzlich Steuerzeichen enthalten, die das Drucken von Dateinamen und Seitenzahlen ermöglichen.

Folgende Steuerzeichen werden unterstützt:

&f | Platzhalter für den vollen Dateinamen mit Pfad
&n | Platzhalter für den Dateinamen ohne Pfad
&p | Platzhalter für die aktuelle Seitenzahl
&t | Platzhalter für die Gesamtanzahl der Seiten
&l | Richtet den nachfolgenden Text links in der Kopf-/Fußzeile aus
&c | Richtet den nachfolgenden Text zentriert in der Kopf-/Fußzeile aus
&r | Richtet den nachfolgenden Text rechts in der Kopf-/Fußzeile aus

Hinweis: Die Zeichen zum Ausrichten sind nicht erforderlich und es dürfen auch alle von ihnen in einer einzigen Kopf-/Fußzeile auftreten. Wenn jedoch mehr als eines der Zeichen vorhanden sind, muss obige Reihenfolge eingehalten werden ('&l' muss vor '&c' und '&c' muss vor '&r' stehen).

Zusätzlich können die Kopf- oder Fußzeile das Datum und die Uhrzeit der Datei oder des Systems enthalten. Zwei Optionsfelder ermöglichen die Auswahl der Quelle für die zu verwendende Zeitangabe zwischen der Dateizeit und der Systemzeit. Weitere in der Kopf-/Fußzeile verwendete Steuerzeichen legen fest, ob das Datum und die Uhrzeit gedruckt werden sollen und welches Format gegebenenfalls verwendet wird.

Die Formatierung erfolgt mit folgenden Steuerzeichen (die Abwesendheit aller dieser Zeichen bewirkt, dass Datum und Uhrzeit nicht gedruckt werden):

Symbol | Beschreibung
%a | Abgekürzter Name des Wochentags
%A | Ausgeschriebener Name des Wochentags
%b | Abgekürzter Monatsname
%B | Ausgeschriebener Monatsname
%c | Darstellung von Datum und Uhrzeit entsprechend der Ländereinstellung
%d | Tag des Monats als Dezimalzahl (01-31)
%H | Stunden im 24-Stunden-Format (00-23)
%I | Stunden im 12-Stunden-Format (01-12)
%j | Tag des Jahres als Dezimalzahl (001-366)
%m | Monat als Dezimalzahl (01-12)
%M | Minuten als Dezimalzahlen (00-59)
%p | Aktuelle Ländereinstellung für die AM/PM-Anzeige bei 12-Stunden-Uhr
%S | Sekunden als Dezimalzahlen (00-59)
%U | Woche des Jahres als Dezimalzahl mit Sonntag als erstem Tag der Woche (00-51)
%w | Wochentag als Dezimalzahl (0-6; Sonntag ist 0)
%W | Woche des Jahres als Dezimalzahl. Mit Montag als erstem Tag der Woche (00-51)
%x | Datumsdarstellung für die aktuelle Ländereinstellung
%X | Zeitdarstellung für die aktuelle Ländereinstellung
%y | Jahr ohne Jahrhundert als Dezimalzahl (00-99)
%Y | Jahr mit Jahrhundert als Dezimalzahl
%Z | Name der Zeitzone oder Abkürzung; keine Zeichen, falls die Zeitzone unbekannt ist
%% | Prozentzeichen

Beispiele:

Datum ist der 4. Juli 1998. Zeit ist 9:00pm

%X , %x druckt '21:00 , 04.07.98'

Datum ist der 4. Juli 1998. Zeit ist 9:00pm

%c druckt '04.07.98 21:00'

Datum ist der 10. Januar 1999. Zeit ist 5:00am

%A, %d. %B %Y, %I:%M%p druckt 'Dienstag, 10. Januar 1999, 05:00am'

Farbdruck aktivieren

Diese Einstellung veranlaßt UltraCompare die Datei mit den gleichen Farben wie für die Syntax-Hervorhebung zu drucken, falls ein Farbdrucker angeschlossen ist. Bei einem nur schwarzweissfähigen Postscript-Drucker werden auch Schattierungen von Grau ausgegeben.


Drucken

Der Befehl "Drucken" (Menü "Datei")

Dieser Befehl druckt ein Vergleichsergebnis aus.

Er zeigt einen Druckdialog an, in dem Sie den Zieldrucker, den zu druckenden Seitenbereich, die Anzahl der Kopien und andere Druckereinstellungen angeben können.

Schnellzugriff

Tastatur: Strg+P


Drucke linke/rechte Datei

Der Befehl "Drucke linke/rechte Datei" (Menü "Datei")

Mit Hilfe dieses Befehls können Sie die entsprechende Datei ausdrucken. Es erscheint der Druckdialog, in dem Sie den Druckbereich, die Anzahl der Exemplare, den Drucker und weitere Druckereigenschaften einstellen können.


Vorschau für linke/rechte Datei

Der Befehl "Vorschau für linke/rechte Datei" (Menü "Datei")

Dieser Befehl zeigt die linke/obere bzw. rechte/untere Datei in Form einer Seitenansicht auf dem Bildschirm an wie sie ausgedruckt aussehen würde. Wenn Sie diesen Befehl aufrufen, wird das Hauptfenster durch ein Fenster für die Druckvorschau ersetzt, in dem die ausgewählte Datei in ausgedruckter Form dargestellt wird.

Die Symbolleiste für die Druckvorschau enthält Schaltflächen zum Drucken, zum vorwärts und rückwärts Durchblättern des Vergleichsergebnisses, zur Anzeige von ein oder zwei Seiten gleichzeitig, zum Vergrößern und Verkleinern der Anzeige sowie zum Schließen des Vorschaufensters.


Befehle im Menü '"Bearbeiten"

Die Befehle im Menü "Bearbeiten"

Das Menü "Bearbeiten" enthält folgende Befehle:

Nächster Unterschied | zeigt den nächsten Unterschied zwischen den verglichenen Dateien an
Vorheriger Unterschied | zeigt den vorherigen Unterschied zwischen den verglichenen Dateien an
Suchen... | sucht in der aktiven Datei nach dem angegebenen Suchtext
Gehe zu Zeile/Spalte... | bewegt den Cursor in beiden Dateien in die angegebene Zeilen- und Spaltenposition
Ausschneiden | löscht Daten aus dem aktuellen Dokument und speichert sie in der Zwischenablage
Kopieren | kopiert Daten aus dem aktuellen Dokument und speichert sie in der Zwischenablage
Einfügen | fügt Daten aus der Zwischenablage in das aktuelle Dokument ein
Markierte Zeile löschen | entfernt die markierte Zeile aus der aktiven Datei
Datei(en)/Verzeichnis(se) löschen | löscht die ausgewählten Dateien/Verzeichnisse aus dem aktiven Verzeichnis
Lesezeichen | zeigt ein Dialogfenster mit den als Lesezeichen gemerkten Zeilen zur Navigation an
Lesezeichen hinzufügen | hebt die Zeilennummer hervor und setzt ein Lesezeichen für die markierte Zeile der aktiven Datei
Lesezeichen entfernen | entfernt das Lesezeichen für die markierte Zeile


Nächster Unterschied

Der Befehl "Nächster Unterschied" (Menü "Bearbeiten")

Dieser Befehl bewegt den Fokus auf die erste Zeile der nächsten als verschieden gekennzeichneten Zeilengruppe.

Schnellzugriff

Tastatur: F3


Vorheriger Unterschied

Der Befehl "Vorheriger Unterschied" (Menü "Bearbeiten")

Dieser Befehl bewegt den Fokus auf die erste Zeile der vorherigen als verschieden gekennzeichneten Zeilengruppe.

Schnellzugriff

Tastatur: F4


Suchen...

Der Befehl "Suchen..." (Menü "Bearbeiten")

Dieser Befehl ruft das Dialogfenster "Suchen" auf, in dem Sie einen Suchtext angeben können, nach dem UltraCompare in der aktiven Datei suchen soll. Das Dialogfenster stellt die Optionen Groß-/Kleinschreibung beachten und Nur ganzes Wort suchen sowie eine Option zur Angabe der Suchrichtung bereit, mit der Sie angeben können, ob UltraCompare die aktive Datei aufwärts oder abwärts nach dem angegebenen Suchtext durchsuchen soll.

Schnellzugriff

Tastatur: Alt+F3


Gehe zu Zeile...

Der Befehl »Gehe zu Zeile/Spalte...« (Menü »Bearbeiten«)

Dieser Befehl öffnet das Dialogfenster »Gehe zu Zeile/Spalte...«, in dem Sie die Zeilen- und Spaltenposition bestimmen sowie die Datei (Links/Rechts) angeben können, die aktiviert werden soll.

Schnellzugriff

Tastatur: Strg+G


Lesezeichen...

Der Befehl "Lesezeichen" (Menü "Bearbeiten")

Bei der Durchführung eines Textvergleichs zwischen zwei Dateien, können Sie per rechtem Mausklick auf einer Zeile das Kontextmenü aufrufen und dort den Befehl Zeile zu Lesezeichen hinzufügen auswählen, um die aktive Zeile in die Liste der Lesezeichen aufzunehmen. Auf diese Weise lassen sich mehrere Zeilen als Lesezeichen definieren.

Wenn Sie nun den Befehl Lesezeichen aus dem Menü "Bearbeiten" aufrufen, erscheint ein Dialogfenster mit einer Liste der aktuell definierten Lesezeichen. Wenn Sie eine der Zeilen auswählen und auf die Schaltfläche Gehe zu klicken, springt die Anzeige der Vergleichsfenster automatisch zu dieser Zeile.


Befehle im Menü 'Ansicht'

Die Befehle im Menü "Ansicht"

Das Menü "Ansicht" enthält folgende Befehle:

Filter - gemeinsame Dateien ausblenden | Dateien, die allen Anzeigen gemeinsam sind, werden ausgeblendet
Filter - eindeutige Dateien ausblenden | Dateien, die allen Anzeigen nicht gemeinsam sind, werden ausgeblendet
Filter - unterschiedliche Dateien ausblenden | Dateien, die in allen Anzeigen unterschiedlich sind, werden ausgeblendet
Filter - gleiche Dateien ausblenden | Dateien, die in allen Anzeigen gleich sind, werden ausgeblendet
Filter - gleiche Dateien mit unterschiedlichen Zeiten ausblenden | Gleiche Dateien, die unterschiedliche Zeiten (Timestamps) haben, werden ausgeblendet
Filter - gemeinsame Verzeichnisse ausblenden | Verzeichnisse, die allen Anzeigen gemeinsam sind, werden ausgeblendet
Filter - eindeutige Verzeichnisse ausblenden | Verzeichnisse, die allen Anzeigen nicht gemeinsam sind, werden ausgeblendet
Filter - unterschiedliche Verzeichnisse ausblenden | Verzeichnisse, die in allen Anzeigen unterschiedlich sind, werden ausgeblendet
Filter - gleiche Verzeichnisse ausblenden | Verzeichnisse, die in allen Anzeigen gleich sind, werden ausgeblendet
Alles | zeigt den gesamten Inhalt beider verglichenen Dateien an
Nur Unterschiede | zeigt nur die Zeilen mit Unterschieden an
Nur Übereinstimmungen | zeigt nur die Zeilen an, die exakt übereinstimmen
Unterschied zentrieren | zeigt den aktuellen Unterschied in der Mitte des Bildschirms an
Ausgabefenster einblenden | zeigt das Ausgabefenster an, wo die Ergebnisse der in der aktuellen Sitzung ausgeführten Befehle erscheinen
Aktuelle Zeile anzeigen | Ein Fenster wird ein- oder ausgeblendet, wo die Unterschiede zwischen den aktiven Zeilen im aktuellen Vergleich hervorgehoben werden.
Zeilennummern ein/aus | blendet die Zeilennummern in den verglichenen Dateien ein bzw. aus
Vorschaudatei anzeigen | displays spaces, tabs, and new line characters as visible characters
Zeilenumbruch ein/aus | schaltet den Zeilenumbruch für das aktive Dokument ein oder aus
Zeilenbezug-Modus | changes presentation of text compare to display linking and border lines for differenced blocks between matching blocks of text
Browser-Ansicht | presents submenu where user may configure mode to be used for Browser View function
Vertikal synchronisieren | synchronisiert die Vergleichsfenster, damit der vertikale Bildlauf für beide Dateien parallel durchgeführt wird
Aktualisieren | wiederholt den Vergleich und aktualisiert die Vergleichsfenster
3-fach-Textmodus | wechselt in den Modus '3-fach-Textvergleich'
Textmodus | wechselt in den Modus 'Textvergleich'
Binärmodus (intelligent) | wechselt in den Modus 'Binärvergleich (intelligent)'
Binärmodus (schnell) | wechselt in den Modus 'Binärvergleich (schnell)'
Verzeichnismodus | wechselt in den Modus 'Verzeichnisvergleich' (der aktuelle Dateivergleich geht dabei verloren)
Vertikal synchronisieren | synchronisiert die Vergleichsfenster, damit der vertikale Bildlauf für beide Dateien parallel durchgeführt wird
Aktualisieren | wiederholt den Vergleich und aktualisiert die Vergleichsfenster
Starten | Startet einen Vergleichsvorgang der angegebenen Dateien bzw. Verzeichnisse


Alles

Der Befehl "Alles" (Menü "Ansicht")

Diese Option sorgt dafür, dass sämtliche Zeilen beider Dateien angezeigt werden.

Schnellzugriff

Tastatur: Strg+A


Nur Unterschiede

Der Befehl "Nur Unterschiede" (Menü "Ansicht")

Diese Option sorgt dafür, dass nur diejenigen Zeilen der miteinander verglichenen Dateien angezeigt werden, die sich unterscheiden. Diese Einstellung kann während des Vergleichens und Übernehmens von Nutzen sein.

Schnellzugriff

Tastatur: Strg+D


Nur Übereinstimmungen

Der Befehl "Nur Übereinstimmungen" (Menü "Ansicht")

Diese Option sorgt dafür, dass nur diejenigen Zeilen der miteinander verglichenen Dateien angezeigt werden, die identisch sind.

Schnellzugriff

Tastatur: Strg+M


Unterschied zentrieren

Der Befehl "Unterschied zentrieren" (Menü "Ansicht")

Dieser Befehl positioniert die angezeigten Dateien so, dass der aktuelle Unterschied in der Bildschirmmitte dargestellt wird.


Show Output Window

Ausgabefenster einblenden (Menü »Ansicht«)

Dieser Befehl blendet das Ausgabefenster ein, das gemäss dem aktuellen Vergleichsmodus unterschiedlichen Inhalt anzeigt. Beim Textvergleich wird eine Übersicht über die Anzahl der sich unterscheidenden Blöcke und Zeilen in zwei verglichenen Dateien anzeigen. Beim Verzeichnisvergleich werden die Unterschiede zwischen Dateien und Unterverzeichnissen aufgelistet.

Beim Klicken mit der rechten Maustaste im Ausgabefenster erscheint ein Kontextmenü mit den folgenden Optionen:

Ausgabefenster ausblenden | blendet das Ausgabefenster aus
Ausgaben löschen: aktive Sitzung | Der Inhalt des Ausgabefensters wird nur für die aktuelle Sitzung gelöscht
Ausgaben löschen: alle Sitzungen | Der Inhalt des Ausgabefensters für alle Sitzungen wird gelöscht
In Zwischenablage kopieren | kopiert den Inhalt des Ausgabefensters für die aktuelle Sitzung in die Zwischenablage
Ausgaben scrollen | bewegt den Fokus zur letzten Zeile beim Schreiben der Ausgabezeilen in das Fenster; andernfalls bleibt der Fokus in der aktuellen Zeile


Zeilennummern ein/aus

Der Befehl "Zeilennummern ein/aus" (Menü "Ansicht")

Diese Option sorgt dafür, dass die Zeilennummern für die miteinander verglichenen Dateien jeweils auf der linken Seite der Dateiinhalte ein- bzw. ausgeblendet werden. Dies kann insbesondere beim Aufspüren von Zeilen hilfreich sein, die zwar in beiden Dateien, dort aber an unterschiedlichen Stellen vorkommen. Außerdem erleichtert diese Option das Erkennen von Zeilen, die nur in einer der miteinander verglichenen Dateien vorkommen (in diesem Fall werden in der Datei, in der die verglichenen Dateien fehlen, keine Zeilennummern angezeigt).

Schnellzugriff

Tastatur: Strg+L


Relational Lines Mode

Zeilenbeziehungen (Menü „Modus“)

Diese Option schaltet die Anzeige von Linien ein oder aus, die die aufeinanderbezogenen Zeilen beim einfachen oder beim 3-fachen Textvergleich miteinander verbinden.Beim normalen Textvergleich wird Zeile für Zeile nach Unterschieden zwischen den zwei Dateien abgesucht:

Wenn die Option Zeilenbeziehungen aktiviert ist, versucht UltraCompare zunächst die übereinstimmenden Abschnitte zwischen den zu vergleichenen Dateien zu finden. Diese werden von den unterschiedlichen Teilen abgesondert. Die unterschiedlichen Zeilenblöcke werden farblich hervorgehoben, und die Beziehungen zwischen diesen Blöcken werden durch Linien grafisch angezeigt:

Es gibt hauptsächlich zwei Merkmale des Modus Zeilenbeziehungen:

Die grafische Navigationsansicht [1] ist zweiteilig und bietet für jede Datei eine eigene Navigationsansicht, anstatt eine einzige zusammengefügte Übersicht der Unterschiede anzuzeigen.Dabei gibt es auch zwei separate Navigationshilfen (rote Rechtecke) sowie eine grafische Übersicht über die unterschiedlichen Stellen in den zwei Dateien.

Abschnitte, die als unterschiedlich gelten, werden von UltraCompare zwischen den identischen Abschnitten durch farbige Rahmen hervorgehoben. Dieser Rahmen hat die gleiche Farbe wie die Linie, die den betreffenden Abschnitt mit den daraufbezogenen Zeilen in der anderen Datei verbindet. Die Farbe kann durch Auswahl des Menüpunkts Farbe im Menü „Optionen“ geändert werden.

Falls die markierten, unterschiedlichen Zeilenblöcke in der Anzeige versetzt bzw. nicht parallel zueinander verlaufen, kann man durch Doppelklicken auf die verbindende Linie die zwei Blöcke zentriert ausrichten.


Vertikal synchronisieren

Der Befehl "Vertikal synchronisieren" (Menü "Ansicht")

Dieser Befehl synchronisiert die beiden Vergleichsfenster, sodass in beiden Dateien gleichzeitig ein vertikaler Bildlauf durchgeführt wird, wenn in einem der Vergleichsfenster gescrollt wird. Standardmäßig sind beide Anzeigenbereiche synchronisiert. Dieser Befehl wird verwendet, um die Synchronisation nach ihrem Verlust durch eine Übernahme oder eine andere Funktion wieder herzustellen.


Aktualisieren

Der Befehl "Aktualisieren" (Menü "Ansicht")

Dieser Befehl wiederholt den aktiven Vergleich, um sicherzustellen, dass alle aktuellen Unterschiede angezeigt werden. Dies kann z.B. dann von Nutzen sein, wenn der Befehl In UltraEdit bearbeiten verwendet wurde, um eine der aktiven Dateien während eines Textvergleichs zu ändern, oder wenn Dateien/Verzeichnisse während eines Verzeichnisvergleichs geändert wurden.


Session Menu

Menü »Sitzung«

Das Menü Sitzung bietet die folgenden Befehle:

Neue Sitzung | öffnet ein Untermenü, um den Modus der neu zu erstellenden Sitzung festzulegen
Aktuelle Sitzung beenden | beendet die aktuelle Sitzung
Alle Sitzungen beenden | beendet alle offenen Sitzungen
Alle Sitzungen außer dieser beenden | beendet alle offenen Sitzungen außer der aktuellen Sitzung
Umbenennen | die Beschriftung des Reiters für die aktuelle Sitzung wird farblich hervorgehoben, um anzuzeigen, daß sie anschließend bearbeitet werden kann

Diese Befehle stehen auch im Kontextmenü (erreichbar durch Klicken mit der rechten Maustaste) von allen Sitzungsreitern zur Verfügung.


New Session

Neue Sitzung (Menü »Sitzung«)

Dieser Befehl öffnet ein Untermenü, aus dem der Modus für die neu zu erstellende Sitzung ausgewählt werden kann. Außerdem können die folgenden Tastaturbefehle verwendet werden, um eine neue Sitzung zu öffnen:

Tastenkürzel | Modus der neuen Sitzung
Strg+Umsch+T | Textmodus
Strg+Umsch+3 | 3-fach-Textmodus
Strg+Umsch+B | Binärmodus (schnell)
Strg+Umsch+Q | Binärmodus (intelligent)
Strg+Umsch+K | Verzeichnismodus
Alt+Strg+Umsch+K | 3-fach-Verzeichnismodus

Nachdem eine neue Sitzung geöffnet wurde, kann der aktuelle Sitzungsmodus nach Bedarf durch Einsatz der folgenden Befehlen angepasst werden:

Tastenkürzel | Modifizierter Sitzungsmodus
Strg+T | Textmodus
Strg+3 | 3-fach-Textmodus
Strg+B | Binärmodus (schnell)
Strg+Q | Binärmodus (intelligent)
Strg+K | Verzeichnismodus
Alt+Strg+K | 3-fach-Verzeichnismodus


Mode Menu

Die Befehle im Menü „Modus“

Folgende Befehle werden im Menü „Modus“ bereitgestellt:

Textmodus | wechselt in den Text-Vergleichsmodus
3-fach-Textmodus | wechselt in den 3-fach-Textvergleichsmodus
Binärmodus (schnell) | wechselt in den Binär-(schnell)-Vergleichsmodus
Binärmodus (intelligent) | wechselt in den Binär-(intelligent)-Vergleichsmodus
Verzeichnismodus | wechselt in den Verzeichnismodus (der aktuelle Dateivergleich geht verloren)
3-fach-Verzeichnismodus | wechselt in den 3-fach-Verzeichnisvergleichsmodus
Zeilenbeziehungen | wechselt in den Vergleichsmodus „Zeilenbeziehungen“


Textmodus

Der Befehl "Textmodus" (Menü "Modus")

Mit diesem Befehl wechseln Sie für den aktiven Vergleich in den Modus 'Textvergleich' - unabhängig davon, welcher Modus bis zum Zeitpunkt der Befehlsauswahl aktiv gewesen ist. Falls dieser Modus aktiviert wurde, wird ein zeilenweiser Vergleich in den zu vergleichenden Dateien ausgeführt.

Im Fall von Word-Dateien (Dateien mit .doc-Endung) oder Dateien im „Rich Text Format“ (.rtf-Endung), werden die zu vergleichenden Textpassagen vor dem Vergleich in temporäre Dateien geschrieben. Der Vergleich wird anschließend auf diese temporären Dateien ausgeführt. Wegen des komplexen Aufbaus von Word- bzw. RTF-Dateien kann leider nur die Textinformation gesichert werden. Alle Formatierung geht dabei verloren. Daher sollten Sie die Dateien zur Sicherheit umbennen. Deshalb zeigt UltraCompare immer zuerst das „Speichern unter“-Dialog, wenn die Schaltfläche „Sichern“ betätigt wird.

Schnellzugriff

Tastatur: Strg+T


3-fach-Textmodus

Der Befehl "3-fach-Textmodus" (Menü "Modus")

Mit dieser Menüoption können Sie für den aktiven Vergleich in den 3-fach-Textmodus wechseln, unabhängig davon, welcher Modus zum Zeitpunkt der Auswahl gerade aktiv ist. Weitere Informationen finden Sie im Thema "Navigation zwischen Unterschieden im 3-fach-Textmodus" .


Binärmodus (schnell)

Der Befehl "Binärmodus (schnell)" (Menü "Modus")

Mit diesem Befehl wechseln Sie für den aktiven Vergleich in den Byte-weise vorgehenden Modus 'schneller Binärvergleich' - unabhängig davon, welcher Modus bis zum Zeitpunkt der Befehlsauswahl aktiv gewesen ist.

Schnellzugriff

Tastatur: Strg+B


Binärmodus (intelligent)

Der Befehl "Binärmodus (intelligent)" (Menü "Modus")

Mit diesem Befehl wechseln Sie für den aktiven Vergleich in den blockweise vorgehenden Modus 'intelligenter Binärvergleich' - unabhängig davon, welcher Modus bis zum Zeitpunkt der Befehlsauswahl aktiv gewesen ist. Im Gegensatz zum Byte-weisen schnellen Binärvergleich zeigt dieser Vergleichsmodus übereinstimmende Codeblöcke auch dann an, wenn sie durch eingefügte/gelöschte Daten gegeneinander versetzt sind und nicht Byte für Byte miteinander übereinstimmen.

Schnellzugriff

Tastatur: Strg+Q


Verzeichnismodus

Der Befehl "Verzeichnismodus" (Menü "Modus")

Mit diesem Befehl wechseln Sie aus dem aktiven Vergleichsmodus für Dateien ('Textvergleich', 'schneller/intelligenter Binärvergleich') in den Modus 'Verzeichnisvergleich'. Dieser Befehl zeigt direkt nach der Aktivierung zunächst kein Vergleichsergebnis an. Ein vorhandenes Ergebnis eines Dateivergleichs wird gegebenenfalls beendet. Dieser Modus ermöglicht das Vergleichen der Inhalte von .JAR-, .RAR- und .ZIP-Archiven sowie von Verzeichnissen im Dateisystem.


3-fach-Verzeichnismodus

Der Befehl „3-fach-Verzeichnismodus“ (Menü „Modus“)

Mit diesem Befehl wird der aktuelle Vergleichsmodus verlassen (egal, welcher Modus eingestellt wurde) und den 3-fachen Textvergleichsmodus aktviert. Weiterführende Informationen dazu befindet sich im Hilfethema „3-fach-Verzeichnismodus“.


Befehle im Menü "Optionen"

Die Befehle im Menü "Optionen"

Das Menü "Optionen" enthält folgende Befehle:

Konfiguration... | Ruft das Dialogfenster mit einer Baumansicht, um auf Kategorien von Konfigurations- einstellungen zuzugreifen.
Farben... | Dieser Befehl ruft das Dialogfenster für die Farbkonfiguration auf.
Filter einrichten... | Dieser Befehl ruft das Dialogfenster zum Einrichten von Filtern auf, in dem Sie angeben können, welche Dateitypen bei einem Verzeichnisvergleich angezeigt werden sollen.
Spaltenbereiche vergleichen | Dieser Befehl zeigt einen Dialog an, der bis zu vier zu vergleichende Spaltenbereiche aufnimmt
Spaltenbereiche ignorieren | Dieser Befehl zeigt einen Dialog an, der bis zu vier zu ignorierende Spaltenbereiche aufnimmt
Dateiendungen... | Dieser Befehl ruft das Dialogfenster auf, in dem Sie die Dateiendungen für diejenigen Dateitypen angeben können, die standardmäßig als Textdatei interpretiert werden sollen. Hinweis: Diese Funktion steht nur in der Professional-Version zur Verfügung.
Filter für Verzeichnisvergleich | zeigt ein Untermenü mit Optionen für Filter im Verzeichnisvergleichsmodus an
Leerzeilen ignorieren | Diese Option sorgt dafür, dass Zeilen, die ausschließlich Zeilenende-Zeichen enthalten, beim Verlgeich der aktiven Dateien unberücksichtigt bleiben.
Weißraum ignorieren | Diese Option sorgt dafür, dass Tabulatoren und Leerzeichen bei der Ermittlung der Unterschiede zwischen den aktiven Dateien unberücksichtigt bleiben.
Groß-/Kleinschreibung ignorieren | Diese Option sorgt dafür, dass die Groß- und Kleinschreibung bei der Ermittlung der Unterschiede zwischen den aktiven Dateien nicht beachtet wird.
Zeilenende-Zeichen ignorieren | Diese Option sorgt dafür, dass die Zeilenende-Zeichen bei der Ermittlung der Unterschiede zwischen den aktiven Dateien nicht beachtet wird.
Dezimaler Versatz ein/aus | wechselt das Anzeigeformat des Versatzes im Binärmodus zwischen hexadezimal und dezimal
In Windows-Explorer integrieren | adds UltraCompare options to context menu in Windows Explorer


Konfiguration - Übersicht

Beim Auswählen von Konfiguration im Menü Optionen wird das Konfigurationsdialog angezeigt, das die nach Kategorien gruppierten Optionen anzeigt. Diese können mit Hilfe des Indexbaums im linken Feld schnell aufgefunden werden.

Um mehr über die Funktionalität der einzelnen Einstellungen zu erfahren, öffnen Sie bitte die Inhaltsansicht der Hilfe-Datei. Ein Doppelklick auf Die Menüs, dann auf Optionen und schließlich auf Konfiguration öffnet eine Kopie des Indexbaums, der auch im Konfigurationsdialog untergebracht ist. Darin wird die Hilfe-Information nach den folgenden Hauptthemen gegliedert:

Vergleichen

Optionen zum Ignorieren

Anzeige

Symbolleisten/Menüs

Mit der Maus können die einzelnen Themenabschnitte bzw. Unterthemen geöffnet und eine entsprechende Zusammenfassung der jeweiligen Funktionalität angezeigt werden.


Text

Text (Konfiguration - Vergleichen)

Der Zweig Text unterhalb von Konfiguration - Vergleichen bietet die folgenden Optionen für den Textvergleich:

Skalierte/Scrollbare Gesamtansicht

Bei der Anzeige der grafischen Navigationsansicht kann zwischen Skalierte Gesamtansicht oder Scrollbare Gesamtansicht ausgewählt werden. Bei Auswahl von »skalierte Gesamtansicht« werden die Unterschiede proportional zur Gesamtgröße beider verglichenen Dateien anstatt in einem scrollbaren Fenster angezeigt.

Aktuelle Zeile anzeigen

Ein Fenster wird ein- oder ausgeblendet, wo die Unterschiede zwischen den aktiven Zeilen im aktuellen Vergleich hervorgehoben werden.

Unterschiedskennzeichnung

Bei Aktivierung dieser Option werden beim Textvergleich folgende Symbole zwischen den Zeilennummern und dem Text angezeigt:

Symbol | Bedeutung
!> | zeigt an, daß sich die Daten in der rechten Datei befinden, nicht aber in der linken
<! | zeigt an, daß sich die Daten in der linken Datei befinden, nicht aber in der rechten
!! | zeigt an, daß sich hier nur leere Zeilen befinden
* | zeigt an, daß sich die Daten dieser Zeile zwischen den miteinander verglichenen Dateien unterscheiden

Tabulatoren einblenden

Diese Option zeigt Leerstellen, Tabulatorzeichen und Zeilenenden als sichtbare Zeichen an.

TabStopp-Wert (Tabulatorstellen)

Gibt an, wieviele Leerschläge für ein Tabulatorzeichen bei der Anzeige verwendet werden.

Übernahme-Schaltflächen auf Trennbalken

Diese Option bestimmt über das Ein- oder Ausblenden von Schaltflächen mit den Befehlen zur Übernahme (bzw. zum Zusammenfügen) auf dem Trennbalken, der zwischen zwei nebeneinanderliegenden Vergleichsfenstern angezeigt wird.

zeichenweisen Zeilenvergleich anwenden

UltraCompare verwendet normalerweise eine Vergleichsmethode, die nach ähnlichen Zeichenfolgen innerhalb einer Gruppe von anderen Zeichenketten arbeitet. Eine Zeile wird so nach gemeinsamen Buchstaben und Wörtern abgesucht. Die Option »zeichenweisen Zeilenvergleich anwenden« kann alternativ gesetzt werden, um die UltraCompare-Suche zeichenweise zu gestalten. Bei Dateien mit langen Zeilen oder bei großen Dateien, kann dies die Zeit bis zum Abschluß eines Vergleichvorgangs unter Umständen merklich reduzieren.

Zeilennummern anzeigen

Bei Aktivierung dieser Option werden links vom Inhalt der zu vergleichenden Dateien die jeweiligen Zeilennummern angezeigt. Das kann sehr hilfreich sein, um ggf. identische Zeilen in zwei Dateien aufzuspüren, die aber an verschiedenen Positionen relativ zum Anfang der Datei stehen, oder auch um Zeilen zu finden, die nur in einer Datei stehen (dann würden in der Datei, wo diese fehlen, für die betreffenden Zeilen keine Zeilennummern angezeigt).

Zeichenhervorhebung deaktivieren

Normalerweise werden beim Textvergleich die in den Vergleichszeilen nicht übereinstimmenden Zeichen mit einer unterschiedlichen Farbe hervorgehoben. Bei großen Dateien kann dieses Vorgehen Ressourcen sehr in Anspruch nehmen. Bei Auswahl dieser Option werden daher nicht die einzelnen Zeichen, sondern nur ganze Zeilen als unterschiedlich hervorgehoben.


Binary

Binär (Konfiguration - Vergleichen)

Im Zweig Binär unterhalb von Konfiguration - Vergleichen findet man die folgende Option:

Dezimaler Versatz ein/aus

Bei Aktivierung dieser Option wird für binäre Vergleichsvorgänge die relative Position innerhalb einer Datei in dezimalem, andernfalls in hexadezimalem Format angezeigt.


Folder

Ordner (Konfiguration - Vergleichen)

Der Zweig Ordner, unterhalb von Konfiguration - Vergleichen untergebracht, beherbergt die folgenden Optionen zum Vergleichen von Ordnern:

Vergleichsmethode

Es gibt drei Vergleichsmethoden für den Ordnermodus:

Einfach

Bei Aktivierung dieser Option wird beim Ordnervergleich nur die Größe und das Datum der Objekte berücksichtigt.

Vollständig

Alle Dateien in den ausgewählten Ordnern werden auf Byte-Ebene verglichen, wenn diese Option aktiviert ist.

Intelligent

Ein Textvergleich aller Dateien in den ausgewählten Ordnern wird zusätzlich ausgeführt, wobei die Einstellungen zum Ignorieren auch berücksichtigt werden.

Textmodus im Vergleichsergebnis

Führt zusätzlich einen Textvergleich aus für Dateien in den verglichenen Ordnern und zeigt die Resultate in der Ausgabe an.

Rekursiver Vergleich

Bei Auswahl dieser Option werden nicht nur die angegebenen Verzeichnisse, sondern auch deren Unterverzeichnisse in den Vergleichsvorgang mit aufgenommen.

Inhalt von Unterverzeichnissen anzeigen

Diese Option veranlasst UltraCompare den Inhalt aller Unterverzeichnisse anzuzeigen. Dabei werden die relativen Pfade mit angezeigt. Diese Option kann nur im Zusammenhang mit dem rekursiven Verzeichnisvergleichsmodus verwendet werden. Dieser Modus muß deshalb zuerst gewählt werden, damit die Option verfügbar wird.

Dateien immer als Text öffnen

Bei Auswahl dieser Option werden alle Dateien ohne Rücksicht auf deren Inhalt im Textmodus geöffnet.

Vergleichsmodus für Dateinamenerweiterung merken

Diese Option bewirkt, daß der zuletzt verwendete Vergleichsmodus für eine bestimmte Datenamenerweiterung beim nächsten Vergleich von Dateien mit der gleichen Erweiterung wieder angewendet wird.

Ordner-Scan nur bei Aktualisierung ausführen

Während eines rekursiven Verzeichnisvergleichs werden die Strukturen der Ordner- und Dateihierarchien einmal beim Laden in den RAM-Speicher geholt. Standardmäßig ist die Option »Vergleich nur bei Aktualisierung ausführen« aktiviert; nachher wiederholt UltraCompare den Ordner-Scan zum Verifizieren der Inhalte der zu vergleichenden Verzeichnisse nur dann, wenn die Schaltfläche »Aktualisieren« oder die F5-Taste geklickt bzw. gedrückt wurde.

Falls diese Option deaktiviert ist, führt UltraCompare automatisch einen Ordner-Scan zur Überprüfung allfälliger Änderungen immer dann aus, wenn den Zeiger im Verzeichnisbaum nach oben oder nach unten zwischen den Ordnern und Unterordnern hin und her bewegt wird. Dieses bewirkt ein erneutes Auffrischen der Anzeige jedesmal, wenn der Fokus auf eine neue Ebene im Verzeichnisbaum gesetzt wird.


Text

Text (Konfiguration - Optionen zum Ignorieren)

Der Zweig Text unter Konfiguration - Optionen zum Ignorieren bietet die folgenden Optionen:

Leerzeilen ignorieren

Zeilen, die lediglich eine Zeilenendmarke aufweisen, werden beim Vergleich der betreffenden Dateien nicht berücksichtigt.

Groß-/Kleinschreibung ignorieren

Unterschiede in Groß- und Kleinschreibung werden nicht berücksichtigt, wenn diese Option aktiviert ist.

Weißraum ignorieren

Erzwingt das Überspringen von Tabulatoren und Leerstellen beim Vergleich.

Zeilenendmarken überspringen

Unterschiede in den Zeilenendungen (DOS/UNIX/MAC) werden beim Vergleich nicht berücksichtigt.

Folgende Zeilen ignorieren

In diesem Abschnitt kann man Regeln definieren um Zeilen zu überspringen, die am Anfang, am Ende oder irgendwo in der Mitte eine bestimmte Zeichenkette beinhalten.

Feste Anzahl von Zeilen ignorieren

Eine vordefinierte Anzahl zu überspringender Zeilen, die am Anfang oder am Ende einer Datei stehen, kann hier angegeben werden.


Folder

Ordner (Konfiguration - Optionen zum Ignorieren)

Unter Konfiguration - Optionen zum Ignorieren beinhaltet das Unterthema Ordner die folgenden Einstellungen:

Dateien/Verzeichnisse ignorieren

Dieses Steuerelement nimmt eine Liste von durch Strichpunkte getrennten Ordner- und Dateinamen sowie Dateinamenerweiterungen auf, die beim Vergleichen im Verzeichnismodus ignoriert werden sollen. Falls z.B. „CVS“ angegeben wird, wird bei einem Vergleichsvorgang die Datei oder das Unterverzeichnis CVS immer übergangen. Auch ein vollständiger Pfad zu einer Datei oder zu einem Verzeichnis kann ignoriert werden. Auch ein Stern („*“) kann als Joker zusammen mit einer Dateinamenerweiterung verwendet werden. Alle Dateien eines bestimmten Typs können in dieser Weise aus dem Vergleich ausgeschlossen werden. Als Beispiel könnte die Zeile „*.txt;*.php;*.asm“ eingegeben werden; daraufhin würden alle Dateien mit den Erweiterungen .txt, .php, and .asm beim Ausführen eines Verzeichnisvergleichs und beim Anzeigen der Resultate ignoriert.


User Profiles

Benutzerprofile (Konfiguration)

Der Zweig Benutzerprofile unter Konfiguration nimmt Optionen für alle Vergleichsmodi auf und speichert sie unter einem benannten Profil.

Profilenverwaltung

Beim erstmaligen Aktivieren der Ansicht Benutzerprofile wird eine Liste der Vorhandenen Profile angezeigt, falls Profile bereits existieren.Nachdem ein Profil in der Liste ausgewählt wurde,werden die Einstellungen für dieses Profil in der Ansicht Beschreibung angezeigt. Ausgewählte Profile können bearbeitet (das Dialogfenster Einstellungen für das Benutzerprofil wird dafür geöffnet), gelöscht, exportiert oder aktiviert werden. Falls ein Profil aktiviert wird, gelten alle Einstellungen des betreffenden Profils für die aktuelle Sitzung. Exportierte Profile werden mit einer Dateiendung .PRF gespeichert.

Einstellungen für das Benutzerprofil

Bei Betätigung der Schaltflächen Neues Profil oder Profil ändern wird das Dialogfenster Einstellungen für das Benutzerprofil angezeigt. Dieses nimmt die Standardeinstellungen auf, die bei jedem Vergleichsvorgang zur Anwendung kommen.

Schließlich kann man mittels Profil importieren im Dateisystem nach gespeicherten Profilen (.PRF-Dateien) durchsuchen, diese importieren und anwenden.


Color & Font

Farben & Zeichen (Konfiguration - Anzeige - Text)

Der Zweig Farben & Zeichen unter Konfiguration - Anzeige - Text bietet die folgenden Optionen:

Farben und Schriftarten

Die Einstellungen der kontrastierenden Farben und Schriftarten im Textvergleichsmodus können hier eingegeben werden. Durch Anklicken auf eines der farbigen Rechtecke neben den dazugehörigen Beschriftungen erscheint ein weiteres Dialog zum Auswählen der entsprechenden Farbe.

Farbschema laden

Einige Farbschemata wurden vordefiniert, die nach Wunsch aus der aufklappbaren Liste ausgewählt werden können.

Einstellung der Schriftarten

Durch Anklicken der Schaltfläche Schriftart erscheint das herkömmliche Windows-Schriftendialog, wo die gewünschte Schriftart für Textvergleiche inkl. Schriftart, -schnitt und -grad eingestellt werden kann.

Um zu den Standardeinstellungen der Schriftarten und Farben für Textvergleiche wieder zu erlangen, klickt man auf die Schaltfläche Vorgabewerte.


Miscellaneous

Verschiedenes (Konfiguration - Anzeige - Text)

Der Zweig Verschiedenes unter Konfiguration - Anzeige - Text bietet die folgenden Optionen:

Leere Zeilen kennzeichnen

Bei Aktivierung dieser Option werden leere Zeilen in den Vergleichsansichtsfenstern mit alternierenden blauen und weißen vertikalen Linien hervorgehoben. Falls nicht aktiviert, bleibt der Hintergrund in den Vergleichsansichtsfenstern bei Leerzeilen unverändert.

Nur aktive Anzeigen hervorheben

Bei Aktivierung dieser Option werden nur die zwei aktiven Ansichtsfenster bei einem 3-fachen Vergleich Hervorhebungen bei Textunterschieden anzeigen, anderenfalls werden in allen drei Ansichten die Unterschiede hervorgehoben.

Übernommene Blöcke hervorheben

Bei Auswahl dieser Option werden übernommene Blöcke farblich hervorgehoben, um vor dem Speichern eine bessere Übersicht der übernommenen Objekte zu erlangen.


Binary

Binär (Konfiguration - Anzeige)

Im Zweig Binär unterhalb von Konfiguration - Anzeige gibt es folgende Optionen:

<>Farben auswählen: Durch Anklicken auf eines der farbigen Rechtecke „Vordergrund“ oder „Hintergrund“ rechts neben den Beschriftungen erscheint ein weiteres Dialog zum Auswählen der entsprechenden Farbe.

Farbschema laden

Einige Farbschemata wurden vordefiniert, die bei Bedarf aus der aufklappbaren Liste ausgewählt werden können.

Schriftarten

Durch Anklicken der Schaltfläche Schriftart... erscheint das herkömmliche Windows-Schriftendialog, wo die gewünschte Schriftart für Textvergleiche inkl. Schriftart, -schnitt und -grad eingestellt werden kann. Bei Vergleichsvorgängen im „Binärmodus (intelligent/schnell)“ kann nur unter den nichtproportionalen Schriftarten ausgewählt werden.

Um zu den Standardeinstellungen der Schriftarten und Farben für binäres Vergleichen wieder zu erlangen, klickt man auf die Schaltfläche Vorgabewerte.


Color

Farben (Konfiguration - Anzeige - Ordner)

Der Zweig Farben unter Konfiguration - Anzeige - Ordner bietet die folgenden Optionen:

Farben und Schriftarten

Die Einstellungen der kontrastierenden Farben und Schriftarten im Textvergleichsmodus können hier eingegeben werden. Durch Anklicken auf eines der farbigen Rechtecke neben den dazugehörigen Beschriftungen erscheint ein weiteres Dialog zum Auswählen der entsprechenden Farbe.

Farbschema laden

Einige Farbschemata wurden vordefiniert, die nach Wunsch aus der aufklappbaren Liste ausgewählt werden können.

Einstellung der Schriftarten

Durch Anklicken der Schaltfläche Schriftart erscheint das herkömmliche Windows-Schriftendialog, wo die gewünschte Schriftart für Textvergleiche inkl. Schriftart, -schnitt und -grad eingestellt werden kann.

Um zu den Standardeinstellungen der Schriftarten und Farben für Textvergleiche wieder zu erlangen, klickt man auf die Schaltfläche Vorgabewerte.


Columns

Spalten (Konfiguration - Anzeige - Ordner)

Der Zweig Spalten unter Konfiguration - Anzeige - Ornder bietet die folgenden Optionen:

Statusanzeige

Es gibt drei Vergleichsoptionen für die Spalte "Status" im Verzeichnisvergleichsmodus:

Symbole anzeigen

Die Statusanzeige zeigt nur ein Symbol an, falls diese Option gewählt wurde. Dies ist die Standardeinstellung.

Text anzeigen

Die Statusanzeige zeigt nur eine Textbeschreibung an, falls diese Option gewählt wurde.

Symbole und Text anzeigen

Die Statusanzeige zeigt ein Symbol sowie eine Beschreibung an, falls diese Option gewählt wurde.

Trennbalken aktivieren

Bei Aktivierung dieser Option werden Trennbalken zwischen grösseren Abschnitten im Verzeichnisvergleich angezeigt.

Spaltenbreiten merken

Bei Aktivierung dieser Option werden die anwenderdefinierten Spaltenbreiten gemerkt, die durch Klicken und Ziehen der Spaltenbegrenzern in der Kopfzeile gesetzt wurden. Beim nächsten Verzeichnisvergleich werden diese Spaltenbreiten verwendet.

Spaltenbreiten zurücksetzen

Diese Schaltfläche bewirkt, dass die Standard-Spaltenbreiten wieder aktiviert werden.


Miscellaneous

Verschiedenes (Konfiguration - Anzeige - Ordner)

Der Zweig Verschiedenes unter Konfiguration - Anzeige - Ornder bietet die folgenden Optionen:

Vorschaudatei anzeigen

Bei Aktivierung dieser Option wird während des Ordnervergleichs rechts ein weiteres Teilfenster angezeigt. In diesem Fenster werden Dateien und deren Inhalt angezeigt, die entweder nur in einem Ordner existieren, oder aber identisch sind, um schneller zu einer Übersicht beim Ordnervergleich zu erlangen.

Nebeneinander

Bei Auswahl dieser Option werden die unterschiedlichen Daten beim Verzeichnisvergleich nebeneinander anstatt in der standardmäßigen kombinierten Übersicht angezeigt.

Streifen aktivieren

Bei Aktivierung dieser Option werden alternierende Hintergrundfarben für die Zeilen im Verzeichnisvergleich angezeigt.

Verzeichnis- und Dateisymbole anzeigen

Bei Auswahl dieser Option werden während eines Verzeichnisvergleichs die gleichen Symbole wie im Windows-Explorer den Verzeichnis- bzw. Dateinamen vorangestellt.


Set Time/Date Format

Datum und Zeit formatieren (Menü »Optionen« - Konfiguration - Anzeige - Ordner)

Beim Unterthema Datum und Zeit formatieren unter Konfiguration - Anzeige - Ordner werden die folgenden Einstellungen verwaltet:

Format-Zeichenkette

Dieses Feld nimmt eine Zeichenkette auf, die zur Formatierung der Ausgabe von Datum- und Zeitwerten bei einem Dateienvergleich herangezogen wird. Das gewünschte Format kann entweder hier direkt eingegeben oder es können nach Bedarf einzelne Elemente des gewünschten Formats durch Klicken auf die Schaltfläche Formatierungselemente separat eingefügt werden.

Ausrichtung

Um die Ausgabeposition von Datum und Zeit in den entsprechenden Ordnervergleichsspalten zu bestimmen, kann unter den Optionen Links, Zentriert oder Rechts gewählt werden.

Systemformat wiederherstellen

Diese Schaltfläche stellt die Standardformatierung von Datum und Zeit gemäß dem System wieder her.

Formatierungselemente

Öffnet ein Kontextmenü, woraus Elemente gewählt werden können, die zur Format-Zeichenkette einzeln hinzugefügt werden. Die ausgewählten Elemente werden automatisch in die Format-Zeichenkette eingefügt. Alternativ können Elemente, die in der unten stehenden Liste präzisiert werden, direkt in das Eingabefeld Format-Zeichenkette eingetippt werden:

Zeitelemente

Folgende Zeichen können für die Formatierung von Zeitwerten verwendet werden:

h | Stunde (1-12)
hh | Stunde (01-12)
H | Stunde (0-23)
HH | Stunde (00-23)
m | Minute (0-59)
mm | Minute (00-59)
s | Sekunde (0-59)
ss | Sekunde (00-59)
t | A/P (englisch: vormittags/nachmittags)
tt | AM/PM (englisch: vormittags/nachmittags)

Datumselemente

Datumswerte werden mit den folgenden Zeichen formatiert:

d | Tag
dd | Tag (dezimal, 2-stellig)
ddd | Tag (als Text, abgekürzt)
dddd | Tag (als Text, vollständig)
M | Monat
MM | Monat (dezimal, 2-stellig)
MMM | Monat (als Text, abgekürzt)
MMMM | Monat (als Text, vollständig)
yy | Jahr (2-stellig)
yyyy | Jahr (4-stellig)
d | Tag des Jahres
ddd | Tag des Jahres (3-stellig)
w | Kalenderwoche
ww | Kalenderwoche (2-stellig)

Trennzeichen

Folgende Zeichen werden als Trennzeichen bei der Formatierung interpretiert:

~ | Begrenzungszeichen (Leerstelle)
/ | Trennzeichen für Datum
: | Trennzeichen für Zeit

Diese Begrenzungs- und Trennzeichen können nach Bedarf geändert werden.

Ergebnisbeispiel

In diesem Feld wird ein Datum/Zeit-Beispiel formatiert mit den aktuellen Eingaben angezeigt, damit die Auswirkungen der gewählten Elemente überprüft werden können.


Programmverhalten

Programmverhalten (Konfiguration)

Der Zweig Programmverhalten unter Konfiguration bietet folgende Einstellungen:

Mehrere Instanzen zulassen

Diese Option, wenn aktiviert, erlaubt die gleichzeitige Ausführung von mehreren Instanzen von UltraCompare.

Fortschritt anzeigen

Falls aktiviert, wird der Status des aktuellen Vergleichs in der Statusleiste durch Benachrichtigungen oder durch einen Fortschrittsbalken fortlaufend angezeigt.

Gehe zum ersten Unterschied nach Vergleich

Bei Aktivierung dieser Option wird nach dem Start die erste Zeile automatisch aktiviert bzw. markiert, die in den zwei verglichenen Dateien unterschiedlich ist.

Gehe zum ersten Unterschied nach Übernahme

Bei Aktivierung dieser Option wird sofort nach einer Übernahme, d.h. nach einem Zusammenfügen von Blöcken, die nächste unterschiedliche Zeile markiert.

Registry für Einstellungen verwenden (keine INI-Datei)

Bei Aktivierung dieser Option verwendet das Programm die Windows-Registry zum Lesen und Schreiben aller Einstellungen. Nachdem UltraCompare die zur Zeit verwendete INI-Datei festgestellt hat, wird zuerst den Wert dieser Option überprüft. Wenn sie gesetzt ist, werden die Einstellungen in der Registry verwaltet; falls nicht, werden die in der Registry gehaltenen aktuellen Einstellungen in die neu erstellte INI-Datei verschoben.

Zusammenfassung der Unterschiede nach Vergleichsvorgang anzeigen

Bei Aktivierung dieser Option wird eine Zusammenfassung der Unterschiede unmittelbar nach Beendigung des aktuellen Vergleichs automatisch angezeigt.

Sitzungsreiter oben anzeigen

Bei Auswahl dieser Option werden die Reiter für Sitzungen unmittelbar unterhalb der Symbolleisten anstatt unterhalb der Vergleichsfenster angezeigt.

Ausgabefenster immer eingeblendet

Bei Auswahl dieser Option bleibt das Ausgabefenster immer geöffnet. Der Ergebnisbericht eines Vergleiches wird jedesmal angezeigt, nachdem der/die Anwender/in einen Vergleichsvorgang aktualisiert bzw. ausführt.

Bericht zu Ausgaben anfügen

Bei Auswahl dieser Option wird der Unterschiedsbericht zu den aktuellen Zeilen im Ausgabefenster angefügt.


File Handling

Dateibehandlung (Konfiguration)

Der Zweig Dateibehandlung unter Konfiguration schließt die folgenden Optionen ein:

Dateiänderung gemerkt

Bei Aktivierung dieser Option sucht UltraCompare in regelmässigen Abständen nach Änderungen in den zu vergleichenden Dateien. Nach Bedarf kann der Benutzer diese aktualisieren.


Save & Backup Options

Sicherheitskopie und Speichern (Konfiguration)

Der Zweig Sicherungskopie & Speichern unter Konfiguration schließt die folgenden Optionen ein:

Vergleichsergebnis in Unicode speichern

Die Ergebnisse von Datei- und Ordnervergleichen werden im Unicode-Format abgelegt.

Sicherheitskopie anlegen

Sicherheitskopien der zu vergleichenden Dateien werden vor den Vergleichsvorgängen angelegt. Das ist vor allem vor etwaigem wiederholten Zusammenfügen sehr empfehlenswert, um bei Bedarf die Ausgangslage wiederherstellen zu können.

Sicherheitskopien von komprimierten Archiven anlegen

Vor dem Vergleich z.B. von *.ZIP-Dateien erstellt UltraCompare zuerst noch Sicherheitskopien.

Ergebnisse nebeneinander

Bei Auswahl dieser Option werden die unterschiedlichen Daten neben- anstatt übereinander in der Ergebnisdatei angelegt.

Unterschiede im Ergebnis mit Kontext

Unterschiede werden zusammen mit dem Kontext gespeichert (d.h., daß einige Zeilen, die unmittelbar vor- und nachher erscheinen, mitgespeichert werden, um eine bessere Übersicht über das Vorkommen der Unterschiede zu gewähren) bei Auswahl dieser Option.

Ergebnisse nur für ein Teilfenster

Bei Auswahl dieser Option wird die Ergebnisdatei nur Unterschiede für das aktive Teilfenster des aktuellen Vergleichsvorgangs gespeichert. Bei dieser eingeschränkten Ergebnismenge werden auch die entsprechenden ausgewählten Optionen (Alle / Nur unterschiedliche / Nur übereinstimmende) berücksichtigt.

Ergebnisse für alle Anzeigen einschliessen

Bei Aktivierung dieser Option werden Unterschiede für alle Anzeigen des aktuellen Vergleichs in der Ergebnisdatei ausgegeben. Dabei werden die aktuellen Vergleichsoptionen »Alle«, »Nur unterschiedliche« oder »Nur übereinstimmende« berücksichtigt.


Customization

Konfiguration (Konfiguration - Symbolleisten/Menüs)

Im Zweig Konfiguration unter Konfiguration - Symbolleisten/Menüs findet man die folgenden Optionen:

Symbolleisten anpassen

Durch Anklicken auf diese Schaltfläche wird das Symbolleistenkonfigurationsdialog angezeigt. Darin gibt es zwei Seiten mit den dazugehörenden Reitern Symbolleisten und Befehle sowie ein Eingabefeld, um den Namen einer Neuen Symbolleiste aufzunehmen. Außerdem gibt es Schaltflächen mit den Pfeilsymbolen „nach oben/nach unten“ und „nach rechts/nach links“. Die Funktionalität dieser Objekte wird im Folgenden beschrieben:

Symbolleisten/Befehle-Konfigurationsfenster

In einer Explorer-ähnlichen Ansicht werden die angegebenen Symbolleisten zusammen mit den dazugehörenden Befehlen angezeigt.Untergeordnete Objekte werden aus- bzw. eingeblendet, indem man auf das entsprechende Symbol („-“ oder „+“) links von den Symbolleistennamen anklickt. Nachdem ein Objekt ausgewählt bzw. markiert wurde, kann man dessen relative Position in der Liste nach oben oder nach unten bewegen, indem man auf die Pfeilschaltflächen „nach oben“ oder „nach unten“ anklickt. Es ist jedoch nicht möglich, ein ausgewähltes Objekt von einer Symbolleiste nach einer anderen mit den Pfeilen zu verschieben.

Das Teilfenster „Befehle“ zeigt alle verfügbare Funktionen an, die durch die Symbolleisten ausgeführt werden können. Um ein Objekt vom Fenster „Befehle“ zu einer Symbolleiste hinzuzufügen, wählt man zunächst links die gewünschte Symbolleiste und das Befehlssymbol aus, das vor dem neuen Befehl stehen soll. Nachher wird der gewünschte neue Befehl (bzw. dessen Symbol) im rechten Fenster „Befehle“ ausgewählt und anschließend in der Mitte des Dialogs auf die Schaltfläche mit dem Pfeil nach links geklickt. Ausgewählte Symbole werden unmittelbar nach dem ausgewählten Symbol im linken Fenster hinzugefügt. Ist im linken Fenster nichts markiert, wird das neue Symbol als erstes Symbol in der ersten Symbolleiste in der Liste untergebracht.Einmal hinzugefügt, kann das Symbol in der oben beschriebenen Weise bei Bedarf immer noch verschoben werden.

Neue Symbolleiste

Um eine neue Symbolleiste zu erstellen, gibt man den gewünschten Namen (z.B. „Test1“) im Eingabefeld „Neue Symbolleiste“ ein. Nachher wird auf die Schaltfläche mit dem Pfeil „nach links“ angeklickt. Es entsteht eine neue, leere Symbolleiste unten am Ende der Liste der bestehenden Symbolleisten. Symbolleisten können wieder entfernt werden, indem man zuerst den Namen der Symbolleiste markiert und dann auf die Schaltfläche „nach rechts“in der Mitte des Dialogs klickt.

Menüs anpassen

Nach dem Klicken auf diese Schaltfläche erscheint das Menükonfigurationsdialog. Dieses beherbergt die zwei Teilfenster Menüs und Befehle zusammen mit einem Texteingabefeld: Neues Menü/Untermenü.Bei Auswahl der Option „Häkchen in Menüs anzeigen“ werden anstatt der vertieft angezeigten Symbole die entsprechenden Häkchen verwendet. Einige Probleme im Zusammenhang mit den Eingabehilfen bzw. mit der Sprachausgabe für Behinderte können somit umgangen werden.Die Funktionalität der übrigen Objekte — Schaltflächen mit Pfeilsymbolen zum Navigieren und eine Schaltfläche mit der Beschriftung „Bearbeiten“ — werden weiter unten vollumfänglich beschrieben:

Menüs/Befehle-Konfigurationsfenster

Die aktiven Menüs und die dazugehörigen Untermenüs und Befehle werden, ähnlich wie die Symbolleisten, in einer Explorer-ähnlichen Übersicht dargestellt. Menüs und Untermenüs, die weitere Objekte beinhalten, werden durch Linien markiert, die in kleine Vierecke links von den Menünamen münden. Ein Doppelklick auf das entsprechende Viereck blendet die darunterliegenden Objekte ein bzw. aus.

Bei einem markiertem Menü oder Befehl kann man das Objekt umbenennen, indem man auf die Schaltfläche „Bearbeiten“ klickt.Drücken der „Enter“-Taste in der Tastatur speichert die Änderung im Dialog; Klicken auf die Schaltfläche „OK“ macht die Änderung in den angezeigten Menüs wirksam.

Um ein ganzes Menü zu verschieben, kann man nach Markierung des Menünamens die Schaltflächen mit den entsprechenden Pfeilsymbolen anklicken. Ein Menübefehl kann auf ähnliche Weise innerhalb des aktiven Menüs verschoben werden. Menübefehle können ganz bis nach oben bzw. nach unten, aber nur innerhalb des unmittelbar übergeordneten Menüs, verschoben werden. Falls ein Menübefehl unterhalb eines Untermenüs steht, kann er nicht aus diesem Untermenü hinaus bewegt werden. Falls ein Menübefehl oder Untermenü unter einem Hauptmenü liegt, werden unterwegs etwaige weitere Untermenüs beim Verschieben übersprungen.

Das Teilfenster „Befehle“ zeigt alle verfügbare Funktionen an, die durch die Menüs ausgeführt werden können. Um ein Objekt vom Fenster „Befehle“ zu einem Menü hinzuzufügen, wählt man zunächst links das gewünschte Menü oder Untermenü bzw. den Befehl aus. Nachher wird der gewünschte neue Befehl im rechten Fenster „Befehle“ ausgewählt und anschließend auf die Schaltfläche mit dem Pfeil nach links in der Mitte des Dialogs geklickt. Ausgewählte Befehle werden unmittelbar nach dem ausgewählten Objekt im linken Fenster hinzugefügt. Ist im linken Fenster nichts markiert, wird der neue Befehl als erster Befehl im ersten Menü in der Liste untergebracht. Einmal hinzugefügt, kann der Befehl bei Bedarf mit den Pfeiltasten in der oben beschriebenen Weise immer noch verschoben werden.

Neue Menüs

Um ein neues Menü oder Untermenü zu erstellen, gibt man einen Namen (z.B. „Test1“) in das Eingabefeld „Neues Menü“ ein. Nachher klickt man auf die Schaltfläche mit dem Pfeilsymbol „nach links“, die rechts vom Eingabefeld steht. Als Ergebnis wird ein neues, leeres Menü ganz unten in der Liste der Menüs hinzugefügt. Um ein Menü wieder zu entfernen, markiert man dessen Namen in der Liste und klickt anschließend auf die Schaltfläche „nach rechts“ in der Mitte des Dialogs.


Management

Verwaltung (Konfiguration - Symbolleisten/Menüs)

Im Zweig Verwaltung unter Konfiguration - Symbolleisten/Menüs findet man die folgenden Optionen:

Symbolleisten Verwaltung

Die Schaltfläche Symbolleisten verwalten zeigt das Symbolleistenkonfigurationsdialog an.

Menüs verwalten

Die Schaltfläche Menüs verwalten zeigt das Menükonfigurationsdialog an.


Tastenzuordnung

Tastenzuordnung (Konfiguration)

Im Konfigurationszweig 'Tastenzuordnung' können Sie die standardmäßig von UltraCompare unterstützte Tastenzuordnung an ihre eigenen Bedürfnisse anpassen.

Die Registerkarte zeigt eine Liste mit den Befehlen von UltraCompare an, die Sie einer Tastenkombination Ihrer Wahl zuordnen können. Das Anklicken eines Befehls zeigt die Aktuelle Zuordnung (sofern vorhanden) sowie die Beschreibung des Befehls unterhalb der Liste an.

Hinzufügen oder Ändern einer Tastenzuordnung

  1. Wählen Sie den anzupassenden Befehl aus der Befehle-Liste aus.
  2. Setzen Sie den Fokus per Maus oder Tabulatortaste auf das Feld Neue Taste drücken.
  3. Geben Sie die neue Tastenzuordnung genauso ein wie sie beim Aufrufen des Befehls verwendet werden soll – diese Tastenzuordnung wird erfasst und angezeigt.
  4. Drücken Sie die Schaltfläche Zuordnen, damit die neue Tastenkombination dem Befehl zugeordnet wird. Wenn eine bereits zugeordnete Tastenkombination verwendet wird, werden Sie gefragt, ob diese gelöscht und durch die neue Zuordnung ersetzt werden soll.

Entfernen einer Tastenzuordnung

  1. Wählen Sie den anzupassenden Befehl aus der Befehle-Liste aus.
  2. Wählen Sie die vorhandene Tastenzuordnung in der Liste Bestehende Tastenzuordnungen aus.
  3. Drücken Sie die Schaltfläche Entfernen, damit die Tastenzuordnung gelöscht wird.

Vorgaben der Tastenzuordnungen wiederherstellen

  1. Drücken Sie die Schaltfläche Vorgabe, damit die Tastenzuordnungen wieder auf den Standard zurückgesetzt werden. Sie werden dann aufgefordert, diese Handlung zu bestätigen.


Shell Integration Options

Umgebungsintegration (Konfiguration)

Der Zweig Umgebungsintegration unterhalb von Konfiguration schließt die folgenden Optionen ein:

In Windows-Explorer integrieren

Falls aktiviert, werden Optionen von UltraCompare zum Kontextmenü von Windows-Explorer hinzugefügt.

Automatisches Markieren aktivieren

Bei Aktivierung dieser Option wird das aktuell markierte Objekt in Windows-Explorer zu den Kontextmenüs in UltraCompare übernommen.


UE/UES Integration

UE/UES-Integration (Konfiguration)

Der Zweig UE/UES-Integration in der Konfiguration bietet die folgende Einstellung an:

Nur aktive Datei laden

Bei Aktivierung dieser Option werden nicht beide der zu vergleichenden Dateien, sondern nur die aktive Datei im externen Editor geöffnet.


Filter einrichten

Der Befehl "Filter einrichten..." (Menü "Optionen")

Dieser nur im Modus 'Verzeichnisvergleich' verfügbare Befehl ruft das Dialogfenster zum Einrichten von Filtern auf, in dem Sie angeben können, welche Dateitypen bei einem Verzeichnisvergleich angezeigt werden sollen.

Es ist sowohl möglich eine einzelne Dateiendung zu definieren

*.txt

als auch mehrere durch Kommas voneinander getrennte Dateiendungen anzugeben

*.txt,*.js,*.html

damit die mit den Dateitypen übereinstimmenden Dateien angezeigt werden können.


Dateiendungen...

Der Befehl "Dateiendungen..." (Menü "Optionen")

Dieser Befehl öffnet den Dialog "Dateinamenerweiterungen bestimmen". Darin können Erweiterungen und Beschreibungen für Dateien bestimmt werden, damit UltraCompare den passenden Vergleichsmodus (Text- oder Binärmodus) anwenden kann. Obwohl UltraCompare versucht, den richtigen Modus automatisch zu ermitteln, muß der Benutzer ihn in manchen Fällen selbst festlegen.

Standardmäßig wird bereits eine Liste mit Dateitypen aufgeführt, aus der Sie nach Bedarf Einträge entfernen oder zu der Sie welche hinzufügen können.


Compare Column Ranges

Spaltenbereiche vergleichen (Menü »Optionen«)

Bei Auswahl des Befehls Spaltenbereiche vergleichen wird der gleichnamige Dialog angezeigt. Bis zu vier durch Strichpunkt getrennte Bereiche können darin angegeben werden. Als Beispiel könnten zwei Bereiche folgendermaßen eingegeben werden: »1-5; 7-10«. Beim Klicken auf die Schaltfläche »OK« wird neben den Menü-Befehl ein Häkchen gesetzt. UltraCompare vergleicht nachher nur die Spalten, die in den Bereichen 1-5 und 7-10 liegen; alles andere wird ignoriert. Unterschiede werden nur innerhalb der Grenzen dieser Bereiche angezeigt. Alle anderen Spalten würden ignoriert und werden deshalb mit den Vorder- und Hintergrundfarben dargestellt, die dem Modus »keinen Unterschied gefunden« entsprechen. Eine nochmalige Auswahl des Menü-Befehls deaktiviert diesen Vergleichsmodus. UltraCompare merkt sich die zuletzt eingegebenen Bereiche.

Bitte beachten Sie, daß die Optionen »Spaltenbereiche ignorieren« und »Spaltenbereiche vergleichen« sich gegenseitig ausschließen (es kann nur eine der beiden Optionen zur gleichen Zeit aktiv sein).


Ignore Column Ranges

Spaltenbereiche ignorieren (Menü »Optionen«)

Bei Auswahl des Befehls Spaltenbereiche ignorieren wird der gleichnamige Dialog angezeigt. Bis zu vier durch Strichpunkt getrennte Bereiche können darin angegeben werden. Als Beispiel könnten zwei Bereiche folgendermaßen eingegeben werden: »1-5; 7-10«. Beim Klicken auf die Schaltfläche »OK« wird neben den Menü-Befehl ein Häkchen gesetzt. UltraCompare ignoriert nachher alles in den Spalten, die in den Bereichen 1-5 und 7-10 liegen; alles andere wird verglichen. Unterschiede werden nur außerhalb der Grenzen dieser Bereiche angezeigt. Bis auf die angegebenen Spaltenbereiche werden alle anderen aufgefundenen unterschiedlichen Stellen durch die entsprechenden Vor- und Hintergrundfarben in der üblichen Weise hervorgehoben. Eine nochmalige Auswahl des Menü-Befehls deaktiviert diesen Vergleichsmodus. UltraCompare merkt sich die zuletzt eingegebenen Bereiche.

Bitte beachten Sie, daß die Optionen »Spaltenbereiche ignorieren« und »Spaltenbereiche vergleichen« sich gegenseitig ausschließen (es kann nur eine der beiden Optionen zur gleichen Zeit aktiv sein).


Leerzeilen ignorieren

Die Option "Leerzeilen ignorieren" (Menü "Optionen")

Diese Option kann aktiviert werden, wenn bei der Ermittlung der Unterschiede zwischen den aktiven Dateien Zeilen unberücksichtigt bleiben sollen, die lediglich Zeilenende-Zeichen (entsprechend des aktuellen Dateityps) aufweisen. Nicht betroffen von dieser Option sind Zeilen, die Weißraum (Tabulatoren oder Leerzeichen) enthalten.


Weißraum ignorieren

Die Option "Weißraum ignorieren" (Menü "Optionen")

Diese Option kann aktiviert werden, wenn etwaiger Weißraum (Tabulatoren und Leerzeichen) bei der Ermittlung der Unterschiede zwischen den aktiven Dateien nicht beachtet werden soll.


Groß-/Kleinschreibung ignorieren

Die Option "Groß-/Kleinschreibung ignorieren" (Menü "Optionen")

Diese Option kann aktiviert werden, wenn die Groß- und Kleinschreibung bei der Ermittlung der Unterschiede zwischen den aktiven Dateien nicht beachtet werden soll.


Zeilenende-Zeichen ignorieren

Zeilenende-Zeichen ignorieren (Menü „Optionen“)

Unterschiede im Format der Zeilenende-Zeichen zwischen verschiedenen Betriebssystemen (DOS/UNIX/MAC) werden bei Dateivergleichen ignoriert.


Dezimaler Versatz ein/aus

Die Option "Dezimaler Versatz ein/aus" (Menü "Optionen")

Diese Option wechselt in der Darstellung des Versatzwertes (Offset) auf der linken Seite der Anzeigebereiche zwischen dem Hexadezimal- und dem Dezimalformat.


In Windows-Explorer integrieren

In Windows-Explorer integrieren (Menü „Optionen“)

Falls diese Option aktiviert ist, werden Befehle von UltraCompare zum Kontextmenü (über die rechte Maustaste zu erreichen) von Windows-Explorer hinzugefügt. Das bietet eine enorme Erleichterung für das schnelle Bestimmen der zu vergleichenden Dateien und Ordnern und das Starten des Vergleichsvorgangs durch UltraCompare Professional.

Bei Aktivierung der Option In Windows-Explorer integrieren werden folgende Befehle zum Kontextmenü von Windows-Explorer hinzugefügt:

Durch Anklicken mit der rechten Maustaste in Windows-Explorer kann ein Objekt (Datei, Ordner oder ZIP-Archiv) somit ausgewählt und einem der drei Ansichtsfenster zugeordnet werden.

Nach Auswahl der gewünschten Objekte kann mittels UltraCompare starten den Vergleichsvorgang ausgelöst werden. Dadurch, daß Objekte nach dem gewünschten Ansichtsfenster einzeln nacheinander ausgewählt werden, wird das Vergleichen von Objekten aus verschiedenen Verzeichnissen oder Laufwerken ermöglicht.

Beim Starten von UltraCompare in der oben beschriebenen Weise wird automatisch der Textvergleichsmodus oder Verzeichnisvergleichsmodus sinngemäß eingestellt. Falls drei Objekte ausgewählt wurden, wird der angemessene 3-fach-Vergleichsmodus gestartet.

Eine etwas schnellere Vorgehensweise bietet die Möglichkeit, mehrere zu vergleichende Objekte im gleichen Verzeichnis durch Drücken der STRG-Taste auszuwählen, dann mit der rechten Maustaste den Befehl UltraCompare starten zu wählen. Daraufhin lädt UltraCompare Professional die ausgewählten Objekte automatisch in die entsprechenden Ansichtsfenster und führt den Vergleich im angemessenen Modus aus.


Merge Menu

Die Befehle im Menü „Übernahme“

Das Menü „Übernahme“ enthält folgende Befehle:

Übernahmemodus (Block/Zeile) wechseln | wechselt den Übernahmemodus zwischen zeilenweiser und blockweiser Übernahme
Aus Anzeige 1 nach 2 übernehmen | Übernahmen geschehen von der ersten nach der zweiten Datei.
Aus Anzeige 2 nach 1 übernehmen | Übernahmen geschehen von der zweiten nach der ersten Datei.
Spezielle Übernahme | übernimmt die Auswahl entweder ober- oder unterhalb der als verschieden ermittelten Zeile aus der linken in die rechte (bzw. aus der rechten in die linke) Datei, ohne den vorhandenen Text zu überschreiben
Alle übernehmen | Speichert alle Änderungen durch Übernahmen in den angegebenen Dateien
Übernahme rückgängig machen | Macht die letzte Übernahme rückgängig.
Alle Änderungen rückgängig machen | Macht sämtliche nicht gespeicherte Änderungen an den miteinander verglichenen Dateien/Verzeichnissen rückgängig.
Ersetzen neuerer Datei bestätigen | Zeigt ein Bestätigungsdialog an, falls der Übernahmevorgang eine Datei überschreiben könnte, die neuer als die aktuelle, Übernahmen aufnehmende Datei ist.
Übernahmen bestätigen | Zeigt ein Bestätigungsdialog bei jedem Übernahmevorgang an.
Nach Übernahme aktualisieren | Der Vergleichsstatus wird nach jedem Übernahmevorgang aktualisiert.


Übernahmemodus

Übernahmemodus (Block/Zeile) wechseln (Menü „Übernahme“)

Dieser Befehl wechselt vom Block- in den Zeilenmodus für Übernahmevorgänge. Bei aktiviertem Zeilenmodus können einzelne Zeilen innerhalb eines Blocks mit Unterschiedenen ausgewählt und in die andere Datei übernommen werden. Falls diese Option aktiviert ist, kann man einzelne Zeilen in Blöcken mit Unterschieden auswahlen, um bei Übernahmevorgängen zusammenzufügen.


Von links nach rechts übernehmen

Der Befehl "Von links nach rechts übernehmen" (Menü "Bearbeiten")

Nachdem eine Zeile für die Übernahme markiert worden ist, können Sie die ausgewählte Zeile mit diesem Befehl aus der links (bzw. oben) angezeigten Datei in die rechts (bzw. unten) angezeigte Datei übernehmen.

Die übernommenen Zeilen werden mit einer anderen Farbe hinterlegt, um vor dem Speichern alle Änderungen schneller überprüfen zu können.

Schnellzugriff

Tastatur: Alt+PfeilRechts


Von rechts nach links übernehmen

Der Befehl "Von rechts nach links übernehmen" (Menü "Bearbeiten")

Nachdem eine Zeile für die Übernahme markiert worden ist, können Sie die ausgewählte Zeile mit diesem Befehl aus der rechts (bzw. unten) angezeigten Datei in die links (bzw. oben) angezeigte Datei übernehmen.

Die übernommenen Zeilen werden mit einer anderen Farbe hinterlegt, um vor dem Speichern alle Änderungen schneller überprüfen zu können.

Schnellzugriff

Tastatur: Alt+PfeilLinks


Spezielle Übernahme

Die Befehle "Spezielle Übernahme" (Menü "Bearbeiten")

Diese Befehle können verwendet werden, um als verschieden ermittelte Bereiche von einer Datei in die andere zu übernehmen, ohne den vorhandenen Text der jeweiligen Zieldatei zu überschreiben. Zu diesem Zweck müssen Sie angeben, ob der Text oberhalb oder unterhalb des bestehenden Textes eingefügt werden soll.


Übernahme rückgängig machen

Der Befehl "Übernahme rückgängig machen" (Menü "Bearbeiten")

Mit diesem Befehl lässt sich die zuletzt ausgeführte Übernahme wieder rückgängig machen.

Schnellzugriff

Tastatur: Strg+Z


Alle Änderungen rückgängig machen

Alle Änderungen rückgängig machen (Menü Übernahme)

Dieser Befehl macht alle Änderungen in den aktiven Dateien/Verzeichnissen wieder rückgängig.


Ersetzen neuerer Datei bestätigen

Die Option "Ersetzen neuerer Datei bestätigen" (Menü "Optionen")

Wenn Sie im Verzeichnismodus versuchen, unterschiedliche Dateien von einem Verzeichnis in ein anderes zu übernehmen, und UltraCompare feststellt, dass dabei eine Datei überschreiben würde, die neuer ist als die in das Zielverzeichnis zu übernehmende Datei, dann erscheint bei aktivierter Option ein entsprechendes Dialogfenster, in dem Sie das Vorgehen gegebenenfalls bestätigen müssen.


Übernahmen bestätigen

Der Befehl "Übernahmen bestätigen" (Menü "Optionen")

Wenn diese Option aktiviert ist, lässt UltraCompare jede Übernahme durch den Anwender bestätigen, um sicherzustellen, dass es sich dabei tatsächlich um die vom Anwender gewünschte Aktion handelt.


Refresh After Merge

Nach Übernahme aktualisieren (Menü „Übernahme“)

Diese Option betrifft lediglich den Verzeichnismodus. Bei deren Aktivierung wird die Ansicht der verglichenen Verzeichnisse sowie der Vergleichsstatus automatisch aktualisiert, sobald eine Datei oder Unterverzeichnis aus einem verglichenen Verzeichnis in das andere übernommen wurde. Dieser Vorgang tritt nicht ein, falls die Option nicht aktiviert ist.

Diese Funktionalität wurde ursprünglich deshalb entwickelt, um den Status auf dem Laufenden zu halten, falls verglichene Dateien oder Verzeichnisse während des Vergleichsvorgangs außerhalb von UltraCompare Professional geändert würden. Wenn bekannt ist, daß dieser Fall nicht eintreten kann, wird man auf diese Option eventuell verzichten möchten.


Befehle im Menü "Fenster"'

Die Befehle im Menü "Fenster"

Das Menü "Fenster" enthält folgende Befehle:

Vertikal anordnen | zeigt die verglichenen Dateien nebeneinander an
Horizontal anordnen | zeigt die verglichenen Dateien untereinander an
Anzeigen tauschen | tauscht die Quell- und Zielanzeige des aktuellen Vergleichs miteinander
Datei in Browser anzeigen | öffnet die Datei im Standard-Browser des Betriebssystems
Vertikal mitscrollen | sorgt dafür, dass die Vergleichsfenster beim vertikalen Bildlauf mitscrollen
Horizontal mitscrollen | sorgt dafür, dass die Vergleichsfenster beim horizontalen Bildlauf mitscrollen
Synchronisiertes Scrollen unten | Die Vergleichsanzeigen werden verknüpft, damit beide Dateien und die zusätzlichen Anzeigen gleichzeitig waagerecht gescrollt werden können.

Im 3-fach-Textmodus enthält das Menü "Fenster" folgende Befehle:

3-fach-Modus vertikal anordnen | zeigt die drei miteinander verglichenen Dateien nebeneinander an
3-fach-Modus horizontal anordnen | zeigt die drei miteinander verglichenen Dateien untereinander an
Anzeigen 1 + 2 tauschen | tauscht die Anzeigen 1 und 2 des aktuellen Vergleichs miteinander
Anzeigen 2 + 3 tauschen | tauscht die Anzeigen 2 und 3 des aktuellen Vergleichs miteinander
Anzeigen 1 + 3 tauschen | tauscht die Anzeigen 1 und 3 des aktuellen Vergleichs miteinander
Datei in Browser anzeigen | öffnet die Datei im Standard-Browser des Betriebssystems
Vertikal mitscrollen | sorgt dafür, dass die Vergleichsfenster beim vertikalen Bildlauf mitscrollen
Horizontal mitscrollen | sorgt dafür, dass die Vergleichsfenster beim horizontalen Bildlauf mitscrollen
Synchronisiertes Scrollen unten | Die Vergleichsanzeigen werden verknüpft, damit beide Dateien und die zusätzlichen Anzeigen gleichzeitig waagerecht gescrollt werden können.


Vertikal anordnen

Der Befehl "Vertikal anordnen" (Menü "Fenster")

Diese Option sorgt dafür, dass die miteinander verglichenen Dateien nebeneinander angezeigt werden. Dies ist die Standardeinstellung.

Schnellzugriff

Tastatur: Strg+I

Schnellzugriff (3-fach-Textmodus)

Tastatur: Strg+Alt+I


Horizontal anordnen

Der Befehl "Horizontal anordnen" (Menü "Fenster")

Diese Option sorgt dafür, dass die miteinander verglichenen Dateien untereinander angezeigt werden.

Schnellzugriff

Tastatur: Strg+H

Schnellzugriff (3-fach-Textmodus)

Tastatur: Strg+Alt+H


Vergleichsfenster tauschen

Der Befehl "Vergleichsfenster tauschen" (Menü "Fenster")

Dieser Befehl sorgt dafür, dass die in der Quellanzeige (links) angezeigte Datei in der Zielanzeige (rechts) dargestellt wird und umgekehrt. Aus Darstellungsgründen kann es sinnvoll sein, dass Sie die ursprüngliche Anzeige der miteinander verglichenen Dateien ändern.

Falls Sie einen 3-fach-Textvergleich durchführen, werden Ihnen folgende drei Optionen angeboten, um die Dateien in den jeweiligen Vergleichsfenstern miteinander zu tauschen:

  • Vergleichsfenster 1-2 tauschen
  • Vergleichsfenster 2-3 tauschen
  • Vergleichsfenster 1-3 tauschen


Vertikal/Horizontal mitscrollen

Die Option "Vertikal/Horizontal mitscrollen" (Menü "Fenster")

Diese Option sorgt dafür, dass bei einem vertikalen bzw. horizontalen Bildlauf in einem der Vergleichsfenster, die jeweils andere(n) Datei(en) mitgescrollt wird. Auf diese Weise lassen sich längere Zeilen einfacher miteinander vergleichen. Standardmäßig sind die Vergleichsfenster miteinander synchronisiert.


Befehle im Menü "Hilfe"

Die Befehle im Menü "Hilfe"

Das Menü "Hilfe" enthält folgende Befehle:

Hilfethemen | zeigt die Hilfedatei an
Online-Foren/Support | wechselt im Browser zum Online-Forum für Diskussionen mit anderen Anwendern
Auf Updates prüfen | überprüft, ob für die eingesetzte Programmversion ein Update oder Patch zur Fehlerbeseitigung zur Verfügung steht
Registrieren... | ruft das Dialogfenster zur Eingabe der Registrierungsinformationen für UltraCompare auf
Über UltraCompare... | ruft das Dialogfenster "Über" mit der Versionsnummer auf


Hilfethemen

Der Befehl "Hilfethemen" (Menü "Hilfe")

Wenn Sie diesen Befehl aufrufen, wird die Hilfedatei angezeigt.


Registrieren...

Der Befehl "Registrieren..." (Menü "Hilfe")

Dieser Befehl ruft das Dialogfenster "Registrieren" auf, in dem Sie den Anwendernamen und den Registrierungscode eingeben, um das Produkt zu registrieren. Die erforderlichen Daten erhalten Sie, indem Sie eine Lizenz von IDM Computer Solutions, Inc. oder einem autorisierten Wiederverkäufer bzw. Händler erwerben (externer Link) .


Über UltraCompare...

Der Befehl "Über UltraCompare..." (Menü "Hilfe")

Dieser Befehl ruft das Dialogfenster "Über UltraCompare" auf, in dem neben der aktuellen Versionsnummer angezeigt wird, ob das Produkt registriert worden ist oder nicht. Falls das Produkt bereits registriert worden ist, wird der Name angezeigt, unter dem es registriert worden ist.


Befehle in der Symbolleiste

Hauptsymbolleiste

In der Hauptsymbolleiste stehen Ihnen folgende Befehle zur Verfügung:

Vergleichsergebnis speichern | speichert das Vergleichsergebnis des aktuellen Vergleichs als Textdatei
Alle Dateien schließen | schließt alle offenen Dateien
Ergebnis drucken | druckt das Vergleichsergebnis aus
Vorschau | gibt das Vergleichsergebnis als Seitenansicht auf dem Bildschirm aus wie es gedruckt würde
Alles | zeigt sämtliche Zeilen der miteinander verglichenen Dateien an
Nur Unterschiede | zeigt nur die sich unterscheidenden Zeilen an
Nur Übereinstimmungen | zeigt nur die exakt übereinstimmenden Zeilen an
Textmodi | displays submenu where user may select Text Mode or 3-Way Text Mode display options
Binärmodi | displays submenu where user may select Binary (fast) Mode or Binary (smart) Mode display options
Verzeichnismodi | displays submenu where user may select Folder Mode or 3-Way Folder Mode display options
Vertikal anordnen | zeigt die miteinander verglichenen Dateien nebeneinander an
Horizontal anordnen | zeigt die miteinander verglichenen Dateien untereinander an
Konfiguration | öffnet das Konfigurationsdialogfenster
Zeilennummern ein/aus | blendet Zeilennummern in den Vergleichsdateien ein/aus
Profil ausführen | öffnet das Dialogfenster „Benutzerprofile“, wo ein Vergleichsprofil ausgewählt werden kann
Zeilenumbruch ein/aus | Der Zeilenumbruch im aktiven Dokument wird ein- oder ausgeschaltet
Vertikal synchronisieren | führt den Bildlauf für beide Anzeigebereiche parallel aus
Synchrones Scrollen unten | Die Vergleichsanzeigen werden synchronisiert, damit man beide Dateien und die zusätzlichen Rahmen gleichzeitig waagerecht scrollen kann.
Gehe zum nächsten Unterschied | zeigt den nächsten Unterschied zwischen den Vergleichsdateien an
Gehe zum vorherigen Unterschied | zeigt den vorherigen Unterschied zwischen den Vergleichsdateien an
In UltraEdit bearbeiten | öffnet die aktive Datei zur Bearbeitung in UltraEdit
Datei in Browser anzeigen | öffnet die Datei im Standard-Browser des Betriebssystems
Über UltraCompare... | ruft den Dialog "Über UltraCompare" auf


Merge Toolbar

Symbolleiste „Zusammenfügen“

Die Symbolleiste „Zusammenfügen“ enthält die folgenden Befehle:

Grundlegend (nur Größe und Datum) | Der aktuelle Verzeichnisvergleichsmodus wird auf »Grundlegend« eingestellt; nur Größe und Datum werden verglichen.
Vollständig (zeichenweiser Vergleich) | Der aktuelle Verzeichnisvergleichsmodus wird auf »Vollständig« eingestellt; jedes Byte wird verglichen.
Intelligent (schließt Textvergleich mit Optionen zum Ignorieren ein) | Der aktuelle Verzeichnisvergleichsmodus wird auf »Intelligent« eingestellt; ein Textvergleich unter Berücksichtigung der Optionen zum Ignorieren wird durchgeführt.
Übergeordnetes Verzeichnis | setzt beide Anzeigebereiche beim Verzeichnisvergleich auf das übergeordnete Verzeichnis zurück
Rekursiver Verzeichnisvergleich | vergleicht sämtliche Unterverzeichnisse der zu vergleichenden Verzeichnisse statt nur das Verzeichnis der obersten Ebene
Verzeichnisvergleichsymbole | Zeigt einen Dialog mit einer Übersicht der Symbole an, die beim Verzeichnisvergleich zum Einsatz kommen
Ersten zum zweiten übernehmen | fügt den markierten Abschnitt aus der linken in die rechte Datei ein und überschreibt den ausgewählten Block
Ersten zum zweiten übernehmen (nachher) | fügt den markierten Abschnitt aus der linken in die rechte Datei unterhalb des markierten Blocks ein
Ersten zum zweiten übernehmen (vorher) | fügt den markierten Abschnitt aus der linken in die rechte Datei oberhalb des markierten Blocks ein
Zweiten zum ersten übernehmen | fügt den markierten Abschnitt aus der rechten in die linke Datei ein und überschreibt den markierten Block
Zweiten zum ersten übernehmen (nachher) | fügt den markierten Abschnitt aus der rechten in die linke Datei unterhalb des markierten Blocks ein
Zweiten zum ersten übernehmen (vorher) | fügt den markierten Abschnitt aus der rechten in die linke Datei oberhalb des markierten Blocks ein
Zeilen-/Blockmodus | Schaltet zwischen Zeilen- und Blockmodus hin und zurück
Änderungen in zusammengefügten Dateien sichern | speichert alle zusammengefügte Änderungen
Änderungen rückgängig machen | Beide Dateien werden auf dem Stand der letzten Dateisicherung wiederhergestellt
Letzte Zusammenfügung rückgängig machen | macht die letzte Zusammenfügung rückgängig
Starten | Startet einen Vergleichsvorgang der angegebenen Dateien bzw. Verzeichnisse
Aktualisieren | Wiederholt den Vergleichsvorgang, um die angezeigten Unterschiede zu aktualisieren
Vergleich anhalten | Der aktuelle Vergleich wird angehalten
Erste Anzeige maximieren | Schaltet zwischen Maximal- und Standardgröße bei der ersten Anzeige
Zweite Anzeige maximieren | Schaltet zwischen Maximal- und Standardgröße bei der zweiten Anzeige
Dritte Anzeige maximieren | Schaltet zwischen Maximal- und Standardgröße bei der dritten Anzeige
Aktuelle Zeile anzeigen | Ein Fenster wird ein- oder ausgeblendet, wo die Unterschiede zwischen den aktiven Zeilen im aktuellen Vergleich hervorgehoben werden


Befehle in der Pfad-Symbolleiste

Die Befehle in der Pfad-Symbolleiste

Folgende Befehle stehen Ihnen in der Symbolleiste für Datei- und Verzeichnispfade zur Verfügung:

Verzeichnisverlauf/-eingabe | Listenfeld für die Eingabe/Auswahl eines Pfads zu einer Datei bzw. einem Verzeichnis für den Vergleich
Übergeordnetes Verzeichnis | wechselt das aktive Vergleichsfenster für den Verzeichnisvergleich in das übergeordnete Verzeichnis
Datei/Verzeichnis öffnen | öffnet die ausgewälte Datei bzw. das Verzeichnis im aktiven Vergleichsfenster
Datei/Verzeichnis schließen | schließt die aktive Datei bzw. das Verzeichnis
Kodierung | ermöglicht bei Textvergleichen die Auswahl der Kodierung für die aktive Datei aus einem Kontextmenü (siehe unten)

Kodierung

Wenn Sie im Textmodus die Schaltfläche Kodierung betätigen, können Sie für die aktive Datei die für den Vergleich zu verwendende Kodierung aus folgendem Kontextmenü auswählen:


In UltraEdit bearbeiten

Der Befehl "In UltraEdit bearbeiten"

Dieser Befehl öffnet die aktive Datei eines Textvergleichs zur Bearbeitung in UltraEdit.


Öffnen von Dateien

Das Öffnen von Dateien

Es gibt mehrere Möglichkeiten, um die miteinander zu vergleichenden Dateien in UltraCompare zu öffnen. Für welche Methode Sie sich entscheiden, ist in erster Linie eine Frage der Vorliebe, da jede der nachfolgend beschriebenen Verfahren intern dieselben Funktionsabläufe verursachen - also das Öffnen der angegebenen Dateien und der automatische Beginn des Vergleichs der angegebenen Dateien.

UltraEdit-32

Um Dateien in UltraCompare Lite miteinander zu vergleichen, muss UltraEdit-32 laufen. Wenn Sie wollen, können Sie die zu vergleichenden Dateien in UltraEdit-32 öffnen und UltraCompare Lite mit Hilfe des Menübefehls Datei|Dateien vergleichen... aufrufen. Standardmäßig werden im Dialog "Dateien vergleichen" die beiden zuletzt geöffneten/bearbeiteten Dateien in den entsprechenden Listenfeldern angezeigt. Sie können die zu vergleichenden Dateien aber auch mit Hilfe der Durchsuchen-Schaltflächen des Diaolgs suchen und festlegen.

Außer den in UltraCompare Lite zu öffnenden Dateien können Sie in diesem Dialog außerdem angeben, ob die Dateien im Texmodus oder im Binärmodus verglichen werden sollen und welche der folgenden drei Optionen gegebenenfalls berücksichtigt werden sollen:

- Groß-/Kleinschreibung ignorieren

- Leerzeichen ignorieren

- Leerzeilen ignorieren

Hinweis: Diese Optionen beziehen sich ausschließlich auf den Modus 'Textvergleich'.

Befehlszeile

Wenn Sie UltraCompare Professional verwenden, können Sie die zu öffnenden und zu verlgeichenden Dateien auch in der Befehlszeile angeben. Falls UltraCompare zu Ihrer PATH-Variable hinzugefügt worden ist, kann das Programm zum Vergleichen von Dateien wie folgt von der Befehlszeile (d.h. einer DOS-Eingabeaufforderung) aus aufgerufen werden:

uc c:\temp\test.txt d:\temp\test.txt

Dieser Befehl würde UltraCompare dazu veranlassen, die Datei test.txt von zwei verschiedenen Laufwerken im linken bzw. rechten Anzeigebereich zu öffnen und automatisch mit dem Vergleichen zu beginnen. Während des Vergleichens ist die Schaltfläche Abbrechen in der Symbolleiste aktiviert. Die Statuszeile zeigt ein gelbes Licht und den Text "Verarbeiten" an.

Falls UltraCompare nicht zu Ihrer PATH-Variable hinzugefügt worden ist, müssen Sie den vollständigen Pfad zu der Anwendung angeben, um sie von der Befehlszeile aus aufrufen zu können, d.h.:

c:\programme\ultracompare\uc c:\temp\test.txt d:\temp\test.txt

Für den Aufruf von UltraCompare Pro von der Befehlszeile aus stehen mehrere Befehlszeilenoptionen zur Verfügung.

Links/Rechts öffnen

Sie UltraCompare Professional enthält im Menü "Datei" außerdem die Befehle Links öffnen und Rechts öffnen . Wenn Sie einen dieser Befehle aufrufen, wird der Standarddialog zum Öffnen von Dateien angezeigt, mit dem sie nach der zu öffnenden Datei für das jeweilige Vergleichsfenster suchen können.

Listenfeld/Texteingabe

Sie können die jeweils zu öffnende Datei auch direkt in dem Listenfeld oberhalb des entsprechenden Vergleichsfensters eingeben. Standardmäßig wird der Vergleich zweier ausgewählten Dateien erst dann vorgenommen, nachdem die Schaltfläche »Starten« geklickt wurde.

Lokale Dateien sowie Dateien in einem Netzwerk können zum Vergleich ausgewählt werden. Außerdem kann eine URL (Internetadresse) angegeben werden; die angegebene Quelle wird heruntergeladen und nachher in der Vergleichsanzeige geöffnet. URL-Adressen sollten sinngemäß mit »www« oder »http://« beginnen. Die Anzeige kann zwischen Browser- und Quellcode-Ansichten hin und her geschaltet werden. Den Quellcode kann man anschließend bearbeiten und in einer neuen Datei lokal speichern. Die Pfade von bereits verglichenen Dateien werden in den Auswahllisten gespeichert, damit man sie nach Bedarf zum erneuten Vergleich auswählen kann.

Eingefügter Text

Nach Bedarf kann ein beliebiger Text in die Zwischenablage kopiert und in die leeren Anzeigen eingefügt werden. Für diesen Inhalt werden temporäre Dateipfade erstellt, die in jeder Anzeige dargestellt werden. Um eine dieser temporären Dateien zu schließen und einen neuen Code-Abschnitt zu vergleichen, wird die Schaltfläche "Schließen" geklickt. Sobald neuer Text in die zweite Anzeige eingefügt wird, beginnt der Vergleichsvorgang. Eingefügter Text kann auch gegen eine existierende Datei abgeglichen werden.

Schaltfläche 'Durchsuchen'

In UltraCompare können Sie jeweils auf die Schaltfläche Durchsuchen in der rechten oberen Ecke jedes Anzeigebereichs klicken. Dadurch wird das standardmäßige Dialogfenster zum Öffnen von Dateien aufgerufen, in dem Sie die zu öffnende Datei aussuchen können.

Nachdem beide Dateien geöffnet sind, beginnt UltraCompare automatisch mit dem Vergleichen ihrer Inhalte; sobald der Vergleich abgeschlossen ist, wird das Vergleichsergebnis durch eine Kombination von Symbolen und Farben kenntlich gemacht.


Textvergleich

Der Textvergleich

Sobald der Textvergleich abgeschlossen ist, wird das Ergebnis des Vergleichs in der Anwendung durch eine Kombination aus Symbolen und Farben angezeigt.

<! | zeigt an, dass sich die Daten in der linken Datei befinden, nicht aber in der rechten.
!> | zeigt an, dass sich die Daten in der rechten Datei befinden, nicht aber in der linken.
* | zeigt an, dass sich die Daten dieser Zeile zwischen den miteinander verglichenen Dateien unterscheiden.

Neben diesen Symbolen werden Zeilen, die als verschieden voneinander erkannt wurden, durch die im Dialogfenster "Farben" eingestellte Farbe für den Unterschied-Hintergrund (standardmäßig ein violetter Farbton) hervorgehoben (s. Menü "Optionen" ). Die aktive Zeile wird durch die Farbe für den Navigation-Hintergrund (standardmäßig Pfirsichfarben) kenntlich gemacht.

Statuszeile

In der Statuszeile wird außerdem die Anzahl der Blöcke und Zeilen angezeigt, die sich zwischen den miteinander verglichenen Dateien unterscheiden. Beispielsweise zeigt die Statusangabe

38 Bereich(e) versch. 156 : 204 Zeile(n) versch.

an, dass 38 Bereiche gefunden wurden, in denen es Unterschiede zwischen den miteinander verglichenen Dateien gibt, und dass die Quelldatei (links) 156 Textzeilen und die Zieldatei (links) 204 Textzeilen in diesen unterschiedlichen Bereichen enthält.

Bei Auswahl von "Unterschiede im Ergebnis mit Kontext" im Fenster "Sicherheitskopie und Speichern" im Konfigurations dialog werden die folgenden Symbole verwendet:

+++ bezeichnet die Datei im ersten Teilfenster

--- bezeichnet die Datei im zweiten Teilfenster

+ bezeichnet Text, der aus der Datei im ersten Teilfenster stammt

- bezeichnet Text, der aus der Datei im zweiten Teilfenster stammt

@@ +1201,4 -1204,4 @@ Diese Folge bedeutet, daß der unterschiedliche Text in der ersten Datei bei Zeile 1201 und in der zweiten bei Zeile 1204 beginnt, und daß es in diesem Abschnitt vier unterschiedliche Zeilen gibt.

Auswahl auf Wortebene, Ersezen und Einfügen

Während eines Textvergleichs können Wörter aus einem Teilfenster ausgewählt und mittels Strg-C oder über das Kontextmenü in die Windows-Zwischenablage kopiert werden. Nachher können die Inhalte zum Text im zweiten Teilfenster mittels Strg-V oder über das Kontextmenü hinzugefügt werden, indem man vorab das zweite Teilfenster mit einem Mausklick aktiviert. Man kann den Text nach Bedarf auch direkt in den Vergleichsanzeigen bearbeiten, auswählen, löschen und einfügen.


3-fach-Textvergleich

Der 3-fach-Textvergleich

Sobald der 3-fach-Textvergleich abgeschlossen ist, wird das Ergebnis des Vergleichs in der Anwendung durch eine Kombination aus Symbolen und Farben angezeigt.

<! | zeigt an, dass sich die Daten in der linken Datei befinden, nicht aber in der rechten
!> | zeigt an, dass sich die Daten in der rechten Datei befinden, nicht aber in der linken
!! | zeigt an, dass dieser Abschnitt in beiden Dateien Leerzeilen enthält
* | zeigt an, dass sich die Daten dieser Zeile zwischen den miteinander verglichenen Dateien unterscheiden

Neben diesen Symbolen werden Zeilen, die als verschieden voneinander erkannt wurden, durch die im Dialogfenster "Farben" eingestellte Farbe für den Unterschied-Hintergrund (standardmäßig ein violetter Farbton) hervorgehoben (s. Menü "Optionen" ). Die aktive Zeile wird durch die Farbe für den Navigation-Hintergrund (standardmäßig Pfirsichfarben) kenntlich gemacht.

Wenn im Dialogfenster "Farben" die Option Leere Zeilen kennzeichnen aktiviert wurde, werden leere Bereiche (ohne Daten und feste Zeilenwechsel) in der skalierten/scrollbaren Gesamtansicht durch senkrechte blaue Linien auf weißem Hintergrund gekennzeichnet.

Wenn im Vergleichsfenster 2 (mitte) Zeilen erscheinen, die zu einer der verglichenen Dateien in den anderen Vergleichsfenstern hin einen Farbverlauf von Blau nach Weiß aufweisen, dann bedeutet dies, dass der Block im Vergleichsfenster 2 mit dem Block im Vergleichsfenster 1 (bzw. 3) übereinstimmt, sich aber vom Block im Vergleichsfenster 3 (bzw. 1) unterscheidet.

Statuszeile

In der Statuszeile wird außerdem die Anzahl der Blöcke und Zeilen angezeigt, die sich zwischen den beiden miteinander verglichenen Dateien unterscheiden. Beispielsweise zeigt die Statusangabe

Paar [2-3] - 33 Bereich(e) versch. 286 : 395 Zeile(n) versch.

an, dass von den drei geöffneten Dateien die beiden Dateien aus den Vergleichsfenstern 2 und 3 miteinander verglichen wurden und dabei 33 Bereiche gefunden wurden, in denen es Unterschiede zwischen den miteinander verglichenen Dateien gibt, und dass die Datei im Vergleichsfenster 2 über 286 Textzeilen und die Datei im Vergleichsfenster 3 über 395 Textzeilen in diesen unterschiedlichen Bereichen verfügt.


Vergleichsergebnis

Das Vergleichsergebnis

Beim Vergleichsergebnis handelt es sich um die Textausgabe des aktuellen Vergleichs.

Dabei kommen folgende Symbole zum Einsatz:

Textvergleich

<! | Die Daten befinden sich in der linken Datei, nicht aber in der rechten.
!> | Die Daten befinden sich in der rechten Datei, nicht aber in der linken.
* | Die Daten dieser Zeile unterscheiden sich zwischen den miteinander verglichenen Dateien.

Verzeichnisvergleich

_x | Die Datei befindet sich im linken Verzeichnis (Quelle), aber nicht im rechten (Ziel).
x_ | Die Datei befindet sich im rechten Verzeichnis (Ziel), aber nicht im linken (Quelle).


Datei vom Datenträger löschen

Dieser Befehl steht beim Vergleichen zweier Dateien im Kontextmenü zur Verfügung. Wenn Sie innerhalb des Anzeigebereichs einer der miteinander verglichenen Dateien die rechte Maustaste drücken, wird das Kontextmenü mit diesem Befehl angezeigt. Sobald Sie diesen Befehl aufrufen, erscheint der vollständige Pfad der aktiven Datei in einem Dialogfenster, in dem Sie bestätigen müssen, dass Sie die aktive Datei wirklich löschen wollen. Wenn Sie auf "Ja" klicken, wird die Datei gelöscht und aus dem aktiven Vergleichsfenster entfernt. Wenn Sie auf "Nein" klicken, wird das Dialogfenster unverrichteter Dinge geschlossen; der zuvor aktive Anzeigebereich erhält dann den Fokus zurück.


Öffnen von Verzeichnissen

Das Öffnen von Verzeichnissen

Verzeichnisse/Ordner, die Sie mit UltraCompare öffnen und vergleichen möchten, müssen in der Befehlszeile wie folgt angegeben werden:

uc -d c:\temp\test c:\temp\test1

Das Flag -d (für directory) zeigt an, dass Verzeichnisse/Ordner und nicht Dateien für den Vergleich geöffnet werden sollen.

Falls UltraCompare nicht zu Ihrer PATH-Variable hinzugefügt worden ist, müssen Sie den vollständigen Pfad zu der Anwendung angeben, um sie von der Befehlzeile aus aufrufen zu können, d.h.:

"c:\programme\ultracompare\uc" -d c:\temp\test c:\temp\test1

Bitte beachten Sie, dass die Befehlszeilenoptionen nur in UltraCompare Pro zur Verfügung stehen. UltraCompare Lite unterstützt das Öffnen/Verlgeichen von Verzeichnissen/Ordnern nicht!


Verzeichnisvergleich

Der Verzeichnisvergleich

Wenn Sie UltraCompare Professional einsetzen, lassen sich die zu vergleichenden Verzeichnisse/Ordner von der Befehlszeile aus mit folgender Syntax öffnen:

uc -d c:\temp d:\temp

Achtung: Falls UltraCompare NICHT zu Ihrer PATH-Variable hinzugefügt worden ist, müssen Sie den vollständigen Pfad zu UltraCompare angeben, damit dies funktioniert.

Während UltraCompare die Verzeichnisstruktur für die Anzeige vorbereitet, ist die Schaltfläche Abbrechen in der Symbolleiste aktiviert (bunt); sie kann gedrückt werden, um den Vergleich abzubrechen. In dieser Zeit zeigt die Statusleiste das mittlere (gelbe) Licht und den Text "Verarbeiten" an, um darauf hinzuweisen, dass UltraCompare beschäftigt ist. Sobald die Verzeichnisstruktur für die Anzeige vorbereitet worden ist, zeigt die Statusleiste entweder das rote Licht und den Text "Verschieden" oder das grüne Licht und den Text "Identisch" an. (Dieses Funktionsmerkmal steht nur in UltraCompare Pro zur Verfügung, nicht aber in der Lite-Version .)

Falls die Option für den rekursiven Verzeichnisvergleich NICHT aktiviert wurde, zeigt die Spalte Status in der Vergleichsanzeige an, ob etwaige aufgeführte Unterverzeichnisse in beiden Verzeichnissen oder nur im Quell- oder Zielverzeichnis vorkommen. Falls die Option für den rekursiven Verzeichnisvergleich aktiviert wurde, zeigt die Spalte Status in der Vergleichsanzeige an, ob die Unterverzeichnisse identisch oder verschieden sind oder ob sie nur in einem der übergeordneten Verzeichnisse vorhanden sind.

Wenn UltraCompare Professional bereits im Textmodus betrieben wird, können Sie im Menü "Ansicht" den Verzeichnismodus auswählen, um zu der Benutzeroberfläche für den Verzeichnisvergleich zu wechseln. Etwaige zuvor für den Textmodus bzw. Binärmodus geöffnete Dateien sind nach der Rückkehr aus dem Verzeichnismodus nicht länger geöffnet.

Bei Bedarf kann ein Textvergleich zwischen Dateien mit unterschiedlichen Namen gestartet werden. Zuerst klickt man mit der rechten Maustaste auf eine Datei, die im Verzeichnisvergleich aufgeführt wird. Aus dem angezeigten Kontextmenü wählt man „Erste (zweite, dritte) Datei laden“. Danach gibt man an, in welches Fenster die ausgewählte Datei geladen werden soll. Nachdem alle zu vergleichenden Dateien angegeben wurden, wird ein Textvergleich zwischen diesen Dateien durch einen Doppelklick auf die zuletzt angegebene Datei gestartet.


Angaben beim Verzeichnisvergleich

Die Angaben bei einem Verzeichnisvergleich

Nachdem UltraCompare den Vergleich der angegebenen Verzeichnisse abgeschlossen hat, werden die Ergebnisse im Hauptfenster dargestellt. Die Unterschiede werden nach folgenden Kategorien ausgewiesen:

Dateiname

Die Inhalte der miteinander verglichenen Verzeichnisse sind nach den Namen der Dateien in den Verzeichnissen sortiert. Hierbei sollte es sich um eine vollständige Auflistung des kombinierten Inhalts beider Verzeichnisse handeln.

Status

Dieses Feld zeigt an, welche Unterschiede zwischen den miteinander verglichenen Verzeichnissen gefunden wurden. Folgende Werte sind möglich:

  • Identisch

gibt an, dass die Inhalte der Datei in beiden Verzeichnissen genau übereinstimmen
  • Gleich alt,
    Inhalt verschieden

gibt an, dass der Zeitstempel für beide Dateien übereinstimmt, aber Unterschiede im Inhalt der miteinander verglichenen Dateien bestehen
  • Quelle neuer

gibt an, dass das auf der linken Seite bzw. oben angegebene Verzeichnis eine neuere Fassung der verglichenen Datei enthält
  • Ziel neuer

gibt an, dass das auf der rechten Seite bzw. unten angegebene Verzeichnis eine neuere Fassung der verglichenen Datei enthält
  • Nur Quelle

gibt an, dass die Datei nur im Verzeichnis auf der linken Seite bzw. oben existiert
  • Nur Ziel

gibt an, dass die Datei nur im Verzeichnis auf der rechten Seite bzw. unten existiert

Datum Quelle

Dieses Feld zeigt den Datums- und Zeitstempel der Dateien im Verzeichnis der linken Seite an.

Größe Quelle

Dieses Feld zeigt die Größe der Dateien im Verzeichnis der linken Seite in Byte an.

Datum Ziel

Dieses Feld zeigt den Datums- und Zeitstempel der Dateien im Verzeichnis der rechten Seite an.

Größe Ziel

Dieses Feld zeigt die Größe der Dateien im Verzeichnis der rechten Seite in Byte an.

Dateityp

Dieses Feld zeigt an, ob eine Datei als Text- oder Binärdatei erkannt wurde. Falls es sich bei dem Eintrag um ein Unterverzeichnis handelt, wird in diesem Feld der Text "Verzeichnis" an Stelle eines der Dateitypen angegeben.


Übergeordnetes Verzeichnis

Die Schaltfläche "Übergeordnetes Verzeichnis"

Diese Schaltfläche setzt die beiden miteinander zu vergleichenden Verzeichnisse auf die ihnen übergeordneten Verzeichnisse zurück. Dies kann hilfreich sein, wenn ein rekursiver Verzeichnisvergleich durchgeführt wird. Wenn Sie per Doppelklick in ein Unterverzeichnis wechseln, um sich die Unterschiede darin anzeigen zu lassen, können Sie mit der Schaltfläche Übergeordnetes Verzeichnis wieder zu den zuvor miteinander verglichenen übergeordneten Verzeichnissen zurückkehren.


Rekursiver Verzeichnisvergleich

Die Schaltfläche "Rekursiver Verzeichnisvergleich"

Beim Vergleichen zweier Verzeichnisse können Sie auf die Schaltfläche Rekursiver Verzeichnisvergleich in der Symbolleiste drücken. Dadurch werden die miteinander verglichenen Verzeichnisse ein weiteres Mal miteinander verglichen, damit mehr Informationen über die Unterverzeichnisse bereitgestellt werden, die in den angegebenen Verzeichnissen zu finden sind.

Wenn diese Option aktiviert ist, kann die Spalte Status für Unterverzeichnisse folgende Werte enthalten:

Identisch | gibt an, dass die Inhalte des Unterverzeichnisses für beide übergeordnete Verzeichnisse übereinstimmen
Verschieden | gibt an, dass es zwischen den übergeordneten Verzeichnissen Unterschiede in den Inhalten des Unterverzeichnisses gibt
Nur Quelle | gibt an, dass das Unterverzeichnis nur im Quellverzeichnis auf der linken Seite existiert
Nur Ziel | gibt an, dass das Unterverzeichnis nur im Zielverzeichnis auf der rechten Seite existiert

Bei Bedarf können Sie auf ein Unterverzeichnis doppelklicken. Dadurch wird das ausgewählte Unterverzeichnis in beiden übergeordneten Verzeichnissen zum Vergleichen geöffnet. Sie können auch auf die Schaltfläche Übergeordnetes Verzeichnis klicken, um sich in der Verzeichnisstruktur wieder um eine Ebene nach oben zu bewegen.


Warum kann ich keine Verzeichnisse miteinander vergleichen?

Wenn Sie mit UltraCompare Lite arbeiten und versuchen, von der Befehlszeile aus zwei Verzeichnisse miteinander zu vergleichen, werden Sie zwei aufeinanderfolgende Meldungen erhalten, die darauf hinweisen, dass es sich bei den angegebenen Verzeichnissen nicht um Dateien handelt. Die Lite-Version unterstützt keinen Verzeichnisvergleich, weshalb diese Fehlermeldung angezeigt wird.


Warum will UltraCompare nicht laufen?

Eine der Einschränkungen von UltraCompare Lite gegenüber UltraCompare Pro besteht darin, dass UltraEdit laufen muss, bevor UltraCompare verwendet werden kann. Wenn Sie versuchen, UltraCompare Lite zu verwenden, ohne dass UltraEdit bereits läuft, wird eine entsprechende Fehlermeldung angezeigt.


Wo finde ich das Dialogfenster "Dateiendungen"?

UltraCompare Lite enthält das Dialogfenster "Dateiendungen" nicht. Da es in der Lite-Version nicht möglich ist, Verzeichnisse/Ordner miteinander zu vergleichen, braucht nicht definiert zu werden, welche Dateitypen standardmäßig als Textdateien (statt als Binärdateien) interpretiert werden sollen.


Vertrieb

Eine Bestellung für UltraCompare können Sie auf unserer Website unter

https://www.ultraedit.com/cgi-bin/ucorder.cgi

aufgeben oder Sie können über folgende Nummern Kontakt zu uns aufnehmen:

Telefon: +1.513.892-8600 (USA)

Fax: +1.513.892-4915 (USA)

Sie können Ihre Bestellung auch per Post zusenden an:

IDM Computer Solutions, Inc.

3987 Hamilton Middletown Rd., Suite G

Indian Springs, OH 45011

USA

Falls Sie Fragen zur Preisgestaltung oder zu den Optionen bei der Lizenzierung haben, wenden Sie sich per E-Mail an uns: sales@idmcomp.com (Englisch).


Technischer Support

Wenn Sie eine Lizenz erworben und die Registrierung durchgeführt haben, erhalten Sie kostenlosen Support für UltraCompare.

Kostenloser Support per E-Mail

Schicken Sie uns Ihre Fragen und/oder Vorschläge per E-Mail an support@idmcomp.com (Englisch).

Kostenloses Support-Forum für Anwender

Anwender können auf unserer Website im UltraCompare Benutzer-Forum Tipps und Beobachtungen austauschen. Dieses Forum ist nicht als Ersatz für den technischen Support gedacht, aber in vielen Fällen können Anwender einander helfen und diese Einrichtung soll dazu dienen, eine Anwender-Community zu bilden.


Lizenzvertrag - registriert
         Previous Topic

Dies ist ein rechtlich verbindlicher Vertrag zwischen Ihnen (entweder eine Person oder eine Gesellschaft) und IDM Computer Solutions. Durch das Öffnen der versiegelten Softwareverpackung (sofern vorhanden) und/oder durch Verwenden der SOFTWARE erklären Sie sich mit den Bestimmungen dieses Vertrages einverstanden.

SOFTWARE-LIZENZ

1. LIZENZEINRÄUMUNG. Dieser Lizenzvertrag (Lizenz) gestattet Ihnen den Einsatz einer Kopie des vorgenannten Softwareprodukts, wobei die Benutzerdokumentation in online- oder elektronischer Form (SOFTWARE) beinhaltet sein kann. Die Lizenzierung der SOFTWARE erfolgt als Einzelprodukt für einen einzelnen Benutzer oder als Mehrbenutzerlizenzen und Standortlizenzen für eine Gruppe von Benutzern. Dieser Vertrag erfordert es, dass jeder Benutzer der SOFTWARE entweder als Einzelperson oder als Mitglied einer Gruppe lizenziert wird. Eine Mehrbenutzerlizenz ermöglicht es einer angegebenen Anzahl von Benutzern die SOFTWARE jederzeit zu verwenden. Dabei ist nicht die gleichzeitige Lizenzierung der Benutzer vorgesehen. Jeder Benutzer dieser SOFTWARE muss entweder als Einzelperson oder als Mitglied einer Gruppe mit einer Mehrbenutzerlizenz abgesichert sein. Die SOFTWARE ist auf einem Computer dann in Betrieb, wenn sie in den vorübergehenden Speicher (z.B. RAM) geladen oder im dauerhaften Speicher (z.B. Festplatte) auf dem Computer installiert worden ist. Diese SOFTWARE kann in einem Netzwerk installiert werden, wenn entsprechende Beschränkungen vorhanden sind, die den ausschließlichen Einsatz durch registrierte Benutzer garantieren.

2. URHEBERRECHT. Sämtliche physikalischen Kopien der Software sind Eigentum des/der registrierten Benutzer(s), aber der Einsatz der Software ist gemäß der vorstehend genannten Abmachung (LIZENZEINRÄUMUNG) beschränkt. Das Eigentum der SOFTWARE liegt bei IDM Computer Solutions und ist durch Urheberrechtsgesetze der Vereinigten Staaten von Amerika und internationale Vertragsbestimmungen geschützt. Sie dürfen weder die der SOFTWARE beiliegenden Unterlagen (falls vorhanden) für andere als die vorstehend vereinbarten Zwecke (LIZENZEINRÄUMUNG) kopieren noch Ausdrucke von anderen online oder elektronisch vorliegenden Benutzerdokumentationen anfertigen. Sie dürfen die ausgelieferten Freischaltcodes weder auf Papier, elektronisch noch in einer anderen Form weitergeben.

3. ANDERE BESCHRÄNKUNGEN. Die zugestellte Registrierungsmitteilung, die Ihren Freischaltcode sowie diese Lizenz aufweist, stellt ihren Lizenznachweis dar, mit dem Sie ihre garantierten Rechte geltend machen können. Bewahren Sie sie gut auf. Sie dürfen die SOFTWARE nicht vermieten oder verleasen; Sie dürfen Ihre Rechte an dieser Lizenz aber dauerhaft übertragen, sofern Sie diese Lizenz, die SOFTWARE und alles gedruckte Begleitmaterial übertragen, keine Kopien zurückbehalten und der Empfänger sich mit allen Bestimmungen dieses Vertrags einverstanden erklärt. Sie dürfen die SOFTWARE nicht zurückentwickeln (Reverse Engineering), dekompilieren oder disassemblieren, es sei denn die vorangegangene Beschränkung verstößt ausdrücklich gegen geltendes Recht.

BESCHRÄNKTE GARANTIE

BESCHRÄNKTE GARANTIE. IDM Computer Solutions garantiert, dass die Software in Übereinstimmung mit dem beiliegenden gedruckten Material (sofern vorhanden) und der Online-Dokumentation für die Dauer von 365 Tagen nach Erhalt im Wesentlichen anwendbar ist.

ANSPRÜCHE DES KUNDEN. Die gesamte Haftung und Ihr alleiniger Anspruch bestehen nach Wahl von IDM Computer Solutions entweder (a) in der Rückerstattung des Kaufpreises oder (b) in der Reparatur oder dem Ersatz der SOFTWARE, die dieser beschränkten Garantie nicht genügt und die zusammen mit einer Kopie Ihrer Quittung an IDM Computer Solutions zurückgegeben wird. Diese beschränkte Garantie gilt nicht, wenn der Ausfall der SOFTWARE auf einem Unfall, auf Missbrauch oder auf fehlerhafte Anwendung zurückzuführen ist. Für eine Ersatz-SOFTWARE wird eine Garantie für den Rest der ursprünglichen Garantiezeit oder aber für dreißig (30) Tage gewährt, wobei der längere Zeitraum maßgebend ist.

KEINE WEITERE GEWÄHRLEISTUNG. IDM Computer Solutions schließt jede weitere Gewährleistung, ob ausdrücklich oder implizit, einschließlich, aber nicht beschränkt auf die Gewährleistung zur Marktfähigkeit oder Eignung für besondere Zwecke, bezüglich der SOFTWARE und der zugehörigen schriftlichen Materialien im maximal zulässigen Rahmen geltenden Rechts aus.

KEINE HAFTUNG FÜR FOLGESCHÄDEN. In keinem Fall kann IDM Computer Solutions für Schäden jeglicher Art (uneingeschränkt eingeschlossen sind Schäden aus entgangenem Gewinn, Betriebsunterbrechung, Verlust von geschäftlichen Informationen oder aus anderem finanziellen Verlust) haftbar gemacht werden, die auf Grund der Benutzung oder der Unfähigkeit zur Benutzung der SOFTWARE entstehen, selbst wenn IDM Computer Solutions von der Möglichkeit dieser Schäden in Kenntnis gesetzt worden ist.


Browser View

Browser-Ansicht (Menü "Ansicht")

Das Browser-AnsichtUntermenü bietet persistente Einstellungen, die man einmal konfigurieren und nachher vergessen kann.Mögliche Einstellungen sind Aktuelle, Andere, und Externe. Die Symbolschaltfläche In Browser anzeigen kann zur Aktivierung dieser Browser-Ansicht ebenfalls benutzt werden. Die Ansicht kann bei zweifachem und dreifachem Vergleichsmodus verwendet werden.

Beim Drücken der Taste F12 oder der Symbolschaltfläche In Browser anzeigen wird die aktive Anzeige in einer Browser-Ansicht dargestellt, falls Aktuelle ausgewählt wurde. In dieser Weise ist es möglich, den Inhalt von jedem Anzeigefenster in einer eigenen Browser-Ansicht anzuzeigen.

Falls Andere bei Aktivierung der Browser-Ansicht ausgewählt wurde, wird die Browser-Ansicht im "inaktiven" Anzeigefenster geöffnet. Dies ermöglicht das gleichzeitige Betrachten von Quellcode und dessen HTML-Ansicht direkt nebeneinander. Beim dreifachen Vergleichsmodus ist das "andere" Anzeigefenster immer die sekundäre Vergleichsansicht. Bei Auswahl der Einstellung Andere ist die Übernahmefunktionalität für die primären Vergleichsansichten NUR im dreifachen Vergleichsmodus aktiv.

Der Inhalt der aktiven Ansicht wird im Standard-Browser des Benutzers geöffnet, falls die Option Externe ausgewählt wurde. Dieser Modus hat keine Nebenwirkung, wenn F12 oder die Symbolschaltfläche In Browser anzeigen nochmals gedrückt werden — dann wird jedesmal ein neues Browser-Fenster geöffnet (bzw. einen neuen Reiter im offenen Browser geöffnet, falls der Browser diese Funktionalität bietet).


Farben...

Der Befehl "Farben..." (Menü "Optionen")

Dieser Befehl ruft das Dialogfenster "Farben" auf, das Ihnen die Einstellung der Markierungsfarben für Text- und Verzeichnisvergleiche ermöglicht.

Klicken Sie in das Farbrechteck neben einem Beschreibungstext, um aus dem Farbdialog die gewünschte Farbe für das jeweilige Element auszuwählen.

Klicken Sie auf die Schaltfläche Vorgaben, um die Standardfarben wiederherzustellen.


Sicherheitskopie anlegen

Der Befehl "Sicherheitskopie anlegen" (Menü "Optionen")

Mit diesem Befehl können Sie eine Sicherheitskopie der miteinander verglichenen Dateien anlegen. Dieser Schritt empfiehlt sich vor der Durchführung mehrerer Übernahmen, damit eine "Basisdatei" vorhanden ist, die im Notfall wiederhergestellt werden kann.


Folder

Ordner (Konfiguration - Anzeige)

Der Zweig Ordner unter Konfiguration - Anzeige beinhaltet folgende Optionen:

Farben

Die Einstellungen der kontrastierenden Farben im Ordnervergleichsmodus können hier eingegeben werden. Durch Anklicken auf eines der farbigen Rechtecke neben den dazugehörigen Beschriftungen erscheint ein weiteres Dialog zum Auswählen der entsprechenden Farbe.

Farbschema laden

Zwei Farbschemata wurden vordefiniert, die nach Wunsch aus der aufklappbaren Liste ausgewählt werden können.

Einstellung der Schriftarten

Durch Anklicken der Schaltfläche Schriftart erscheint das herkömmliche Windows-Schriftendialog, wo die gewünschte Schriftart für Textvergleiche inkl. Schriftart, -schnitt und -grad eingestellt werden kann. Im Vergleichsmodus „Binär (optimiert/schnell)“ können nur unter den nichtproportionalen Schriftarten ausgewählt werden.

Um zu den Standardeinstellungen der Schriftarten und Farben für Ordnervergleiche wieder zu erlangen, klickt man auf die Schaltfläche Vorgabewerte.


Folder

Ordner (Konfiguration - Optionen zum Ignorieren)

Der Zweig Ordner unter Konfiguration - Optionen zum Ignorieren bietet die folgenden Optionen:

Ignore folders/file types

The Ignore folders/file types entry field allows users to add a semi-colon delimited list of folders, files, and file extensions to be ignored in Folder Compare Mode. For example, a user may enter ‘CVS’ and any time the file or folder CVS is located in a folder it will be ignored when executing and displaying a folder compare.

Users may also enter an absolute path to a file/folder to be ignored. An asterisk (*) can be used as a wild card. In order to ignore all files of a particular type the asterisk will be used with the file extension. For example, a user may enter the line ‘*.txt;*.php;*.asm’ and the file extensions .txt, .php, and .asm will be ignored when executing and displaying a folder compare.

Unterschiede zwischen Dateizeiten ignorieren

Beim Ordnervergleich werden Unterschiede in den Dateizeiten ignoriert. Diese Option ist nur wirksam, wenn der Vergleichsmodus »einfach« gewählt wurde, denn die Verfahren »vollständig« und »intelligent« berücksichtigen Größe und Dateizeit der Dateien ohnehin nicht.


Schriftart

Der Befehl "Schriftart..." (Menü "Optionen")

Dieser Befehl ruft das Dialogfenster "Schriftart" auf, in dem Sie die Schriftart - einschließlich des Schriftschnitts, des Schriftgrads und des Zeichensatzes - für die aktuelle Anzeige einstellen können.

Im Modus für den Binärvergleich (intelligent/schnell) lassen sich nur Schriftarten mit fester Laufweite auswählen.


FTP/SFTP-Zugänge verwalten

Dieser Dialog gestattet die Konfiguration der Benutzer FTP/SFTP-Accounts. Die Accounts werden benutzt für Öffnen per FTP und Speichern unter per FTP Kommandos.

Ein Account spezifiziert den Server, zu dem verbunden werden soll, und die Benutzer Identifikation, die zur Verbindung benutzt wird.

Mit dem Account hinzufügen Knopf kann ein neuer Accountname erstellt werden. Der zu modifzierende Account kann aus der Accountliste ausgewählt werden. Falls Änderungen am Account gemacht wurden, wird ein Dialog angezeigt, um die Änderungen bestätigen zu lassen.

Der Account entfernen Knopf löscht sofort den aktiven/ausgewählten Account aus der Accountliste.

Der Setze Default Account Knopf bestimmt den aktiven/ausgewählten Account als Default Account. Dieser wird durch einen Asterisk "*" mit darauffolgendem Accountnamen in der Liste dargestellt.

Die Optionen des FTP/SFTP Account Managers sind in vier verschiedenen Reitern organisiert: Allgemein, Erweitert, Proxy, and SSH.

Der Allgemein Reiter enthält die folgenden Einstellungsoptionen:

Account

Dies ist der Name, der für den konfigurierten Account benutzt werden soll. Dieser Name erscheint dann in der Liste zur Linken der Einstellungsoptionen, sobald die Änderungen gespeichert werden.

Protokoll

Dieses Dropdown-Menü erlaubt es dem Benutzer, entweder das FTP oder das SFTP Protokoll für den Account zu benutzen. Wenn SFTP ausgewählt ist, veranlaßt dies UltraEdit/UEStudio, nur mit SECURE FTP (SFTP) mittels des SSH2 Protokolls zu verbinden. Alle Transfers werden verschlüsselt, der Verschlüsselungsalgorithmus wird mit dem Server ausgehandelt. Wenn dies ausgewählt ist, zeigen die Transferdialoge ein "Schloß" Symbol welches anzeigt, daß der Transfer abgesichert ist.

Server

Das ist die FTP Site, zu der Sie verbinden wollen, z.B. ftp://ftp.idmcomp.com . Dies kann ebenso als ftp.idmcomp.com eingegeben werden. Falls gewünscht, kann die IP Adresse auch in der Form xxxx.xxxx.xxxx.xxxx eingegeben werden.

Port

Dies ist der Port, der von UltraEdit/UEStudio für das FTP/SFTP Protokoll benutzt wird. Der Defaultwert ist 21 für FTP und 22 für SFTP. Dies kann, wenn nötig, geändert werden.

Username

Das ist der Username, der benutzt wird, um sich in den Server einzuloggen.

Passwort

Dies ist das Passwort, welches zusammen mit dem Usernamen benutzt wird, um sich in den Server einzuloggen. Es sollte das Passwort sein, das vom Site-Administrator zusammen mit dem Usernamen ausgegeben wird; für anonymen Zugang ist das Passwort typischerweise die Emailadresse des Benutzers.

User Account

Dies erlaubt es dem Benutzer, einen Account auf dem Hostserver zu spezifizieren, der beim Einloggen verwendet wird. Dies ist nur bei wenigen Servern erforderlich.

Anfangsverzeichnis

Das ist das Anfangsverzeichnis, auf das beim Verbinden mit dem Server dort gewechselt. Diese Angabe ist nicht erforderlich. Wenn sie nicht gemacht wird, wechselt UltraEdit jedesmal zu dem Verzeichnis, welches bei der letzen Sitzung mit diesem Account aktiv war.

Password Sichern

Diese Checkbox bestimmt, ob UltraEdit/UEStudio das Passwort für spätere Nutzung speichern soll. Wenn nicht, wird der Benutzer bei Bedarf nach dem Passwort gefragt. Bemerkung: Das zu sichernde Passwort wird verschlüsselt auf dem System gepeichert, jedoch ist der Verschlüsselungsmechanismus simpel, daher sollten Sie sich nicht auf ihn für sicherheitsrelevante Passwörter verlassen.

Der Erweitert Reiter enthält die folgenden Konfigurationsoptionen:

Verzeichnis für lokale Kopie

Dies erlaubt dem Benutzer zu bestimmen, wo automatische Kopien lokal gespeichert werden sollen, sobald eine Datei gespeichert wird. Wenn diese Feld leer ist, wird keine lokale Kopie erstellt. Wenn es nicht leer ist und ein FTP Save auftritt (nicht Sichern als), wird eine Kopie der Datei im angegebenen Verzeichnis erstellt. Wenn schon eine Datei mit demselben Namen existiert, wird diese ohne Warnung überschrieben. Die lokale Kopie wird zeitlich vor dem FTP Save erstellt.

Passwort für Session merken, falls nicht gespeichert

Wenn diese Option angewählt ist, merkt sich Ultraedit das einmal eingegebene Passwort solange, wie Ultraedit nicht beendet wird, und solange muß es auch nicht wieder eingegeben werden. Wenn das Passwort inkorrekt eingegeben wurde und geändert werden muß, wird das Passwort durch Öffnen und Wiederverlassen der Accounts-Dialoges verlernt.

Default Transfer Typ

Der Benutzer kann ASCII oder Binär as den Default Transfertyp spezifizieren. ASCII sorgt für eine passende Zeilenende-Konvertierung zwischen verschiedenen Systemen. Binär veranlaßt, daß Dateien Byte-genau ohne jegliche Konvertierung übertragen werden.

Server Typ

Für die meisten FTP Server sollte der Defaultwert Auto oder Unix ohne Probleme funktionieren. Eine andere Einstellung trägt Verbindungen zu Servern Rechnung, die spezielle Behandlung benötigen. Die Liste der Server, die unterstützt werden, wird voraussichtlich noch anwachsen. Momentan werden unterstützt:

Auto

AIX

VAX/VMS

UNIX

StratusVOS - Das "Führende Zeichen Vollpfad" sollte zu "%" gesetzt werden und der "Path/Node Separator " zu ">".

Nur Dateiname - dieses nimmt das erste zurückgelieferte Feld und zeigt es als Dateinamen an

BS2000

OS9000

AS400

MVS

HP3000/VeSoft Security

Session Name

Diese Feld kann dafür benutzt werden, den Session Name für den aktiven Account festzulegen. Dies wird nur für HP3000 Accounts benutzt.

Führendes Zeichen Vollpfad

Mit dieser Einstellung kann man das Führende Zeichen (normalerweise “/”) für den Vollpfad einer Datei auf dem Server übersteuern.

Path/Node Separator

Mit dieser Einstellung kann man das Separatorzeichen zwischen Verzeichnissen/Nodes (normalerweise “/”) auf dem Server übersteuern.

Name Index

Diese Feld bestimmt die Spaltennummer, in der der Dateiname gespeichert wird. Der Defaultwert hierfür ist "-1"; dieser sollte nicht geändert werden, außer Sie sind sich Ihrer Sache sicher.

Größe Index

Dieses Feld bestimmt die Spaltennummer, in der die Größe der Datei gespeichert wird. Der Defaultwert hierfür ist "-1"; dieser sollte nicht geändert werden, außer Sie sind sich Ihrer Sache sicher.

MDTM und SIZE verwenden

Falls die modifizierte Zeit und Größe der Dateien nicht korrekt zurückgeliefert zu werden scheint, kann diese Option gewählt werden, um diese Werte für jede Datei explizit für das Ordnerlisting anfordern zu lassen. Ist diese Option angewählt, werden die FTP Aktivitäten vermutlich verlangsamt.

Passive Transfers

Einige Firewalls erfordern den Passive Mode, damit eine Verbindung aufgebaut werden kann. Wenn Sie Probleme haben, sich durch eine Firewall mit einem Account zu verbinden, kann es notwendig sein, diesen zu aktivieren.

Vom Server gelieferte IP Adresse verwenden

Dieser Wert wird nur benutzt, wenn die Passive Transfer Option angewählt ist. Ist die Option ausgewählt, wird die IP Adresse benutzt, die die Firewall beim Verbindungsaufbau zum Server liefert. Bitte beachten: Wenn Sie nicht den Server kontrollieren, zu dem Sie sich verbinden, oder wenn Sie sich nicht über dessen Inhalt im Klaren sind, gehen Sie ein Sicherheitsrisiko ein, wenn Sie diese Option aktivieren.

Der Proxy Reiter enthält die folgenden Konfigurationsoptionen:

Proxy benutzen

Dies aktiviert die Proxy-Einstellungen und konfiguriert diesen Account zur Benutzung mit einem spezifizierten Proxy. Wenn Sie direkt mit dem Internet verbunden sind, sollten die Poxy Einstellungen nicht aktiviert werden. Wenn Sie mittels eines Proxies im LAN verbunden sind, ist es notwendig, die Proxy Einstellungen zu konfigurieren.

Proxy Server

Dies ist der Name des Proxy Servers (oder die IP Adresse), welche(r) für den Proxy benutzt wird. Wenn Sie den Namen nicht kennen, fragen Sie Ihren System Administrator.

Proxy Port

Dies ist der Port, der von UltraEdit/UEStudio für das FTP/SFTP Protokoll benutzt wird. Der Defaultwert ist 21 für FTP und 22 für SFTP. Dies kann hier, wenn erforderlich, geändert werden.

Der SSH Reiter enthält die folgenden Konfigurationsoptionen:

Authentifizierung

Dies ermöglicht dem Benutzer, die Authentifizierungsart festzulegen, die mit dem Server verwendet wird. Die folgenden Methoden werden unterstützt:

Nur Passwort | Dies erfordert, daß Sie Username/Passwort angeben, wobei kein Public/Private Schlüsselpaar benutzt wird.
Nur Public Key | Dies erfordert die Benutzung des Public/Private Schlüsselpaars. Der Ort des privaten Schlüssels muß im Private Key Pfad angegeben werden.
Passwort und Public Key | Dies gestattet es dem Benutzer, den Public/Private Schlüssel und/oder den Usernamen/Passwort anzugeben.

Wenn die Methode einen Schlüssel erfordert, kann der Benutzer mit der Option Key erfordert Password angeben, daß der Private Schlüssel passwortgeschützt ist. Wenn das der Fall ist, wird der Benutzer einmal pro Sitzung nach dem Passwort gefragt, oder aber nach Änderung der Account Eigenschaften.

Die Authentifizierungsmethode muß vom Server unterstützt werden. Die Schlüssel sollten im OpenSSH Format sein, und außerdem entweder vom Typ RSA oder vom Typ DSA.

Kompression aktivieren

Ist diese Option aktiviert, werden die Daten auf dem Weg von und zum Server komprimiert. Abhängig von der Serverkonfiguration kann das die Transfergeschwindigkeit erhöhen.


Optionen zum Ignorieren

Optionen zum Ignorieren (Konfiguration)

Der Zweig Optionen zum Ignorieren unter Konfiguration bietet die folgenden Optionen:

Leere Zeilen überspringen

Zeilen, die lediglich eine Zeilenendmarke aufweisen, werden beim Vergleich der betreffenden Dateien nicht berücksichtigt.

Groß- und Kleinschreibung ignorieren

Unterschiede in Groß- und Kleinschreibung werden nicht berücksichtigt, wenn diese Option aktiviert ist.

Leerstellen überspringen

Erzwingt das Überspringen von Tabulatoren und Leerstellen beim Vergleich.

Zeilenendmarken überspringen

Unterschiede in den Zeilenendungen (DOS/UNIX/MAC) werden beim Vergleich nicht berücksichtigt.

Zu überspringende Zeilen

In diesem Abschnitt kann man Regeln definieren um Zeilen zu überspringen, die am Anfang, am Ende oder irgendwo in der Mitte eine bestimmte Zeichenkette beinhalten.

Anzahl Zeilen überspringen

Eine vordefinierte Anzahl zu überspringender Zeilen, die am Anfang oder am Ende einer Datei stehen, kann hier angegeben werden.


Text

Text (Konfiguration - Anzeige)

Der Zweig Text unter Konfiguration - Anzeige bietet die folgenden Optionen:

Farben und Schriftarten

Die Einstellungen der kontrastierenden Farben und Schriftarten im Textvergleichsmodus können hier eingegeben werden. Durch Anklicken auf eines der farbigen Rechtecke neben den dazugehörigen Beschriftungen erscheint ein weiteres Dialog zum Auswählen der entsprechenden Farbe.

Farbschema laden

Einige Farbschemata wurden vordefiniert, die nach Wunsch aus der aufklappbaren Liste ausgewählt werden können.

Leere Zeilen kennzeichnen

Bei Aktivierung dieser Option werden leere Zeilen in den Vergleichsansichtsfenstern mit alternierenden blauen und weißen vertikalen Linien hervorgehoben. Falls nicht aktiviert, bleibt der Hintergrund in den Vergleichsansichtsfenstern bei Leerzeilen unverändert.

Einstellung der Schriftarten

Durch Anklicken der Schaltfläche Schriftart erscheint das herkömmliche Windows-Schriftendialog, wo die gewünschte Schriftart für Textvergleiche inkl. Schriftart, -schnitt und -grad eingestellt werden kann.

Nur aktive Anzeigen hervorheben

Bei Aktivierung dieser Option werden nur die zwei aktiven Ansichtsfenster bei einem 3-fachen Vergleich Hervorhebungen bei Textunterschieden anzeigen, anderenfalls werden in allen drei Ansichten die Unterschiede hervorgehoben.

Um zu den Standardeinstellungen der Schriftarten und Farben für Textvergleiche wieder zu erlangen, klickt man auf die Schaltfläche Vorgabewerte.


Toolbars/Menus

Symbolleisten/Menüs (Konfiguration)

Im Zweig Symbolleisten/Menüs unter Konfiguration - Symbolleisten/Menüs findet man die folgenden Optionen:

Symbolleisten anpassen

Durch Anklicken auf diese Schaltfläche wird das Symbolleistenkonfigurationsdialog angezeigt. Darin gibt es zwei Seiten mit den dazugehörenden Reitern Symbolleisten und Befehle sowie ein Eingabefeld, um den Namen einer Neuen Symbolleiste aufzunehmen. Außerdem gibt es Schaltflächen mit den Pfeilsymbolen „nach oben/nach unten“ und „nach rechts/nach links“. Die Funktionalität dieser Objekte wird im Folgenden beschrieben:

Symbolleisten/Befehle-Konfigurationsfenster

In einer Explorer-ähnlichen Ansicht werden die angegebenen Symbolleisten zusammen mit den dazugehörenden Befehlen angezeigt.Untergeordnete Objekte werden aus- bzw. eingeblendet, indem man auf das entsprechende Symbol („-“ oder „+“) links von den Symbolleistennamen anklickt. Nachdem ein Objekt ausgewählt bzw. markiert wurde, kann man dessen relative Position in der Liste nach oben oder nach unten bewegen, indem man auf die Pfeilschaltflächen „nach oben“ oder „nach unten“ anklickt. Es ist jedoch nicht möglich, ein ausgewähltes Objekt von einer Symbolleiste nach einer anderen mit den Pfeilen zu verschieben.

Das Teilfenster „Befehle“ zeigt alle verfügbare Funktionen an, die durch die Symbolleisten ausgeführt werden können. Um ein Objekt vom Fenster „Befehle“ zu einer Symbolleiste hinzuzufügen, wählt man zunächst links die gewünschte Symbolleiste und das Befehlssymbol aus, das vor dem neuen Befehl stehen soll. Nachher wird der gewünschte neue Befehl (bzw. dessen Symbol) im rechten Fenster „Befehle“ ausgewählt und anschließend in der Mitte des Dialogs auf die Schaltfläche mit dem Pfeil nach links geklickt. Ausgewählte Symbole werden unmittelbar nach dem ausgewählten Symbol im linken Fenster hinzugefügt. Ist im linken Fenster nichts markiert, wird das neue Symbol als erstes Symbol in der ersten Symbolleiste in der Liste untergebracht.Einmal hinzugefügt, kann das Symbol in der oben beschriebenen Weise bei Bedarf immer noch verschoben werden.

Neue Symbolleiste

Um eine neue Symbolleiste zu erstellen, gibt man den gewünschten Namen (z.B. „Test1“) im Eingabefeld „Neue Symbolleiste“ ein. Nachher wird auf die Schaltfläche mit dem Pfeil „nach links“ angeklickt. Es entsteht eine neue, leere Symbolleiste unten am Ende der Liste der bestehenden Symbolleisten. Symbolleisten können wieder entfernt werden, indem man zuerst den Namen der Symbolleiste markiert und dann auf die Schaltfläche „nach rechts“in der Mitte des Dialogs klickt.

Menüs anpassen

Nach dem Klicken auf diese Schaltfläche erscheint das Menükonfigurationsdialog. Dieses beherbergt die zwei Teilfenster Menüs und Befehle zusammen mit einem Texteingabefeld: Neues Menü/Untermenü.Bei Auswahl der Option „Häkchen in Menüs anzeigen“ werden anstatt der vertieft angezeigten Symbole die entsprechenden Häkchen verwendet. Einige Probleme im Zusammenhang mit den Eingabehilfen bzw. mit der Sprachausgabe für Behinderte können somit umgangen werden.Die Funktionalität der übrigen Objekte — Schaltflächen mit Pfeilsymbolen zum Navigieren und eine Schaltfläche mit der Beschriftung „Bearbeiten“ — werden weiter unten vollumfänglich beschrieben:

Menüs/Befehle-Konfigurationsfenster

Die aktiven Menüs und die dazugehörigen Untermenüs und Befehle werden, ähnlich wie die Symbolleisten, in einer Explorer-ähnlichen Übersicht dargestellt. Menüs und Untermenüs, die weitere Objekte beinhalten, werden durch Linien markiert, die in kleine Vierecke links von den Menünamen münden. Ein Doppelklick auf das entsprechende Viereck blendet die darunterliegenden Objekte ein bzw. aus.

Bei einem markiertem Menü oder Befehl kann man das Objekt umbenennen, indem man auf die Schaltfläche „Bearbeiten“ klickt.Drücken der „Enter“-Taste in der Tastatur speichert die Änderung im Dialog; Klicken auf die Schaltfläche „OK“ macht die Änderung in den angezeigten Menüs wirksam.

Um ein ganzes Menü zu verschieben, kann man nach Markierung des Menünamens die Schaltflächen mit den entsprechenden Pfeilsymbolen anklicken. Ein Menübefehl kann auf ähnliche Weise innerhalb des aktiven Menüs verschoben werden. Menübefehle können ganz bis nach oben bzw. nach unten, aber nur innerhalb des unmittelbar übergeordneten Menüs, verschoben werden. Falls ein Menübefehl unterhalb eines Untermenüs steht, kann er nicht aus diesem Untermenü hinaus bewegt werden. Falls ein Menübefehl oder Untermenü unter einem Hauptmenü liegt, werden unterwegs etwaige weitere Untermenüs beim Verschieben übersprungen.

Das Teilfenster „Befehle“ zeigt alle verfügbare Funktionen an, die durch die Menüs ausgeführt werden können. Um ein Objekt vom Fenster „Befehle“ zu einem Menü hinzuzufügen, wählt man zunächst links das gewünschte Menü oder Untermenü bzw. den Befehl aus. Nachher wird der gewünschte neue Befehl im rechten Fenster „Befehle“ ausgewählt und anschließend auf die Schaltfläche mit dem Pfeil nach links in der Mitte des Dialogs geklickt. Ausgewählte Befehle werden unmittelbar nach dem ausgewählten Objekt im linken Fenster hinzugefügt. Ist im linken Fenster nichts markiert, wird der neue Befehl als erster Befehl im ersten Menü in der Liste untergebracht. Einmal hinzugefügt, kann der Befehl bei Bedarf mit den Pfeiltasten in der oben beschriebenen Weise immer noch verschoben werden.

Neue Menüs

Um ein neues Menü oder Untermenü zu erstellen, gibt man einen Namen (z.B. „Test1“) in das Eingabefeld „Neues Menü“ ein. Nachher klickt man auf die Schaltfläche mit dem Pfeilsymbol „nach links“, die rechts vom Eingabefeld steht. Als Ergebnis wird ein neues, leeres Menü ganz unten in der Liste der Menüs hinzugefügt. Um ein Menü wieder zu entfernen, markiert man dessen Namen in der Liste und klickt anschließend auf die Schaltfläche „nach rechts“ in der Mitte des Dialogs.

Verwaltung

Die Schaltfläche Symbolleisten verwalten zeigt das Symbolleistenkonfigurationsdialog an.

Menüs verwalten

Die Schaltfläche Menüs verwalten zeigt das Menükonfigurationsdialog an.